Changelog -----------------------------------
version:1.700

Overview of Changes
	Security Fix and WordPress 6.5 relate changes
	Tested widh PHP8.0
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.600&new_path=raindrops/1.700
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.600

Overview of Changes
	WordPress 6.1 relate changes
		Inactive plugin removed from recommended plugins. Comet Cache
		removed add_filter( ‘comment_form_default_fields’, ‘raindrops_comment_form’ );
			the argument becomes null and an error occurs
	
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.540&new_path=raindrops/1.600
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.540

Overview of Changes
	WordPress 5.5 relate changes
		Fixed $comment->comment_type return empty to 'comment'
	
	Modified
		Themes Team new required.	
		get_template_directory_uri() must be escaped when output as part of a link or image source. Use esc_url() for link attributes. A manual review is needed.
	
Files Modified
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.538&new_path=raindrops/1.540
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.538

Overview of Changes
	Modified when html5, removed style attribute type="text/css", script attribute type="text/script"
	Removed CSS when search results 1col fullwidth, remove max-width property.
    Modified when is_404(), category color enable.
	Modified div.wp-block-image, removed improperly border.
	Modified Code cleaning. empty if, error of capital_P_dangit()
	
Files Modified
	modified:	childs/boots/functions.php
	modified:   childs/boots/inc.php
	modified:   childs/inc.php
	modified:   editor-style.css
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/widgets.php
	modified:   plugins/plugins-presentation.php
	modified:   single.php
	modified:   style.css
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.537&new_path=raindrops/1.538
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.537

Overview of Changes
	CSS modified for WordPress 5.3
Files Modified
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   pdf.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.536&new_path=raindrops/1.537
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.536

Overview of Changes
	Added: Customizer Show Hide control. Category list and Post tag list in posted in area
Files Modified
	modified:   lib/customize.php
	modified:   functions.php
	modified:	lib/validate.php

	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.535&new_path=raindrops/1.536
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.535

Overview of Changes
	Fixed: heading h1-16 text-align issue. 
	Fixed: When page width 950px primary menu link position. change from　left to center
Files Modified
	modified:   footer.php
	modified:   functions.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   style.css
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.534&new_path=raindrops/1.535
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.534

Overview of Changes

	Removed raindrops_allow_safe_link_target ( add link rel attribute add noopener noreferrer )
		reason: WordPress 5.2.1 core support
	
	Added block-editor.css
		
Files Modified
	new file:   block-editor.css
	modified:   functions.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   style.css
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.533&new_path=raindrops/1.534
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.533

Overview of Changes

	Japan’s next era as the Reiwa era
	Raindrops supports era name
	
	add filter function raindrops_remove_verify_html()
	
	When converted to a block editor, posts created in the text editor are replaced with the classic editor.
	The source is cleaned up and the post is not destroyed. Stop the cleanup function.
	
	add action has_action( 'wp_body_open' ) ? do_action('wp_body_open') : ''; for WordPress 5.2
	
	post css editor body postid-* page-id-* supports
		
Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   languages/scripts/ja.php
	modified:   lib/hooks.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.531&new_path=raindrops/1.533
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.531

Overview of Changes
	Fixed Search result excerpt issue
	Modified block editor CSS
		wp-block-table wp-block-search wp-block-pullquote
		
Files Modified

	modified:   functions.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.530&new_path=raindrops/1.531
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.530

Overview of Changes
	Fixed language ja tategaki mode. paragraph width issue
		
Files Modified

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.529&new_path=raindrops/1.530
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.529

Overview of Changes
	Modified change customizer 'Specify the number of characters to display on one line'
			Changed to work with all paragraphs
	Modified hr element style.
	Modified removed codemirror filter
	Modified core/paragraph style
	Modified blockeditor button style
		
Files Modified

	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   plugins/plugins-presentation.php


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.528&new_path=raindrops/1.529
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.528

Overview of Changes

	Modified post edit link
	
	Modified block editor CSS
		.wp-block-button
		.wp-block-separator
		.wp-block-media-text
		.wp-block-columns
		
Files Modified

	modified:   functions.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.527&new_path=raindrops/1.528
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.527

Overview of Changes

	Fixed Primary Menu submenu can not open.
	
Files Modified
	modified:   functions.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.526&new_path=raindrops/1.527
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.526

Overview of Changes

	Modified CSS for Gutenberg Plugin
			class name change .wp-block-cover-image to .wp-block-cover
			other CSS styled.
	Modified Mobile Primary Menu change from + menu	- to hamberger button	
	
Files Modified
	modified:   admin-options.css
	modified:   functions.php
	modified:   image.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   loop.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.525&new_path=raindrops/1.526
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.525

Overview of Changes

	Modified CSS for Gutenberg Plugin
		Class name changed. Raindrops .oembed-container class to wp-block-embed_wrapper.
		This change was made to reduce the conflict between CSS of the Gutenberg plugin and CSS of the theme
		
	Added function raindrops_request_url()
	
	Modified function raindrops_custom_gutenberg_edit_link()
		For posts created with the Gutenberg plugin, we display Gutenberg's edit link, 
		and for posts created with the old TinyMCE we have changed to display a link to the classic editor.
	
	
Files Modified
	modified:   editor-style.css
	modified:   fallback.css
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/scripts/ja.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.524&new_path=raindrops/1.525
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.524

Overview of Changes
	Added
		The following files have been added to improve performance.
		new file:   images/loader.svg
		new file:   instantclick.js
		new file:   instantclick.min.js
		new file:   lazyload.js
		new file:   lazyload.min.js
		
		In order to control these functions, we added two items to Customizer / Add-ons.
			1. Improve the response of the website
				default: disable
				
				Depending on the plug-in you are using, problems may appear on the display. 
				If you change to enable, please make sure there are no problems.
				
				more info @see https://www.tenman.info/wp3/raindrops/2018/08/29/raindrops-1-524-about-improve-the-response-of-the-website-%E3%82%A6%E3%82%A7%E3%83%96%E3%82%B5%E3%82%A4%E3%83%88%E3%81%AE%E3%83%AC%E3%82%B9%E3%83%9D%E3%83%B3%E3%82%B9%E3%82%92%E6%94%B9%E5%96%84/

			2. Lazy load image
				default: enable
			
			These two items will only work with logged out status
			License @see README
			
	Modified Gutenberg plugin CSS

	Removed filter raindrops_convert_inline_style_to_data_attr
	
	jQuery Script Maintenance
		jQuery2.2.0 + jQuery Migrate to 1.3.1 worked

Files Modified
modified: functions.php

	new file:   images/loader.svg
	new file:   instantclick.js
	new file:   instantclick.min.js
	new file:   lazyload.js
	new file:   lazyload.min.js
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.523&new_path=raindrops/1.524
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.523

Overview of Changes

	Modified Gutenberg plugin CSS

Files Modified
	modified:	admin-options.css
	modified:   functions.php
	modified:   header.php
	modified:   lib/customize.js
	modified:   plugins/plugins-presentation.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.521&new_path=raindrops/1.523
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.521

Overview of Changes

	Added filter raindrops_inline_style
	Fixed raindrops_embed_css() error when $post in not set

	Modified Search result page

		add keyword heighlight presentation.

			Extract the part containing the search keyword and highlight it.

			If a category name and tag name contain keywords, category link and tag link are displayed

			Added 	raindrops_search_from_terms()
					raindrops_keyword_with_mark_elements()
					raindrops_keyword_with_mark_elements_title()

	Modified Gutenberg plugin CSS

Files Modified
	modified:   admin-options.css
	modified:   changelog.txt
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.520&new_path=raindrops/1.521
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.520

Overview of Changes
	Fixed Compatibility issues with versions less than PHP 5.5
		Fatal error: Can’t use function return value in write context
Files Modified
	modified:   functions.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.518&new_path=raindrops/1.519
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.519

Overview of Changes
	Modified Gutenberg plugin CSS
	Removed raindrops_add_share_link();
	Fixed p.alignleft p.alignright p.aligncenter Style when using grid layout
	Modified header text color CSS
		add raindrops_fallback_header_text_color()
	Added Support Privacy Policy link ( WordPress 4.9.6 )
	Modified comments form for privacy policy.

Files Modified
	modified:	admin-options.css
	modified:   css3.css
	modified:   functions.php
	modified:   grids.css
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.518&new_path=raindrops/1.519
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.518

Overview of Changes
	Trying front end display improparly
		Remove Transient settings
		Remove line 2687 functions.php
Files Modified
	functions.php
	lib/vars.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.517&new_path=raindrops/1.518
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.517

Overview of Changes
	Trying front end display improparly

Files Modified
	functions.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.516&new_path=raindrops/1.517
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.516

Overview of Changes
	Modified function name change raindrops_yui_class_modify() to raindrops_extra_sidebar_classes()
	Modified Misspelled CSS Class pagenate to paginate
	Removed Raindrops share link
	Modified child theme relate setting
	Modified gutenberg plugin style

Files Modified
	modified: 404.php
	modified:   admin-options.css
	modified:   author.php
	modified:   bbpress.php
	modified:   blank_front.php
	modified:   category.php
	modified:   changelog.txt
	modified:   date.php
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   image.php
	modified:   index.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   loop.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   page-templates/page-featured.php
	modified:   page.php
	modified:   part-additional.php
	modified:   part-blog.php
	modified:   part-gallery.php
	modified:   part.php
	modified:   pdf.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.515&new_path=raindrops/1.516
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.515

Overview of Changes
	Fixed thread comments CSS

	Modified Google WEB fonts Setting for Lang ja
		add unicode-range: U+300C,U+300D,U+300E,U+300F,U+3010,U+3011,U+3008,U+3009,U+300A,U+300B,U+3013,U+3014,U+3015,U+3016,U+3017, U+3000,U+3001,U+3002;

	Added Dinamic body class
		is-default-sidebar-shrink, is-extra-sidebar-shrink

	Added Dinamic body class
		when current_theme_supports( 'align-wide' )
		body add class enable-align-wide. for gutenberg

	Modified Gutenberg Plugin CSS

	Fixed raindrops_prepend_extra_sidebar(),raindrops_append_extra_sidebar()
		Wrong hook position corrected

	Added Translators comments

	Fixed comment title for translatable.

Files Modified
	modified:   grids.css
	modified:   languages/css/ja.css
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified: 	404.php
	modified:   author.php
	modified:   blank_front.php
	modified:   category.php
	modified:   childs/boots/inc.php
	modified:   comments.php
	modified:   date.php
	modified:   footer.php
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   image.php
	modified:   index.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   loop.php
	modified:   page-templates/front-page.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/list-of-post.php
	modified:   page.php
	modified:   part-additional.php
	modified:   part-blog.php
	modified:   part-gallery.php
	modified:   part.php
	modified:   pdf.php
	modified:   plugins/class-tgm-plugin-activation.php
	modified:   plugins/plugins-presentation.php
	modified:   search.php
	modified:   searchform.php
	modified:   sidebar-default.php
	modified:   sidebar-extra.php
	modified:   sidebar.php
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.513&new_path=raindrops/1.515
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.513

Overview of Changes
	Modified added Raindrops base font CSS classes .rd-basefont-13,.rd-basefont-14,... .rd-basefont-20
	Modified Customize / Presentation / Fonts. Vertical Rhythm for Entry Content
				Changed paragraph line height value
	Modified Customize / Presentation / Fonts. Paragraph line wrapping CSS
	Modified function raindrops_gallerys_clone() css values
	Modified Gutenberg add_theme_support( 'align-wide' )
	Modified Gutenberg CSS
	Fixed header image pallalax issue
		When using box layout responsive, scroll then image wider.

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   grids.css
	modified:   lib/alias_functions.php
	modified:   lib/customize.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.512&new_path=raindrops/1.513
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.512

Overview of Changes
		Fixed Grid Layout CSS issue.
		Fixed Page CSS issue.
		Modified .is-rd-justified user selection none
Files Modified
	modified: functions.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.511&new_path=raindrops/1.512
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.511

Overview of Changes

		Fix The position of the hook was not in the correct position
			raindrops_prepend_default_sidebar(),
			raindrops_append_default_sidebar()
			404.php, author.php,blank-front.php,category.php,date.php,image.php,index.php,page-templates/front-portfolio.php,
			page-templates/list-of-post.php,page.php,pdf.php,single.php

		Modified for Gutenberg
			Class name changed from .editor-visual-editor to .edit-post-visual-editor
			etc...
			for Gutenberg 2.3.0

		Modified Changed TinyMCE inline style to data attribute
			Inline styles added by TinyMCE and Gutenberg Plugin may cause fatal damage if you change the color scheme of the theme.
			Also, in order to change the inline style, you need to use ! Important in the external style,
			you can not change the flexible style.

			This change makes it easy to change styles from Post CSS editor and CUSTOM CSS of customizer.

			example
				In color type dark, make the background color transparent

			.rd-type-dark .entry-content .has-background{
    			background:transparent;
				color:currentcolor;
			}

			if you no needs,

			Customize / Advanced / Replace style attributes with data attributes

				set disable.

		Added Paragraph wrap ( Customize / Presentation / Fonts. Paragraph line wrapping )
			It is now possible to adjust when the width of one line is too wide.
				default false
		Modified Vertical Rhythm for Entry Content ( Customize / Presentation / Fonts. Vertical Rhythm for Entry Content )
			add paragraph line-height

		Modified for japanese
			In the Japanese environment TinyMCE itaric button, Display Emphasis marks

		New CSS class rd-justify
			For languages that do not delimit characters such as Japanese with spaces, equal spacing is occasionally used.
			This class is available in all languages.

			example

				<p class="rd-justify f32 solid-border" style="width: 14em;">hello world</p>

Files Modified
	modified: 404.php
	modified:   admin-options.css
	modified:   author.php
	modified:   blank_front.php
	modified:   category.php
	modified:   date.php
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   image.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/scripts/ja.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/list-of-post.php
	modified:   page.php
	modified:   pdf.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   sidebar-default.php
	modified:   sidebar-extra.php
	modified:   sidebar.php
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.510&new_path=raindrops/1.511
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.510

Overview of Changes
	Modified	wp-caption short code remove inline style.
	Added
				CSS percent width classes

					You can make grid layout in post content.

					size1of2, size1of3, size2of3, size1of4, size3of4,size1of5, size2of5, size3of5, size4of5, solid-border
					means size1of2 is 50% width of entry content
					Supports gutenberg plugin block class, text html.
					work width div, figure, ul, ol, p, (table is not support)

					Example
					<p class="alignleft size2of5  solid-border">hello world</p>
					<p class="alignright size1of5 solid-border">hello world</p>
					<p class="alignnone size1of5  solid-border">hello world</p>
					<p class="alignnone size1of5  solid-border">hello world</p>
					@see https://tenman.info/labo/css/?p=8704

					Traditional Raindrops grid classes can also be used.

					<div class="line">
						<div class="unit size1of2 gradient3">1/2</div>
						<div class="unit size1of2 gradient2">1/2</div>
					</div>

	Modified gutenberg plugin front end style
				removed gutenberg figure(imge) inline style.

Files Modified
	modified:   css3.css
	modified:   functions.php
	modified:   grids.css
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.509&new_path=raindrops/1.510
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.509

Overview of Changes
	Fixed a bug that the site could not be displayed properly in xhtml environment

	Added Header Image parallax
		Customize / Header Media / Parallax Header Image
		Please select disable to return to the conventional display

Files Modified
	modified:   childs/boots/inc.php
	modified:   childs/inc.php
	modified:   functions.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.508&new_path=raindrops/1.509
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.508

Overview of Changes
	Modified CSS for Gutenberg 2.1.0

Files Modified
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.507&new_path=raindrops/1.508
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.507

Overview of Changes

	Modified remove type attribute from html5 style and script elements in theme.
	Modified Gutenberg plugin Styles
	Modified When using Doctype HTML4, Gallery Shortcode using dl,dt,dd old style.
	Added CSS Classes ol.alignleft,ol.alignright, ul.alignleft, ul.alignright

Files Modified

	modified:   admin-options.css
	modified:   childs/boots/inc.php
	modified:   childs/inc.php
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.505&new_path=raindrops/1.507
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.505

Overview of Changes

	Almost relate CSS
		Main changes Gutenberg front and editor style.

	Modified Add style for Gutenberg Plugin
	Modified Add Oembed instagram wrapper div.rd-instagram
	Added function raindrops_width_class_and_relate_settings()
	Fixed function raindrops_gallerys_clone funny code
	Fixed wrong styles in lib/csscolor.css.php
	Removed oembed instagram script in raindrops.js
	Removed br.clear element and added clearfix in block

Files Modified
	modified: admin-options.css
	modified:   editor-style.css
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.504&new_path=raindrops/1.505
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.504

Overview of Changes
	Fixed wrong CSS Class name list-category-archives,list-tag-archives
		remove list-
	Modified Change stylesheet handlename admin_css to admin_options
	Modified Change Relate Posts featured image size from 90px to 100px
	Modified Gutenberg Plugin CSS

Files Modified
	modified:   admin-options.css
	modified:   css3.css
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.502&new_path=raindrops/1.503
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.502

Overview of Changes
	Fixed PHP Fatal error:   with version older than WordPress 4.9
	Modified Gutenberg Plugin CSS

Files Modified
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.501&new_path=raindrops/1.502
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.501

Overview of Changes
	Fixed PHP Fatal error:  Cannot use $this as parameter
	Modified Gutenberg Plugin CSS

Files Modified
	modified:   functions.php
	modified:   lib/hooks.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.500&new_path=raindrops/1.501
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.500

Overview of Changes

    Focus Wide Sidebar Design.

        WordPress 4.9 has greatly advanced the extension of non-post content such as sidebar.
        Custom html widgets allow you to place content freely in the sidebar and galleries can now be displayed in the sidebar.
        Schedule function was also added.

        Until now, the sidebar was just the place to place the link, but you may be able to use it more effectively with your idea

        In order to help your idea, I reconsidered the design of the wide sidebar of Raindrops

        wider sidebar is ( Customize / Presentation / Layout and Sidebars ) Extra Sidebar Width 50%, 66%, 75%

        Many widget displays have been refreshed for these sidebar settings

        Please preview with the customizer and check how it looks. Also, please give me your feedback.
        In addition, I have devised modal boxes and tab display further to make use of wide sidebar conveniently.

    Modified Gallery widget in Sidebar( default sidebar, extra sidebar )

        Raindrops Default sidebar can be set in the range of minimum 160px width up to 300px width.
        The Extra Sidebar can be set in the relative range of 25% to 75% in proportion to posting.
        Since the width used relatively often is about 300px,
        when added the gallery, the image is displayed very small. If the link is not used, it is very hard to see

        When linkless gallery is set, added a function to pop up when clicking images
        Image size of linkless gallery, midium or more is recommended

    Modified Raindrops Modal Box
        A modal box is a mechanism to create a modal box easily from ancient times.
        You can easily create a modal box simply by pasting the following source in the entry content.
        Since the href attribute and data-modal-id are automatically converted, you can create as many modal boxes as you paste.

        <a href="#raindrops_modal_fragment_id_automatic" class="modal-link">Link displaying modal box</a>

        <div class="rd-modal" data-modal-id="raindrops_modal_fragment_id_automatic">
                <div>
                        <div class="body">
                            https://youtu.be/dFf4AgBNR1E
                        </div>
                        <div class="footer">
                                <a href="#page" ><span class="lb-close color5 pad-s corner">Close</span></a>
                        </div>
                </div>
        </div>

        I added the function so that this function works not only in the entry content but also in the sidebar( with Custom HTML Widget ).

        This modal box has some drawbacks to date. That is, if youtube video is placed in a modal box,
        youtube video continues to play even if you press the close button during playback.

        Improved to stop video when pushing the Close button.

        tested with
        youtube.com, reverbnation.com, cloudup.com, videopress.com, www.mixcloud.com, ted.com, soundcloud.com, wordpress.tv

        Not yet, audio shortcode

        Note:Avoid placing large amounts of video in modal boxes. Iframes are loaded lazily, but the associated scripts are loaded and affect performance.

    Modified Raindrops Tab Box

        A layout that saves space on the WEB page is easily realized.
        You can easily create a Tab Box simply by pasting the following source in the entry content and Custom HTML Widget.

        <ul class="raindrops-tab-list clearfix" role="tablist">
                <li class="dummy">Tab Area</li>
        </ul>
        <div class="raindrops-tab-content clearfix">
                <div class="raindrops-tab-page">
                        <h3>Tab1</h3>
                        <p>Lorem ipsum dolor sit amet...</p>
                </div>
                <div class="raindrops-tab-page">
                        <h3>Tab2</h3>

                        <p>Lorem ipsum dolor sit amet, ...	</p>
                </div>
                <div class="raindrops-tab-page">
                        <h3>Tab3</h3>
                        <p>Lorem ipsum dolor sit amet...</p>
                </div>
        </div>

        Added current Tab CSS and General adjustment of display

	Modified Customize / Presentation / Convert All Titles to Uppercase
		Change scope
	Modified language Japanese
		Fonts Changes NotoSansJP-Regular.otf to NotoSansJP-Light.otf

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   grids.css
	modified:   images/dummy.png
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.497&new_path=raindrops/1.498
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.497

Overview of Changes
	Added body CSS Class rd-basefont-[13-20]
		This Classes relate Base Font Size in Customize / Presentation / Fonts
	Added Added Codemirror editor to Custom CSS For This Entry in post edit window

	Modified visual settings

		Kerning enabled all languages

		for Japanese environment
			Kerning enabled with font-feature-settings: "palt";

		Changed Default fonts.
			When using theme default font, YuGothic, Chrome Browser and Opera Browser are displayed as faint letters in Japanese.
			Change Noto Sans JP (japanese) http://www.google.com/fonts/earlyaccess
			Other browsers use YuGothic as the default font.
			With this change kerning for Japanese has become effective with major browsers including IE 10 or more and edge browser

			Basic Form validation styles added

			type:[color , date , datetime , datetime-local , email , month , password , number , search , tel , text , time , url , week]

			example selectors
				:required,
				input[type="email" i]:valid:not(:placeholder-shown),
				input[type="email" i]:not([placeholder]):valid,
				input[type="email" i]:invalid,
				input[type="email" i]:disabled,
				input[type="email" i]:read-only,
				input[type="radio"]:indeterminate + label:before { content:'?';...}

				Note:
				Even if: valid is blank, since it evaluates to true,
				I made a setting to support depending on whether or not a placeholder is displayed.

			Known Issue

				Must Needs Form Structure

					<input type="text" placeholder="hello world" id="xxx" val=""><label for="xxx">hello world</label>

				Not Work Structure
					<label><input type="text" placeholder="hello world" id="xxx" val="">hello world</label>

				IE, Edge not support
	Added global vars

		Variables to limit the behavior of very old template part files, part-gallery.php, part-blog.php
		$raindrops_use_part_gallery_template, $raindrops_use_part_blog_template

Files Modified
	modified: css3.css
	modified:   fonts.css
	modified:   functions.php
	modified:   image.php
	modified:   languages/css/ja.css
	modified:   languages/scripts/ja.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   loop.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.496&new_path=raindrops/1.497
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.496

Overview of Changes

	Added when besefont change relate line-height helper
	Fixed not prefixed function raindrops_gutenberg_enqueue_common_assets()
	Modified Correcting CSS when base font size is changed

Files Modified
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.495&new_path=raindrops/1.496
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.495

Overview of Changes
	Modify general style for WordPress 4.9

	Added CSS Class child-left-side for primary menu.

		If there is a menu with a deep hierarchy at the left end of the menu, the menu may not be displayed.
		Added child-left-side in the parent class of the primary menu, the sub menu is displayed on the left side.

	Removed header image min-height less than 640px;
		The users wanted a correctly scaled header image

	Added filter raindrops_font_size_class_base_font_size

		Customize / Presentation / Fonts

			If you change the Base Font Size, the font size of the widget will remain at the default font size.
			It is a filter when it is necessary to modify the font size of widgets etc.

		Example

		add_filter('raindrops_font_size_class_base_font_size','custom_raindrops_font_size_class_base_font_size', 10, 2 );

		function custom_raindrops_font_size_class_base_font_size( $size, $template ) {

			if( 'category' == $template ) {
				return 16;
			}
			return $size;
		}

	Modified Sticky Menu works on Mobile browser( less than 640px )

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   part-blog.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.493&new_path=raindrops/1.495
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.493

Overview of Changes

	Fixed mobile view ( less than 640px ) fonts bigger ( em style issue )

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.492&new_path=raindrops/1.493
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.492

Overview of Changes

	Modified Focus Customize / Presentation / Fonts / Base Fonts Size

		The Raindrops theme had a ability to change the base font size,
		but due to the limitation of the page width, it was a clunky one

		I applied a new idea to solve this problem
		With this change most styles of heading elements have been rewritten.

		Newly, for those who installed the Raindrops theme,
		I decided to apply the style for 2018. The existing user's settings will not be changed

		To use the new default settings in your theme, set the following PHP variable in the first line of functions.php

		$raindrops_year_2018_base_settings = true;

	Added plugin frontend style for gutenberg plugin (Please keep it for development use only)

		In the future, the gutenberg plug-in planned to be implemented in the core

		It is not easy to respond to future new editors while maintaining posts created with conventional editors.

		When using the Gutenberg plugin, add a style for Raindrops.

	Modified  Widget counter style for Categories widget, Archives widget , Tag widget

Files Modified
	modified:   author.php
	modified:   blank_front.php
	modified:   category.php
	modified:   changelog.txt
	modified:   css3.css
	modified:   date.php
	modified:   fonts.css
	modified:   functions.php
	modified:   grids.css
	modified:   image.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/scripts/ja.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/list-of-post.php
	modified:   page.php
	modified:   pdf.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   sidebar-default.php
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.491&new_path=raindrops/1.492
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.491

Overview of Changes

	Modified Add CSS styles WordPress 4.9 Gallery Widget
	Modified Add CSS styles WordPress 4.9 customizer

	Modified Japanese era name Amendments will be made  in 2019
			 made changes to support this feature

			You can test below filter

			needs language setting 'japanese',
			and カスタマイズ(Customize) / アドオン(Add-ons) 日付の和暦表示 set はい

			add_filter('raindrops_gengou_names', 'extend_raindrops_gengou_names');

			function extend_raindrops_gengou_names( $names ){

						$names['NewEraName'] = mktime( 0, 0, 0, 8, 1, 2017 );

						return $names;
			}

Files Modified
	modified: blank_front.php
	modified:   fallback.css
	modified:   functions.php
	modified:   languages/scripts/ja.php
	modified:   lib/alias_functions.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   part-blog.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.490&new_path=raindrops/1.491
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.490

Overview of Changes

	Fixed editor-style wrong comments
	Fixed Elements Have Discernable Names
			primary menu when mobile. .open, .close link
	Modified Add aria-label Share Links Menu in .entry-meta #raindrops_share select elements
	Modified when NOT is_user_logged_in, Removed version query string from theme stylesheets and js files
	Modified Size selectbox Insert Media/Attachment display settings
		Change from all image sizes to selectable
	Modified Add Customizer style for WordPress 4.9 sidebar outer content

Files Modified
	modified:   editor-style.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.489&new_path=raindrops/1.490
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.489

Overview of Changes

	Modified Change input type attribute from text to search for search form.
	Fixed wp_video tooltip change position. show title bottom.
	Modified urls( http > https ) in css files , help tab content in functions.php

Files Modified
	modified:   fallback.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   searchform.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.488&new_path=raindrops/1.489
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.488

Overview of Changes
	Add SSL support changes
		If you change the web site under operation from http to https,
		http link and so on remain in the post body, custom menu,
		Custom CSS for This Entry, Additional CSS,
		and the ability to rewrite these http links to https Added.

		This function rewrites only the internal link. It will not change external links

		If you not need this functionality.
		Please add the following variables to the first line of functions.php.

		$raindrops_ssl_link_helper = false;

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   header-front.php
	modified:   header.php
	modified:   index.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.487&new_path=raindrops/1.488
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.487

Overview of Changes
	Fixed Failed to load content css: http://example.com/wp-admin/ in post.php

Files Modified
	modified: functions.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.486&new_path=raindrops/1.487
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.486

Overview of Changes

	Modified Support Google Fonts Early Access CSS Class for Japanese
		Nico Moji , 	Class Name : google-font-nico-moji
		Hannari , 		Class Name : google-font-hannari
		Mplus 1p , 		Class Name : google-font-rounded-mplus-1c
		Nikukyu , 		Class Name : google-font-nikukyu
		Kokoro , 		Class Name : google-font-kokoro

			@see https://fonts.google.com/earlyaccess
		new filter raindrops_fallback_google_font

	Fixed esc_url() remove from editor_style()
		Dinamic editor style link broken.

Files Modified
	modified:   css3.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/hooks.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.485&new_path=raindrops/1.486
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.485

Overview of Changes
	Removed raindrops_options_init(),setup_raindrops(),raindrops_install_navigation()
	Fixed front-page.php template post pagination works improperly.
	Added raindrops_add_front_page_template_css()
		If front-page.php is used as the template for the page on the front page,
		when you create the page, the Add Front Page item will be displayed.

		If you select Add Front Page This Content, you can automatically display it on the top page.

		The raindrops_add_front_page_template_css function, when displayed on the top page,
		Adjust to reflect the style specified in Custom CSS for this entry
	Removed in image.php, Remove image
		The image title was deleted from the value of the alt attribute of the image.
		The alt attribute must be described exactly as the alt attribute.
	Fixed Writing Mode vertical-rl for Japanese language and Page Template
		full-width.php page template support tategaki(vertical writing mode)
		front-page.php inserting page support tategaki(vertical writing mode)
			(Posts using the front-page.php template do not support vertical writing.)

Files Modified
	modified:   functions.php
	modified:   image.php
	modified:   languages/scripts/ja.php
	modified:   lib/alias_functions.php
	modified:   page-templates/full-width.php
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.483&new_path=raindrops/1.485
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.483

Overview of Changes
	Fixed featured image link display improperly in singlar pages
	Modified Japanese writing mode tategaki.
		Post Format chat, Post Format link
			Auto Stop Japanese writing mode
	Added	Conditional CSS Class
		writing-mode-mix-article for tategaki style.
		writing-mode-standard-article for direction ltr
	Fixed conflict style writing-mode-mix and columns class.
	Fixed Correct the position of posted on block when using grid layout

Files Modified
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/scripts/ja.php
	modified:   loop.php
	modified:   part-blog.php
	modified:   part.php
	modified:   raindrops.js
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.482&new_path=raindrops/1.483
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.482

Overview of Changes
	Add Writing Mode vertical-rl for Japanese language.

	Modified Customize / Advanced / Synchronize Style for Visual Editor value No
		editor style not loading anything without editor-style.css
	Chaged README.txt format from text to Markdown

Files Modified
	modified: README.txt
	modified:   changelog.txt
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/scripts/ja.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   page-templates/front-page.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.481&new_path=raindrops/1.482
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.481

Overview of Changes

	Fixed ja.mo ja.po Wrong Translation msgid "Begin installing plugin"
	Fixed When Show Excerpt with Grid Layout posted in popup link works improperly. browser widght 320px-640px.
	Fixed hamburger button shows sidebar menu widget.( only Responsive Default Sidebar, Responsive Extra Sidebar set yes )
		Change hamburger button show only primary menu.
	Fixed Archive Widget Show post counts display improperly. Problems displayed on two lines
		If shows two lines, Please try Remove Inactive Widget.

Files Modified
	modified:   css3.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.480&new_path=raindrops/1.481
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.480

Overview of Changes

	Modified CSS Change widgettitle font size in topsidebar
	Modified CSS add wp-caption background for color type 'minimal'
	Modified CSS Featured Image margin padding ajust from js.
	Modified CSS floating image after p remove display:table
	Added CSS for 4.8.1  HTML Code Widget

	Modified microformats Distinction between updated class and published class
	Added sidebar aria-label for html5

	Added filter raindrops_caption_shortcode_attribute

	Added Class rd-screencast for Oembed screencast.com
		Screencast.com supports other file formats such as images as well as videos. Please set your own style according to each usage situation.

	Fixed Editor Style low contrast.

	Fixed xhtml language attribute issue raindrops_xhtml_language_attributes() removed and filter

	Added function raindrops_is_current_post()

	Modified Child Theme version query string
		from style.css?ver=1.480(parent theme version)
		to style.css?ver=1.480-0.1( parent theme version + child theme version )
		Changed so that the child theme can surely remove the cache when updating.

Files Modified
	modified:	css3.css
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.479&new_path=raindrops/1.480
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.479

Overview of Changes
	Fixed When using Featured Image Position  (In front of Title) of Customizer Featured Image Settings
		paged entry title display imploperly
	Fixed When using size custom and caption, in WordPress4.8 image media widget
		figure size broken
	Modfied cleaning style.css

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/featured-image.php
	modified:   raindrops.js
	modified:   reset-fonts-grids.css
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.476&new_path=raindrops/1.479
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.476

Overview of Changes

	Added
		Style added WordPress4.8 widget_media_image, widget_media_video, new text widget
	Fixed
		Since it turned out that countermeasure (1.473) of the faint character problem has a side effect,
		I decided to lower the priority of YuGothic font.
		priority of font Meiryo (only lang ja and color type minimal)
	Fixed
		meta slider plugin in post content
			display improperly ( position )
	Fixed
		raindrops_img_caption_shortcode_filter()
			wrong id and  aria-labelledby attribute
	Removed
		add_action( 'load-themes.php', 'raindrops_install_navigation' );
		add_action( 'admin_init', 'raindrops_options_init' );

Files Modified
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/hooks.php
	modified:   rtl.css
	modified:   style.css
	modified:   raindrops.js
	modified:   plugins/plugins-presentation.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.473&new_path=raindrops/1.476
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.473

Overview of Changes
	Fixed raindrops_img_caption_shortcode_filter() in functions.php
			Class attribute can not apply in shortcode.
	Fixed font YuGothic display improperly ( only lang ja )
	Modified gallery style in lib/alias_functions.php
	Modified wp-caption style ( only color type minimal )
	Modified featured image style ( window size < 640px )
	Modified featured image style ( only featured image left )
	Modified date archive style in responsiveness.css
	Modified caption shortcode style ( only color type minimal )

Files Modified
	modified: fonts.css
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/featured-image.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.472&new_path=raindrops/1.473
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.472

Overview of Changes
	Modified Compress the image
		images/desmiss.png , images/open.png , images/rss.png
	Modified lib/customize.php
		Translate function change from __() to esc_html__()
	Modified Section Featured Image Special Layout Apply Post Count
		max value change from post_per_page to Any integer value
	Modified When Customize / Presentation / Featured Image Settings (yes) and Featured Image Position (left of article)
		Solved the problem that the portrait image can not be displayed entirely

Files Modified
	modified:   bbpress.php
	modified:   comments.php
	modified:   functions.php
	modified:   header-front.php
	modified:   images/desmiss.png
	modified:   images/open.png
	modified:   images/rss.png
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/csscolor/csscolor.php
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.471&new_path=raindrops/1.472
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.471

Overview of Changes
	Modified Style of Grid excerpt for Document width  750px centered,   950px centered,  974px
	Modified Style of Grid excerpt for sticky post
	Changed Customize section label text from Customize / Presentation / Widget to from Customize / Presentation / Custom Post Type Helper
	Modified Header Image when Customize / Presentation / Layout and Sidebar value ' Full Width Responsive' ( default )
		We set an upper limit so that the header image fits in the browser window size
			For example, when a portrait image is set as a header image

		Custom header-image height
		Add functions.php first
		add_filter('raindrops_header_image_ratio','custom_raindrops_header_image_ratio');

		function custom_raindrops_header_image_ratio($ratio){
			$ratio = 0.3 // Ratio calculation is based on image height / image width

			return $ratio;
		}
	Modified style.css
		bender prefix cleaning

Files Modified
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/csscolor/csscolor.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   raindrops-helper.js
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.470&new_path=raindrops/1.471
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.470

Overview of Changes
	Fixed Color Type light primary menu background color

	Security Update relate TinyMCE Editor

		External link add rel="noopener noreferrer"

		If no needs attribute.

			Add functions.php first
			$raindrops_allow_safe_link_target = false;

	Modified
		Change display method of posted_in in grid layout

		If no needs new presentation
			Add functions.php first
			$raindrops_grid_posted_in = true;
	Fixed
		Rarely more links are displayed twice

	Added filter raindrops_filter_page_column_control

		add_filter( 'raindrops_filter_page_column_control','col_control1');

		function col_control1($control){

			$control['is_post_type_archive'] =  array( 'type' =>'news', 'columns' => 1 );
			$control['is_category'] = array( 'type' => 1, 'columns' => 2 );

			return $control;
		}
	Fixed Featured Image display improperly where paged archive

Files Modified
	modified: functions.php
	modified:   images/grid-black.gif
	modified:   images/list-black.gif
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/vars.php
	modified:   loop.php
	modified:   part-blog.php
	modified:   part.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.469&new_path=raindrops/1.470
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.469

Overview of Changes
	Modified post new,post edit help
		Add customizer link and etc.
	Fixed Customize / Presentation / Post / 'Posted in Labels' hide is not work

	Fixed Responsive view 640px - Page width setting width
		Correct the problem that the left and right margins become 0 in the above section
	Modified
		Move color style minimal style from style.css to dedicated area
	Modified
		Add navigation message Customize / Excerpt area.
	Fixed
		Fixed an issue that extra margins occurred when changing from grid layout to list layout on archive page
	Modified
		Fixed an issue where the full text is displayed when using multibyte character string in the RSS feed widget.

Files Modified
	modified: 	editor-style.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.468&new_path=raindrops/1.469
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.468

Overview of Changes

	Fixed Correct the problem that grid layout style affects irrelevant pages
	Fixed a problem that footer link does not swim in manual color setting
Files Modified
	modified: changelog.txt
	modified:   footer.php
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.467&new_path=raindrops/1.468
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.467

Overview of Changes

	Fixed Layout Swith Button display improperly.
Files Modified
	functions.php
	responsiveness.css
	style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.466&new_path=raindrops/1.467
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.466

Overview of Changes

	Fixed handwritten post excerpt can not display in archives.

		In the archive page, when handwritten excerpt exists, it will be preferentially displayed.

	Fixed figure element wrapped p element

	Added Layout Swith Button for Grid layout archives

Files Modified

	modified:   fallback.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   loop.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.465&new_path=raindrops/1.466
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.465

Overview of Changes
	Added New Presentation Grid Layout for Archives, Posts Archive
		Setting
			Dashboard / Appearance / Customize / Excerpt
			Home Listed Entry Contents, Category Archives Entry Contents, Search Result Entry Contents
			Show Excerpt with Grid Layout

		Relate Settings width filter.

			Apply Grid Layout another archives. ex: tag archive, post format, custom post type

			functions.php

				$raindrops_where_excerpts = array( 'is_tag','is_tax','is_post_type_archive' );
				$raindrops_change_all_excerpt_archives_to_grid_layout = true;

				is_tag for tag archive
				is_tax for post format archive
				is_post_type_archive for custom post type

		Change Page width conditional.

				//fullsize responsive
				add_filter('raindrops_theme_settings_raindrops_full_width_max_width','custom_page_width_control');
				//box responsibe
				add_filter('raindrops_theme_settings_raindrops_fluid_max_width','custom_page_width_control');

				function custom_page_width_control($page_width){

					if( is_singular() ) {
						return 1000;
					}
					return $page_width;
				}

		Insert Special Content in the loop

				add_action( 'raindrops_in_the_loop_1','my_test',10,2);

				function my_test($content,$num) {

					if( is_archive() ) {
						echo "<li style=\"flex-basis:100%;background:rgba(241, 196, 15,.3);\">
								<div><article><h1 style=\"text-align:center\" class=\"f40 b7\">$num</h1></article></div>
							</li>";
					}
				}

		Custom Responsive Break Point

				add_filter( 'raindrops_grid_break_point_small', 'custom_raindrops_grid_break_point_small' );
				add_filter( 'raindrops_grid_break_point_mobile', 'custom_raindrops_grid_break_point_mobile' );
				add_filter( 'raindrops_grid_break_point_desctop', 'custom_raindrops_grid_break_point_desctop' );

				function custom_raindrops_grid_break_point_small($break_point){
					return 640;
				}
				function custom_raindrops_grid_break_point_mobile($break_point){
					return 1280;
				}
				function custom_raindrops_grid_break_point_desctop($break_point){
					return 1400;
				}

		Filter CSS for Grid

				raindrops_style_archive_grid

		Known Issues

				Safari:	Browser Can not support Grid,Show list view,
				ie11:	The height of the post title is limited to 300px.
				ie9:	Browser Can not support Grid,Show list view,
				ie8:	Use Raindrops fallback view. Only readability
	Add New Style
		Customizer Settings default value Highlight.( not support IE )

Files Modified
	modified: css3.css
	modified:   date.php
	modified:   fonts.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   part-gallery.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.464&new_path=raindrops/1.465
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.463

Overview of Changes
	Fixed CSS Class for Mark Element.(padding,margin and Specified class does not reflect correctly )
	Modified CSS Class corner,corner-s,corner-m,corner-l,pad-s,pad-m,pad-l
	Modified editor-style.css
	Modified TinyMCE editor content width( related Customize / Presentation / Layout and Sidebar / Content Width: value fit )

Files Modified
	modified: css3.css
	modified:   editor-style.css
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.462&new_path=raindrops/1.463
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.462

Overview of Changes
	Added Style for TinyMCE
		for .rd-square, rd-round, centered classes
	Modified css, customizer arg name, function names, langages
		relate posts to related posts
	Fixed Related Posts, day archive link linked wrong.

	Modified TinyMCE editor content width
		Customize / Presentation / Layout and Sidebars

		When the value of Content Width is set to keep or fit, the width of the TinyMCE editor will also be changed accordingly.

	Fixed a problem that the color scheme is not applied when the tag cloud widget is set in the footer widget area

	Modified In the customizer preview, add an edit link to Related Post

	Removed CSS box shadow ( full width responsive + content width:fit )

	Add CSS Class for mark elements
		for example
		<mark class="notice">...</mark>
		<mark class="alert">...</mark>
		<mark class="info">...</mark>
		<mark class="blue">...</mark>

Files Modified
	modified: css3.css
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops.js
	modified:   style.css


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.461&new_path=raindrops/1.462
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.461

Overview of Changes

	Fixed issue where publish date in relate posts is not displayed correctly

Files Modified

	modified: 	fonts.css
	modified:   functions.php
	modified:   responsiveness.css
	modified:   style.css


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.460&new_path=raindrops/1.461
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.460

Overview of Changes

	Fixed fatal error raindrops_japan_date() not exists

Files Modified

	modified:   functions.php


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.459&new_path=raindrops/1.460
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.459

Overview of Changes

	Added relate posts block in single post.
			Add Customizer Section
				Cusotomize / Presentation / Relate Posts
			Note:Related posts are displayed by default. If it is not necessary, it can be hidden by the customizer.
	Fixed Safari browser, Header image can not be displayed depending on settings

Files Modified

	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.458&new_path=raindrops/1.459
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.458

Overview of Changes

	Changes to improve compatibility of CSS Class of Raindrops theme

	@see http://tenman.info/labo/css/?p=5647

	Sorry, only japanese document.

Files Modified
	modified:   css3.css
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   header-front.php
	modified:   lib/csscolor.css.php
	modified:   page-templates/front-portfolio.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.457&new_path=raindrops/1.458
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.457

Overview of Changes
	Fixed Scope of too wide style
		index article margin-bottom,
		.postmetadata,.entry-meta margin,
		ul.archive > li,ul.index li, margin,
		ul.archive > li > div, -ul.index > li > div margin
	Added New Class .trancate and data-rows attribute

		<p class="trancate" data-rows="5">lorem....</p>

		multiline clipping class
		for like text-overflow , -webkit-line-clamp, -o-ellipsis-lastline presentation

		@see example http://tenman.info/labo/css/?p=5574

	Modified rd-square, rd-round, centered classes

Files Modified
	modified:   functions.php
	modified:   header-front.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.456&new_path=raindrops/1.457
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.456

Overview of Changes
	Modified Overhaul blank-front.php template
	Modified Removed Uneeded line-break
	Modified Customizer / Presentation / Fonts / Vertical Rhythm for Entry Content
		Change h* headding margin
	Fixed Page content width display improperly
	Modified Overhaul front-portfolio.php Remove Sticky Post

Files Modified
	modified:   comments.php
	modified:   functions.php
	modified:   grids.css
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   page-templates/front-page.php
	modified:   page-templates/front-portfolio.php
	modified:   page.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.455&new_path=raindrops/1.456
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.455

Overview of Changes

	Fixed Problems that the setting for the responsive page affects the style of the fixed page width
		raindrops_customize_control_message_raindrops_primary_menu_responsive()
		Class rd-primary-menu-responsive-active add to body when only doc3,doc4 page_width
	Modyfied Customizer section customize_render_control_raindrops_theme_settings[raindrops_primary_menu_responsive]

	Modyfied CSS for author.php
	Modyfied Translation ja.po ja.mo

Files Modified
	modified:   editor-style.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/customize.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.454&new_path=raindrops/1.455
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.454

Overview of Changes
	Modified Post Format Status, Post Format Chat

Files Modified
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   part-blog.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.453&new_path=raindrops/1.454
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.453

Overview of Changes
	Modified Add new CSS classes
		.equal-height
		.uppercase
		.lowercase
		.capitalize
			Customize 'Convert All Titles to Uppercase' relate changes.
			You can control from Customize / Site Identity / CSS Class of Site Title
								 Customize / Presentation / Post / Entry Title CSS Class
								 Customize / Menus / Menu Name / CSS Classes
		.ghost
			Make the ghost button
			example
			<a class="ghost rd-alert-bg external" href="http://www.example.com">ghost</a>
		.disable
			a.disable or .disabe > a is ignore tags surrounded by anchor.

	Modified Customizer Customize / Presentation / Fonts
		Add New Section 'Vertical Rhythm for Entry Content' and 'Convert All Titles to Uppercase'

	Fixed wrong filter name
		Change from raindrops_amp_image_width to raindrops_amp_image_height

Files Modified
	modified:   author.php
	modified:   comments.php
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   page-templates/page-featured.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.452&new_path=raindrops/1.453
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.452

Overview of Changes
	Fixed Schedule Posts works improperly.
	Modified Style change posted in label when using emoji
	Fixed Google font url double encoded
	Modified customizer js( customize.js )
    Fixed gettext empty translation text
	Modified customizer link autofocus[section]=colors to javascript
	Modified Translation ja.po

Files Modified
	modified:   changelog.txt
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   loop.php
	modified:   page-templates/front-page.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   pdf.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.451&new_path=raindrops/1.452
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.451

Overview of Changes
	add body class rd-2017-base-setting

	Fixed header text color
		sometimes show wrong color
	Fixed front page template
		When set static front page
			Content duplication display
			Remove Add Front Page Radio button
			Not work Custom CSS for This Entry
	Modified Customizer
		Always Shows Display Site Title Text,CSS Class of Site Title( Section:title_tagline )

Files Modified
	modified:   header-front.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   page-templates/front-page.php
	modified:   part-additional.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.449&new_path=raindrops/1.451
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.449

Overview of Changes

	Fresh Install Default UI changed
		When Fresh Install
			"raindrops_page_width" to 'doc5',
			"raindrops_featured_image_recent_post_count" to 10,
			"raindrops_place_of_site_title" to "header_image"
			"raindrops_style_type" to 'minimal'

		How to display a new UI on a site that has already been installed and operated

		function.php first add below variable

			$raindrops_year_2017_base_settings = true;

Files Modified
	modified:   lib/vars.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.448&new_path=raindrops/1.449
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.448

Overview of Changes
	Restore the changes to minimize the impact on existing users.
		"raindrops_page_width" to 'doc3',
		"raindrops_featured_image_recent_post_count" to 3,
		"raindrops_featured_image_singular" to "show",
		"raindrops_place_of_site_title" to "above"
		"raindrops_style_type" to 'dark'

	If you do not set the widget, please set the sidebar widget.

	Modified Attachment PDF in multibyte lang, Not URL encoded.
	Fixed Child Theme body class rd-col-(1-3) works improperly.
	Fixed Add On The event calendar error

Files Modified
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.447&new_path=raindrops/1.448
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.447

Overview of Changes

	When Fresh Install Theme
		Remove sidebar example widget ( Showing 3col to 1col )
		Change Default Color Type from dark to minimal.
		Change Site Title Position from above header image to in header image

	Add new body_class .noscript ( this class removed from jQuery )
	Add new filter raindrops_custom_option_vals

	Customizer Add settings raindrops_content_width_setting

Files Modified
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   pdf.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.446&new_path=raindrops/1.447
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.446

Overview of Changes
	Code Cleaning
		Commentout RAINDROPS_TABLE_TITLE,RAINDROPS_PLUGIN_TABLE
		Next version remove.
	Modified Dinamic Style for front-page.php template.
	Modified raindrops_link_url_text_decode()
	Filter Add raindrops_excerpt_conditional
	Filter Add raindrops_link_pdf_filter
	Filter Commentout raindrops_non_breaking_content
		Next version remove.
	Modified Customize link
		from customize.php?autofocus[panel]=raindrops_theme_settings_presentation_panel
		to javascript:wp.customize.panel( \'raindrops_theme_settings_presentation_panel\' ).focus();
	Modified Admin Color
	Modified When Video header tagline linked to main contents link offset.
	Modified Category ,Tag description only shows page top,(when paged hide).
	Fixed bug when Static Front Page displayed excerpt.

Files Modified
	modified:   functions.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   loop.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.445&new_path=raindrops/1.446
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.445

Overview of Changes
    WordPress 4.7 compatibility update
		Header Video Support.
		PDF Image Support when using Imagick.

Files Modified
	modified:   functions.php
	modified:   header-front.php
	modified:   header.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   lib/alias_functions.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   page-templates/front-page.php
	modified:   pdf.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.444&new_path=raindrops/1.445
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.444

Overview of Changes
    Fixed User Set When Custom Post Type, Theme Post Date link 404.
        Remove Date Archive Link in Custom Post Type.
    Add Customizer Section.
        Primary Menu Link Color, Primary Menu Background Color at Customize/Presentation/Menu Section
            This change is a problem that can be easily changed with CSS, but since many users actually use themes on sites, they are not implemented well
    Modified Setting var $raindrops_keep_content_width and CSS

Files Modified
    modified:   header-front.php
    modified:   lib/alias_functions.php
    modified:   lib/customize.php
    modified:   lib/validate.php
    modified:   lib/vars.php
    modified:   single.php
    modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.442&new_path=raindrops/1.444
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.442

Overview of Changes

	Custom Post Type Widget Add Automaticaly. on Article after of Custom Post Type Single Post
        Need Setting.
		add functions.php top
		ex: add custom post type product

		$raindrops_widget_post_types = array('product');

	Modified Adjustment of appearance when var $raindrops_keep_content_width values are changed to false

	Added add_theme_support( 'customize-selective-refresh-widgets' );

	Fixed Archives Extended Widget
		month permalink works improperly.

Files Modified
	modified:   lib/alias_functions.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   pdf.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.441&new_path=raindrops/1.442
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.441

Overview of Changes

	BUG Fixed update

		add post_type exists check
			raindrops_filter_custom_post_content()
			raindrops_filter_custom_post_title()
			raindrops_filter_custom_post_archive_widget()
			raindrops_filter_custom_post_archive_widget_title()
			raindrops_filter_custom_post_category_widget()
			raindrops_filter_custom_post_category_widget_title()

		Shortage argument of filter function
			widget_title filter

	Pinup entries widget Support Custom Post type
		add functions.php top
		ex: add custom post type product

		$raindrops_widget_post_types = array('product');

Files Modified
	modified:   functions.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.440&new_path=raindrops/1.441
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.440

Overview of Changes
	Better Presentaition For Custom Post Types

	When Custom Post Type Archive , Custom Post Single. Shows Custom Post Archive and Taxonomy.

		If you need presentation

			Customize / Presentation / Widget
				Set Yes. Relate Custom Post Type and Categories Widget
        			Category widget shows Custom Post relate Taxsonomy
				Set Yes. Relate Custom Post Type and Archives Widget
					Archives widget shows Custom post type Monthly Archive.
		New functions

		 	raindrops_filter_custom_post_archive_widget()
			raindrops_filter_custom_post_archive_widget_title()
			raindrops_filter_custom_post_category_widget()
			raindrops_filter_custom_post_category_widget_title()
			raindrops_post_type_exclude_template()
			raindrops_widget_archives_validate()
			raindrops_widget_categories_validate()

Files Modified
	modified:   date.php
	modified:   functions.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	modified:   languages/ja.mo
	modified:   languages/ja.po

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.439&new_path=raindrops/1.440
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.439

Overview of Changes

	Better Presentaition For Custom Post Types

		Fixed Post type Archives
			Showing Correct Title
		Fixed Post type Single Post
			Add Custom Post archive link, and related taxonomy at posted in

		Add 'Custom CSS For This Entry' metabox for Custom Post Type edit page.

		Add new post_class() .rd-custom-post-type

		Add new filter raindrops_custom_css_supports

		Add new function raindrops_cusotom_post_archive_link()

		Add new function raindrops_is_custom_post_type()

		Add new function raindrops_filter_custom_post_content()

		Add new function raindrops_filter_custom_post_title()

		add functions.php

		add_filter('raindrops_custom_css_supports','extend_raindrops_custom_css_supports');

		function extend_raindrops_custom_css_supports($post_type){

			$post_type[] = 'YOUR CUSTOM POST TYPE';

			return $post_type;
		}

		Add new Customizer Section

			Customize / Presenatation / Widget

				Section: Widget Recent Post relate Custom Post Type (default No)

				Setting:Yes

				When Custom Post Single Post, Recent Post Widget Shows Custom Post Recent Post.

		When AMP Plugin Activeted, Raindrops add helper filter.

			add_filter( 'amp_frontend_show_canonical', 'raindrops_remove_amphtml__link_element' );
			when <!--skipamp--> exists in entry content ,remove <link ref="amphtml".../>

Files Modified
	modified:   functions.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   responsiveness.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.437&new_path=raindrops/1.439
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.437

Overview of Changes
	Changed Custom header image for each post.
		the attachment image of each post is now available for selection.
		if to reflect the uploaded images to the list, please press the save draft  button

		featured image to header image
			must need customizer setting.
			when Customizer / Presentation / Featured Image Settings
				Singular(post,page) value set hide.
			and featured image set after click Save Draft
			then showing radio button at Custom Header Image For This Post
	Fixed Custom CSS for each post.
		URL-encoded URL Fixed an issue that would have been deleted
	Fixed Customizer site tile link color an issue that does not change as specified.

Files Modified

	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.433&new_path=raindrops/1.437
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.433

Overview of Changes

	Fixed Customizer setting not saved


Files Modified

	modified:   lib/vars.php


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.431&new_path=raindrops/1.433
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.431

Overview of Changes

	New Theme data store changes theme_mod, option

		How to change data store

		functions.php
		`
		<?php
		$raindrops_setting_type	= apply_filters('raindrops_theme_data_store', 'theme_mod' );// ADD ONLY THIS LINE
		/**
		 *
		 *
		 * @package Raindrops
		 * @since Raindrops 0.1
		 */
		`


Files Modified
	modified:   childs/inc.php
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.429&new_path=raindrops/1.431
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.429

Overview of Changes
	'auto-correction feature of incorrect settings' has bug in multisite child themes

Files Modified
	modified:   lib/vars.php
	modified:   childs/inc.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.426&new_path=raindrops/1.429
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.426

Overview of Changes
	By custom color type in, such as child theme, adding the auto-correction feature of incorrect settings

Files Modified
	modified:   lib/vars.php


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.425&new_path=raindrops/1.426
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.425

Overview of Changes
	Removed function raindrops_indv_css_w3standard() in functions.php
	Removed function raindrops_header_style()
	Removed function raindrops_sidebar_menus2()
	Removed function function raindrops_first_only_msg( $type = 0 )

	Modified primary menu style.
	Modified front-page template :target position
	Modified dl ul ol list min-width
    Modified equal height style. but not complete yet
	Modified editor-style.css reverbnation presentation
	Modified raindrops_reset_theme_options()
	Modified raindrops_html_excerpt_with_elements() change shorcode remove regex to strip_shortcodes
	Modified ja.css ( for japanese lang style ) fonts changed

Files Modified
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   single.php
	modified:   images/sidebar.png
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/vars.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.424&new_path=raindrops/1.425
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.424

Overview of Changes

	<del>Changed Equal height layout change from javascript to CSS</del>
	Equal height set by the CSS, because a problem is found, return to the setting up this

Files Modified
	modified:   lib/vars.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.423&new_path=raindrops/1.424
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.423

Overview of Changes

	Changed Equal height layout change from javascript to CSS

	Added date.php get_template_part( 'widget', 'sticky' );
	Modified editor-style.css pre style
	Modified raindrops_embed_css() footer image
	Modified raindrops_embed_meta change zencache_options to comet_cache_options
	Removed raindrops_indv_css_w3standard() in functions.php
	Modified raindrops_load_small_device_helper() add json raindrops_sidebar_height_style
	Removed raindrops_sidebar_menus2()
	Modified add filter raindrops_skip_links
	Added filter function raindrops_remove_noteaser_link_scroll()
	Modified raindrops_switch_default_by_color_type_clone()
	Modified aindrops_design_output_clone( )
    Removed raindrops_override_quick_cache_mo()
Files Modified
	modified:   css3.css
	modified:   date.php
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   index.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.422&new_path=raindrops/1.423
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.422

Overview of Changes
	WordPress4.6 relate changes
     Fixed Customizer, In conjunction with the change of the color type, font link color does not change problem
	Changes for AMP plugin
		Modified  raindrops_amp_css();
		Modified raindrops_amp_filter(); remove div element change hr element regex;

Files Modified
	modified:   lib/customize.js
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.421&new_path=raindrops/1.422
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.421

Overview of Changes
	WordPress4.6 relate changes
       Customizer CSS CLASS change from .customize-control-title to .customize-control-notifications-container
           change Style rules.
	Added helper script for Plugin AMP
		filter function raindrops_load_amp_css()
		filter function raindrops_skip_amp()
Files Modified
	modified:   plugins/plugins-presentation.php
	modified:   single.php
	modified:	functions.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.420&new_path=raindrops/1.421
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.420

Overview of Changes
	Fixed raindrops_color_pallet_category()
		Under certain conditions, the contrast of the problem between the background and the color is generated
	Add header prev next rel element support <!--nextpage--> tag.
	Modified raindrops_keep_content_width in child theme.
    Modified tooltip issue
    Modified body .wireframe class
    Modified using data-attribute CSS class

Files Modified
	modified:   functions.php
	modified:   header.php
	modified:   lib/alias_functions.php
	modified:   lib/hooks.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.419&new_path=raindrops/1.420
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.419

Overview of Changes
	HotFixed Child Theme boots fatal error
		add raindrops_remove_spaces_from_css()

Files Modified
	childs/inc.php
    childs/boots/inc.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.418&new_path=raindrops/1.419
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.418

Overview of Changes
	Add raindrops_add_toootip_script()
	Add template function raindrops_the_header_image()
	Fixed plugin the event calendar, tooltip show impropely
    Add CSS class .row for headding elements
    Fix right left center class shows impropely in th attribute.
	Add data attribute [data-mod="postit"][data-skin] for Presentation
    Add CSS class .rd-shorten Presentation use ellipsis li element child a,span.

Files Modified
	modified:   functions.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   lib/csscolor.css.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.417&new_path=raindrops/1.418
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.417

Overview of Changes
	Added font weight class .b1-.b9
    Added Entry Content sub box class
    Modified input element no wrap wpautop()
    Modified .rd-list-type-tree.
    Modified gallery caption css

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.416&new_path=raindrops/1.417
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.416

Overview of Changes
	Added function raindrops_remove_spaces_from_css();
	Fixed wrong template part file name
		hook_before_article.php to hook-before_article.php
		hook_after_article.php to hook-after_article.php
	Added Meta Slider fallback style
	Fixed @media query close tag not exists
	Fixed grid-pinup-widges is affected by post format chat (CSS level hotfix)
	Fixed grid-pinup-widges title display improperly.
	Fixed safari browser li element overflow parent ul
    Fixed sticky article overflow mobile width

Files Modified
	modified:   childs/boots/inc.php
	modified:   childs/inc.php
	modified:   functions.php
	modified:   grids.css
	modified:   lib/alias_functions.php
	modified:   plugins/plugins-presentation.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.415&new_path=raindrops/1.416
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.415

Overview of Changes
	 Highlighted by the automatic color-coded to the post tag links and Category links,
		Added Customizer Section customize / appearance / post / Enable Color-coded category,
								 customize / appearance / post / Enable Color-coded Post Tag
		Added  body_class rd-cat-em,rd-tag-em
		Added function raindrops_color_pallet_category(),raindrops_archive_has_count(),
					   raindrops_color_coded_post_tag_validate(),raindrops_color_coded_category_validate()
	Added AMP( https://wordpress.org/plugins/amp/ ) relate code
		plugins/plugins-presentation.php
	Added New CSS class
		clear-1,clear-2,clear-3
		Add element above space 1em, 2em 3em
	Changed archive category and post tag style.

Files Modified
	modified:   childs/boots/inc.php
	modified:   editor-style.css
	modified:   footer.php
	modified:   functions.php
	modified:   header.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/raindrops.pot
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.414&new_path=raindrops/1.415
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.414

Overview of Changes
	Added able to use class attribute like  class="rd-card" raindrops notation( [raindrops class="rd-card"] )
		this class added to article wrapper element
	Added Example Class rd-card
	Fixed featured image display improperly at peged.

Files Modified
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.413&new_path=raindrops/1.414
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.413

Overview of Changes
	Added CSS Classes
		.rd-hover-shadow
			lift up content when hover
		.rd-ripple
			for Simple ripple effect
		.rd-alert-bg, .rd-info-bg, .rd-notice-bg

	Fixed CSS Class .raindrops-empty-title, .raindrops-empty-content ( post class ) not worked
	Added function raindrops_current_post_hilight()
		Sidebar link highlight. TAG Archive Widget, Single Post, Monthly Archive, Resent Post Widget,
        Archives Extended widget, Category New Post widget
	Modified　raindrops_minified_suffix add empty check
	Fixed Pinup entries widget html structure issue
    Fixed raindrops_next_prev_links() position wrong in search.php template
	Fixed .rd-square class not worked
	Fixed editor style issue. gallery shows improperly.
	Modified child theme option vars

Files Modified
	modified:   css3.css
	modified:   editor-style.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   responsiveness.css
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.412&new_path=raindrops/1.413
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.412

Overview of Changes
	Fixed language attribute when html5

Files Modified
	modified:   functions.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.411&new_path=raindrops/1.412
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.411

Overview of Changes
	Modified Change HTML Named Special Symbols to numerical character references
		For Document Type XHTML character standard
	Modified minified CSS JS auto include when file exists.
		fonts.css - fonts-min.css ...
	Modified Remove empty elements and remove empty class attribute
	Modified Remove role attribute when xhtml from page navigation.
	Modified Remove aria-label attribute when xhtml from primary menu.
	Added Filter functions raindrops_xhtml_language_attributes(),
					raindrops_custom_image_send_to_editor(),
					raindrops_remove_itemprop_from_site_logo(),
					raindrops_remove_grabatar_srcset(),
					raindrops_gettext_with_context(),
					raindrops_remove_sizes_attribute(),
	Fixed add_filter( 'site_url','esc_url'); is worked improperly.
			password fogot link output &amp;038;
	Modified Raindrops shows Simple mode < IE9 blowser.
			Add filter raindrops_lt_ie9_shows_simple_mode for Cache Plugin issue.

Files Modified
	modified:   fallback.css
	modified:   functions.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   image.php
	modified:   lib/alias_functions.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   loop.php
	modified:   page.php
	modified:   part-additional.php
	modified:   search.php
	modified:   single.php
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.410&new_path=raindrops/1.411
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.410

Overview of Changes

	Added Responsive Sidebar

		Dashboard/Appearance/Customize
			Presentation/ Layout and Sidebars /
				Responsive Default Sidebar(default no)
					Responsive Breakpoint for Default Sidebar(default 800)
				Responsive Extra Sidebar (default yes)
					Responsive Breakpoint for Extra Sidebar (default 960)

		You can enable the Responsive sidebar, you can set a breakpoint freely

	Changed Presentation for IE8 and older version.
		Show Simple mode

    Fixed Monthly Archive not showing links

	Added Category discription , Tag discription. shows in archive page when discription exists.

    Update ja.po , ja.mo


Files Modified
	modified:   changelog.txt
	modified:   fallback.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/raindrops.pot
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.409&new_path=raindrops/1.410
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.409

Overview of Changes
	Fixed Theme does not show dark color type in PHP7
		@see https://wordpress.org/support/topic/theme-does-not-show-dark-color-type

Files Modified
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.407&new_path=raindrops/1.409
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.407

Overview of Changes

	remove vars $raindrops_customize_color_ja,$raindrops_customize_color_en_140,$raindrops_customize_color_en,$raindrops_customize_color_anime

	Fixed part-gallery.php
		remove wrong esc_url()
    Updated class-tgm-plugin-activation.php ver2.6.0

	Fixed Scroll up to top then default sidebar background-color remove.

	Fixed Browser detection for Edge

	Modified Translation files ja.po raindrops.pot

Files Modified
	modified:   fonts.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/raindrops.pot
	modified:   lib/customize.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   part-gallery.php
	modified:   plugins/class-tgm-plugin-activation.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.406&new_path=raindrops/1.407
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.406

Overview of Changes

	Sidebar setting revert. change from customizer link to dummy sidebar contents( archive widget, category widget )
	Filter add raindrops_editor_styles_width for post editor content width.

	Widget Page, Add Emphasis styles for Add Theme widget and Add on plugin widget

	Change header image.

	Update raindrops.pot ja.po ja.mo

	Modified Header inline style (minify)

	Modified When DEBUG MODE, $raindrops_use_transient = false

	Modified Plugin installer, Plugin change from zencache to comet cache.

	Fixed raindrops_pinup_entry_Widget notice errors

Files Modified
	modified:   childs/boots/inc.php
	modified:   date.php
	modified:   editor-style.css
	modified:   functions.php
	modified:   images/headers/wp3-thumbnail.jpg
	modified:   images/headers/wp3.jpg
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/raindrops.pot
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   plugins/tgm-config.php
	modified:   raindrops.js
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.404&new_path=raindrops/1.406
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.404

Overview of Changes
	removed $raindrops_post_thumbnails_args = array('post','page') for Plugin
	User request posted on for image.php and page.php
		Add Menu for Customizer
			Show Attach to Post Date and Author in Attachment
			Show Publish Date and Author in Page'
	Add mixcloud oembed style
	Pinup entry widget new Presentation
		show grid and group title.

Files Modified
	modified:   image.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   page.php
	modified:   part-blog.php
	modified:   responsiveness.css
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.403&new_path=raindrops/1.404
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.403

Overview of Changes

	Add script Simple jQuery Equal Heights
	Fixed raindrops_get_recent_post(), raindrops_get_category_posts(),raindrops_get_tag_posts()
		post_class() display improperly
	Change Debug message
		Change from echo '<!--' . basename( $template, '.php' ) . '[' . basename( dirname( __FILE__ ) ) . ']-->';
				to  echo '<!-- Template[' . basename( $template ) . '] Theme[' . basename( dirname( __FILE__ ) ) . '] -->';
	Modified  raindrops_content_shareing()
		show excerpt, show titles when entry content has h1-h6 elements
	Modified front-page.php
		Shange navigation styling
	Modified Customizer color type minimal add message box
	Fixed add on plugin Breadcrump nav XT
		Japanese date display improperly
		raindrops_bcn_setup()
	Add CSS new class centered
		child elements display centered like vertical align middle, text-align center.( use display:flex )

Files Modified
	modified:   fallback.css
	modified:   functions.php
	modified:   grids.css
	modified:   header.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.402&new_path=raindrops/1.403
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.402

Overview of Changes
	Removed Old theme options settings are complete removed
	Removed Un needed version_compare() and relate functions

	Modified Customizer Style for Admin Color Scheme

Files Modified
	modified:   header-front.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/vars.php
	modified:   page-templates/front-page.php
	modified:   raindrops-config-example.php
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.401&new_path=raindrops/1.402
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.401

Overview of Changes
	Add Reset Theme Options control
		Add raindrops_reset_options_validate()

	Fixed Customizer color reset issue.
		Add control raindrops_color_select
		Add raindrops_color_select_validate()

	Add function raindrops_prepend_widget_sticky(),raindrops_append_widget_sticky()
		hook for sticky widget

Files Modified
	modified:   functions.php
	modified:   header.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.400&new_path=raindrops/1.401
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.400

Overview of Changes
	Modified $raindrops_base_setting_args array structure change. to associative array
		Modified	raindrops_warehouse_clone()
		Added		raindrops_warehouse_clone_transitional()
		Added		filter raindrops_warehouse_clone_transitional
	Modified member function render_meta_box_content()
		Added		filter raindrops_header_img_override_option
	Modified raindrops_prev_next_post( )

Files Modified
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   style.css
	modified:	functions.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.356&new_path=raindrops/1.400
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.356

Overview of Changes
	Add Stikey Menu
		add raindrops_sticky_menu control,
		add function raindrops_sticky_menu_validate(),
		add array raindrops_theme_settings args raindrops_sticky_menu,
		add script jquery for sticky menu
		add css for sticky menu
		Add image images/go-top.png, images/desmiss.png
	Add Font Size Class
		fonts.css
	Add esc_url for sanitize
		get_month_link(),get_year_link(),get_day_link(),get_permalink(),get_attachment_link(),get_category_link()
		get_term_link(),wp_get_attachment_link(),wp_get_attachment_url()

		author_link(),attachment_link(),site-url() by filter.

	Add Class
		Class site-title-link at #site-title a, for customize Custom Logo
	Modified
		Text widget (main reason, for .topsidebar)
		    Reflection of all style without google-font-... class.


Files Modified
	modified:   childs/boots/inc.php
	modified:   css3.css
	modified:   fonts.css
	modified:   functions.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   part-gallery.php
	modified:   pdf.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.355&new_path=raindrops/1.356
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.355

Overview of Changes

    Focus at Customize / Presentation / Layout and Sidebar

        When Side bar setting method set Details
            Change from index page columns to Index Page, Static Front Page columns
            You can change Static front page columns
        When Static Front Page / Posts page is set
            Show Control 'Static Front Page / Posts page' after 'Index Page, Static Front Page columns'
            You can change Posts page columns
        Add Archive of Post formats column control when Side bar setting method set Details

        All archive pages,static front and posts page can control columns

	Fixed Slideshare Oembed Presentation

Files Modified

	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   header.php
	modified:   image.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   pdf.php
	modified:   style.css
	modified:   widget-sticky.php
	modified:   resposiveness.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.354&new_path=raindrops/1.355
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.354

Overview of Changes
	And the change of Sticky widget area, review the display of the default widget

		Fixed Posts page shows Sticky widget.
			Posts page No shows Sticky widget.
			Static Front Page shows Sticky widget.
			is_home() shows Sticky widget.

		Modified Change place of Sticky Widget area of Templates
			bbpress.php,
			blank_front.php,
			category.php, image.php,
			index.php,
			page-templates/full-width.php,
			page-templates/list-of-post.php,
			page-templates/page-featured.php,
			page.php,
			pdf.php,
			widget-sticky.php

		Modified Change of Child Theme relate
			childs/boots/inc.php
		Modified Category style of Custom Format
		Modified style lang ja
			languages/css/ja.css
		Modified Translation japanese
			lib/csscolor.css.php
		Modified Style
			lib/csscolor.css.php
			responsiveness.css
			style.css
		Modified js for sidebar height calculation.

Files Modified
	modified:   blank_front.php
	modified:   category.php
	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   image.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   page-templates/front-page.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   page-templates/page-featured.php
	modified:   page.php
	modified:   pdf.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.353&new_path=raindrops/1.354
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.353

Important Note

	Next Version change sticky widget position.

	If you are using this widget area now is to create a child theme, the theme, please duplicate the index.php in child theme

	Example of Child Theme

	http://tenman.info/download/child-raindrops.zip

Overview of Changes
	Fixed child theme style.css can not auto load when $raindrops_css_auto_include == false
	Fixed Randum Header Image not work
	Fixed Display Improperly. Custmize Section Featured Image Settings / Featured Image Position Infront of Title
	Modyfied Add control raindrops_display_site_title for Custom Logo( WordPress4.5 )
	Add Custom Logo Support for WordPress4.5
	Add Text Widget Support Oembed Media

Files Modified
	modified:   functions.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.352&new_path=raindrops/1.353
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.352
Overview of Changes
	Modified relate change for child theme
		childs/boots/inc.php
	Added jQuery ui tooltip
		raindrops_add_stylesheet();
		lib/csscolor.css.php
		lib/customize.php
		lib/validate.php
		lib/vars.php
		style.css
        @see Customize / Advanced / Tooltip
		if needs revert, set No.
	Added Primary Menu Automatic Responsive
		lib/customize.php
		lib/validate.php
		raindrops-helper.js
		raindrops.js
		responsiveness.css
        @see Customize / Presentation / Menu / Primary Menu Automatic Responsive
		if needs revert, set No.
	Modified Translation japanese

	Fixed category sepalator show twice.
		raindrops_category_navigation()
	Fixed year archive display improperly.
		raindrops_archive_year_navigation()
	Fixed page width 750px 950px 974px shows improperly when select 1column
		grid.css
	Fixed Modalbox title display improperly when language japanese.

	Fixed Sticky widget area not work when Static Front Page Front page displays 'A static page'

Files Modified
	modified:   childs/boots/inc.php
	modified:   css3.css
	modified:   functions.php
	modified:   grids.css
	modified:   header.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   pdf.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css
	modified:   widget-sticky.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.351&new_path=raindrops/1.352
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.351
Overview of Changes

	Fixed Customizer color reset issue
		lib/customize.js
Files Modified
	modified:   lib/customize.js

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.349&new_path=raindrops/1.351
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.349
Overview of Changes

	Modified
      Add check modal exists
	Fixed Customizer color reset issue
		lib/customize.js
	Modified
		Not remove title attribute when link has tooltip class,

Files Modified
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   raindrops.js

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.348&new_path=raindrops/1.349
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.348
Overview of Changes
	Modified editor-style.css
		Add hedding element style
		Add width classes (.rd-thumbnail,.rd-medium,.rd-large)
	Modified fonts.css
		Add font size class 27-32px(.f27-.f32)
	Modified functions.php
		change get_option() to raindrops_warehouse_clone()
	New Presentation Modal box support

		HTML pattern

        <a href="#raindrops_modal_fragment_id_automatic" class="modal-link">test</a>
		<div class="rd-modal" id="raindrops_modal_fragment_id_automatic">
			<div class="color4">
				<div class="header color-3 block">
		                   <h3>Title here, If need</h3>
		                </div>
				<div class="body">
		youtube, form, table, list anything to here
		Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		                </div>
				<div class="footer color5 block">
					<a href="#page" ><span class="lb-close color5 pad-s corner">Close</span></a>
				</div>
			</div>
		</div>


		flagment link and modal id is automaticaly set,
			href="#raindrops_modal_fragment_id_automatic"
			id="raindrops_modal_fragment_id_automatic"
		 is automatic replaced unique value

	Modified lib/customize.js, lib/customize.php
		add check current style type.
	Modified style.css
		Add Class rd-break-word,rd-break-all for non breaking text
		etc,

Files Modified
	modified:   css3.css
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.347&new_path=raindrops/1.348
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.347
Overview of Changes
	Modification of fatal bug
		remove delete_option( 'raindrops_theme_settings' );

Files Modified
	modified:   functions.php

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.346&new_path=raindrops/1.347
-----------------------------------------------Changelog -----------------------------------
Changelog -----------------------------------
version:1.346
Overview of Changes
	Post Presentation change.
		float image (.alignleft,alignright) with block elements
		@see: http://www.tenman.info/wp3/raindrops/2016/01/22/%E4%BA%88%E5%91%8A%EF%BC%9Araindrops1-346%E3%80%801-345%E3%81%A7%E3%81%AE%E3%83%95%E3%83%AD%E3%83%BC%E3%83%88%E7%94%BB%E5%83%8F%E3%82%92%E5%90%AB%E3%82%80%E6%8A%95%E7%A8%BF%E3%81%AE%E8%A1%A8%E7%A4%BA/
		(sorry!, Lang Japanese )

	Add New CSS Classes
		width control classes
		.rd-thumbnail
		.rd-medium
        .rd-large
		.rd-w320
		.rd-w480
		.rd-w640
		@see: http://www.tenman.info/wp3/manualraindrops/archives/2514
		(sorry!, Lang Japanese )
	Remove chat-emoji CSS Class from body_class()

	Archives Extended widget design renew.

	Improved compatibility with zencache plug-ins

Files Modified
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   responsiveness.css
	modified:   rtl.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.345&new_path=raindrops/1.346
-----------------------------------------------
Changelog -----------------------------------
version:1.345
Overview of Changes

	Fixed conflict Responsive Image (WordPress4.4)

		filter raindrops_chat_filter move from functions.php to lib/hooks.php
		Change priority default to 11
	Fixed raindrops_link_url_text_decode()
		regex issue
	Fixed Oembed speakerdeck presentation issue.

	Modified i18n languages/ja.po, ja.mo.

	Modified Raindrops color type 'minimal' default 3col to 2col
		Add raindrops_switch_default_by_color_type_clone()
		minimal style apply at lib/csscolor.css.php
		Change lib/customize.js
		Change lib/customize.php
		Change lib/vars.php
		Note: if you needs other columns style then once minimal save it,you can controll column count.
	Modified part-blog.php

	Add class
		.rd-float-wrapper
			for make floating blockquote , floatting table, etc block elements
		.clear
		.rd-float
			for dl elements

			@see http://www.tenman.info/wp3/tips/2016/01/12/26199/

Files Modified
	modified:   css3.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   page-templates/page-featured.php
	modified:   part-blog.php
	modified:   part.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.344&new_path=raindrops/1.345
-----------------------------------------------
Changelog -----------------------------------
version:1.344
Overview of Changes
	Modified	editor style
		taindrops tablist
		.columns class
		PDF link
	Fixed Not work raindrops_header_image_ratio filter
	Modified Show Responsive
		reverbnation oembed
		Speaker Deck oembed
		videopress oembed
	Add new css class
		rd-round
		<div style="width:300px" class="rd-round">
			<span style="background:url(IMAGE URI);"></span>
		</div>
		not-hover
		<div style="width:300px" class="rd-round not-hover">
			<span style="background:url(IMAGE URI);"></span>
		</div>
		rd-squere
		<div style="width:300px" class="rd-squere">
			<span style="background:url(IMAGE URI);"></span>
		</div>
		note: must not set height
	Fixed
		Embed external post style shows improperly

Files Modified

	modified:   editor-style.css
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.343&new_path=raindrops/1.344
-----------------------------------------------
Changelog -----------------------------------
version:1.343
Overview of Changes

	Add New Template pdf.php
		new function raindrops_pdf_send_to_editor
		new function raindrops_sidebar_pdf_archive_validate
		this page can columns controlable from the customizer

	Modified 404.php
		Headding element change from h1 to h2

	Rename un prefixed function
		Change from is_2col_raindrops to raindrops_is_2col
		Change from insert_message_action_hook_position to raindrops_insert_message_action_hook_position
		Change from plugin_is_active to raindrops_plugin_is_active

	Remove action do_not_cache_feeds

	Added New function raindrops_pdf_send_to_editor

	Modified Post Format Chat Template
		Added conditional body class 'chat-emoji' for Backward compatibility
		If no needs change, Please change from chat-emoji to chat at header.php( header-xhtml.php )
		 The setting of this body class is deprecated in several versions destination

	Modified h2 headding element for japanese user , change font size from 146.5% to 153.9% at .entry-title
	Modified language files ja.po ja.mo

Files Modified

	modified:   author.php
	modified:   blank_front.php
	modified:   category.php
	modified:   changelog.txt
	modified:   date.php
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.342&new_path=raindrops/1.343
-----------------------------------------------
Changelog -----------------------------------
version:1.342
Overview of Changes

	Fixed
		Warning: Division by zero in /wp-content/themes/raindrops/functions.php on line 10860

		this error occure when no settings tags

		Warning: uksort() expects parameter 1 to be array, null given in /wp-content/themes/raindrops/lib/widgets.php on line 259
		Warning: Invalid argument supplied for foreach() in /wp-content/themes/raindrops/lib/widgets.php on line 295

		this error occure when use category what's new widget and not exists categories or not exists has category posts.

	Add class cat-item, cat-item-(cat_ID) for All category links
		new function raindrops_get_the_posted_in_category

	Add class tag-link-(term_ID) for posted in tags
		new function raindrops_get_the_posted_in_tag
	Full review of presentation for image.php
	Modified Translation japanese.
	new function raindrops_get_image_sizes
	Modified gallery Presentation
		It keeps the image margins of the fixed page width is also varied
	Add Customize option
		Changeable footer credit
		new function raindrops_custom_footer_credit_validate
	Change default value
		$raindrops_fluid_minimum_width change from 320 to 296 (px)

Files Modified
	modified:   fonts.css
	modified:   functions.php
	modified:   image.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   page.php
	modified:   responsiveness.css
	modified:   style.css


Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.338&new_path=raindrops/1.340
-----------------------------------------------
Changelog -----------------------------------
version:1.338
Overview of Changes
	Modified	rel ( category tag ) attribute use when html5
	Modified	tagcloud widget presentation
		new function raindrops_color_pallet_tagcloud
	Modified	form support html5 for Password post
	Modified	Translation ja.po, ja.mo
	Fixed	long Entry-title awkward to display
	Fixed function works improperly
		function raindrops_non_breaking_title
	Fixed	raindrops_checked()
Files Modified

	modified:   index.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   style.css
	modified:	lib/widgets.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.335&new_path=raindrops/1.336
-----------------------------------------------
Changelog -----------------------------------
version:1.335
Overview of Changes

	Added Twitter tweet link at posted in share
	Added share.png for share link
	Modified change hook position raindrops_before_article(),raindrops_after_article()
	Modified add CSS Class 'external' for externallink
	Added Add scrollbar for Table elements wider than content width
		mean for responsive presentation.
		When If you no needs scrollbar, Please add CSS Class 'rd-no-scroll' at table element
	Modified If comment text has external link, add attribute rel="nofollow"

Files Modified

	modified:   image.php
	modified:   index.php
	modified:   lib/csscolor.css.php
	modified:   loop.php
	modified:   page-templates/full-width.php
	modified:   page.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.334&new_path=raindrops/1.335
-----------------------------------------------
Changelog -----------------------------------
version:1.334
Overview of Changes

	Added navigation( next prev year links ) for year archive.
		new function raindrops_archive_year_navigation()
    Added new CSS Class rd-list-type-tree.
	Modified New Comment style, placeholder text( Translatable )
    Fixed Page width improperly when doctype xhtml + page type doc5(full width layout)
	Added new hooks raindrops_before_article, raindrops_after_article
	Modified change position for bundle breadcrumb
	Modified I18n ja.po ja.mo

Files Modified

	modified:   editor-style.css
	modified:   functions.php
	modified:   image.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   page.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.333&new_path=raindrops/1.334
-----------------------------------------------
Changelog -----------------------------------
version:1.333
Overview of Changes
	Modified Add normalize.css at fallback.css
		when true $raindrops_fallback_human_interface_show show fallback style.
		Comment out old functions. this will be remove next version
			raindrops_fallback_human_interface()
			small_screen_check()
			raindrops_fallback_user_interface_view()
	Fixed CSS lang-ja, lang-not-ja works improperly when using cache plugin.
		css class was changed from Server Side to Cliant Side.
	Modified .raindrops-tab-list.
		Flash of Unstyled Content.
	Added new browser detect css class 'edge' and 'ie11' , body_class()
	Modified ja.po, ja.mo

Files Modified
	modified:   fallback.css
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.332&new_path=raindrops/1.333
-----------------------------------------------
Changelog -----------------------------------
version:1.332
Overview of Changes
	Modified Remove wp_title filter function and backword compatibilities
	Modified raindrops-helper.js child theme support
    Modified raindrops_script_vars remove un used var post
	Modified share link, change content excerpt to entry date. and inline css modified change id to class
	Modified Sticky Widget Area widgets, Apply styles.
	Modified function raindrops_sitewide_css_validate()
	Fixed .raindrops-excerpt-more width too narrow.

Files Modified
	modified:   changelog.txt
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.331&new_path=raindrops/1.332
-----------------------------------------------
Changelog -----------------------------------
version:1.331
Overview of Changes

	Modified Add styles rules em i u kbd detail
	Modified Add New CSS Class sectioned for ol element
	Modified Add a class that represents the state of the content
                rd-alert, rd-info, rd-notice
	Modified Add editor style for japanese language
	Modified Add styles for google fonts material-icons

	Fixed hard coded text to translatable ( searchform.php )

Files Modified

	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   raindrops.js
	modified:   searchform.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.329&new_path=raindrops/1.330
-----------------------------------------------
Changelog -----------------------------------
version:1.329
Overview of Changes

	Fixed raindrops_current_url() typo
	Modified CSS important rule removed ( .raindrops-comment-link )
	Modified blockquote label cite: translatable.
	Modified New CSS class sectioned for nested lists

Files Modified

	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.328&new_path=raindrops/1.329
-----------------------------------------------
Changelog -----------------------------------
version:1.328
Overview of Changes

	Fixed Responsive #site-title display improperly.
	Modify Add fallback image when attachment image removed.
				add function raindrops_fallback_image_for_entry_content_is_show for active callback
				add raindrops_fallback_image_for_entry_content_validate()
	Modified	raindrops_add_wbr_content_long_text()
	Modified 	raindrops_widget_ids()
	Modified 	Link text presentation.
					link text decode for multibite language when link text using URL
					function raindrops_link_text_filter()
					function raindrops_link_url_text_decode()
	Modified	blockquote cite link text decode.

Files Modified

	modified:   fonts.css
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.327&new_path=raindrops/1.328
-----------------------------------------------
Changelog -----------------------------------
version:1.327
Overview of Changes

	Modified	Add position control for posted on,posted in from cusutomizer
	Modified	Add element abbr style
	Modified	Add elemant ins style

	Fixed	raindrops_pagenav_filter ( for bundle plugin )
		remove attribute rel
	Fixed	raindrops toggle works improperly.
	Fixed	mobile wp_nav_menu contrast issue.

Files Modified

	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   loop.php
	modified:   part-additional.php
	modified:   part-blog.php
	modified:   part-gallery.php
	modified:   part.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.326&new_path=raindrops/1.327
-----------------------------------------------
Changelog -----------------------------------
version:1.326
Overview of Changes
	Fixed

		Child Theme boots hot fix
		Add CSS childs/boots/base.css

	Modified

		share link fallback CSS

			editor-style.css
			style.css
		Add Attribute for share link rel="nofolow"

		Add CSS Class, Remove Inline Style

			raindrops_posted_in( )
				Customize Tagline style more easy

			For Example
				customize / Advanced / Site-wide CSS

				/* Place of the Tagline  Show in the header image */

				.tagline{
				color:red;
				}
				/* Place of the Tagline   Show above the header image */

				#site-description{
				color:red;
				}


		Add Accessiblity ( Tab control ) for Raindrops toggle Presentation

			When focus open toggle contents

			Example
				Add Entry content.

			<ul>
				<li class="raindrops-toggle raindrops-toggle-title">Toggle Label</li>
				<li class="raindrops-toggle">
					<p class="google-font-lobster">
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
					</p>
				</li>
			</ul>

			Add Accessiblity ( Tab key control ) for Raindrops TAB Presentation

			When focus open tab contents

			Example
				Add Entry content.

<ul class="raindrops-tab-list clearfix">
	<li class="dummy">Tab Area</li>
</ul>
<div class="raindrops-tab-content clearfix">
	<div class="raindrops-tab-page">
		<h3>Lobster</h3>
		<p class="google-font-lobster">
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
	</div>
	<div class="raindrops-tab-page">
		<h3>Lato</h3>
		<p class="google-font-lato">
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
	</div>
	<div class="raindrops-tab-page">
		<h3>Open Sans</h3>
		<p class="google-font-open-sans">
			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
		</p>
	</div>
</div>

Files Modified

	modified:   editor-style.css
	modified:   functions.php
	modified:   lib/hooks.php
	modified:   lib/vars.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.325&new_path=raindrops/1.326
-----------------------------------------------
Changelog -----------------------------------
version:1.325
Overview of Changes

	Modified
		Gettext message change for theme_check plugin
			translate text 'include' is the problems that string is warning as a function name
		function raindrops_post_date() add context
			for chageable publish date to modified date
		Remove ~ from regex
		Update class-tgm-plugin-activation.php, tgm-config.php
	Fixed
		Removal of unnecessary closing tags </p>
			function raindrops_chat_filter()

Files Modified

	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/customize.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   plugins/class-tgm-plugin-activation.php
	modified:   plugins/tgm-config.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.324&new_path=raindrops/1.325
-----------------------------------------------
Changelog -----------------------------------
version:1.324
Overview of Changes

	Fixed

		link hover presentation.
		Japanese date not apply at part-blog.php
		Cannot hide entry-date from Customizer at part-blog.php
		Cannot hide Comment off message from Customizer at part-gallery.php
		Media Query style move style.css to responsiveness.css

	Modified

		Removal of important specified stylesheet
			Also efforts to continue future
		Add screen reader text at Widget Raindrops Custom Archive
		Some CSS rules

Files Modified

	modified:   css3.css
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   lib/widgets.php
	modified:   page-templates/list-of-post.php
	modified:   part-blog.php
	modified:   part-gallery.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.323&new_path=raindrops/1.324
-----------------------------------------------
Changelog -----------------------------------
version:1.323
Overview of Changes

	Fixed a bug that link is broken when a single-quote is mixed
		raindrops_content_shareing()

	Fixed Customizer menu display improperly.
		Low contrast issue ( can not readable ).

	Fixed Site Title and Tagline color allways reset.
		Header Text Color control move from color to title_tagline section.

Files Modified

	modified:   functions.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.319&new_path=raindrops/1.323
-----------------------------------------------
Changelog -----------------------------------
version:1.320
Overview of Changes

	Modified
		text domain change from Raindrops to raindrops
		if ( ! function_exists( '_wp_render_title_tag' ) ) was comment outed
			It will remove next version
		Default Header Image change.
			licensed GPL2. This image is original image.
		Move function
			raindrops_has_indivisual_notation()
			move from functions.php to lib/alias_functions.php
	Update
		ja.po,ja.mo raindrops.pot
	Fixed
		Indivisual( each post ) Header image works improperly.

Files Modified
	modified:   404.php
	modified:   README.txt
	modified:   author.php
	modified:   bbpress.php
	modified:   blank_front.php
	modified:   changelog.txt
	modified:   childs/boots/inc.php
	modified:   childs/inc.php
	modified:   comments.php
	modified:   date.php
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   image.php
	modified:   images/headers/wp3-thumbnail.jpg
	modified:   images/headers/wp3.jpg
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   languages/raindrops.pot
	modified:   lib/alias_functions.php
	modified:   lib/customize.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   loop.php
	modified:   page-templates/full-width.php
	modified:   page-templates/page-featured.php
	modified:   page.php
	modified:   part-additional.php
	modified:   part-blog.php
	modified:   part-gallery.php
	modified:   part.php
	modified:   plugins/class-tgm-plugin-activation.php
	modified:   plugins/plugins-presentation.php
	modified:   plugins/tgm-config.php
	modified:   raindrops.js
	modified:   search.php
	modified:   searchform.php
	modified:   sidebar.php
	modified:   single.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.319&new_path=raindrops/1.320
-----------------------------------------------
Changelog -----------------------------------
version:1.319
Overview of Changes
	Fixed
		Change from PHP4 constuctor to PHP5 __construct
			lib/csscolor.php line:190
		Change parent::WP_Widget to parent::__construct
			lib/widget.php
				Thanks @benlumia007

	Fixed
		HTML structure WAI AREA issue.
            remove role attribute from searchform.php
				remove raindrops_doctype_elements( '', 'role="search"' );
            remove role attribute from sidebar-extra.php
                raindrops_doctype_elements( '', 'role="complementary"' );
		HTML Presentation issue
			Not apply hover style extra sidebar(.rsidebar) a element
			Post Archives date fallback image( no title image ) shows improperly.( post format image )
		Customizer Preview works improperly ( when change columns count )
		Raindrops $raindrops_base_setting_args
			$var name change from raindrops_sidebar_catetory to raindrops_sidebar_category
		Customizer menu
			Category New Post display improperly,
			Pinup entries display improperly

	Add body class
		For Windows10 edge browser CSS class

Files Modified

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.316&new_path=raindrops/1.319
-----------------------------------------------

Changelog -----------------------------------
version:1.316
Overview of Changes
	Fixed
		Child theme relate issue
			Child boots theme will broken WEBSite
		Theme Customizer at version4.3
			Section only is a problem that is displayed,
			modified by changing the menu section('nav'),
			a set of themes that can no longer be operated
Files Modified
	modified:   lib/customize.php
	new file:   childs/boots/inc.php
	new file:   childs/boots/functions.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.313&new_path=raindrops/1.316
-----------------------------------------------
Changelog -----------------------------------
version:1.315
Overview of Changes

	Fixed Customizer 'choices' Tranlatable.
	Modified Add isset, defined or function_exists check for vars ,functions, const at lib/vars.php
	Fixed Wrong Label from 'title'        => esc_html__( 'Comments are closed Label', 'raindrops' ),
        				to 'title'        => esc_html__( 'Archives label', 'raindrops' ),
	Fixed Moble nav_menu display improperly.
	Modified For Raindrops for plugin bbpress, change the correction style so that it can be disabled in the filter

		Disabling logic

			style.css change from
			body #bbpress-forums .subscription-toggle{...}
			to
			body:not(.no-apply-bbpress-css) #bbpress-forums .subscription-toggle{...}

			[PHP]

			add_filter('body_class', 'my_ignore_bbperess_style');

			function my_ignore_bbperess_style( $classes ){

				$classes[] = 'no-apply-bbpress-css';

				return $classes;
			}

			[/PHP]
		Add Content Share Link
			Shows entry-title,featured image and excerpt html source.
				add function raindrops_add_share_link()
				add raindrops_content_shareing()

			If you no needs add var at functions.php first.
			[php]
				$raindrops_allow_share_link = false;
			[/php]
		Class change constructer name
				lib/csscolor/csscolor.php
					function raindrops_PEAR to __construct
					function raindrops_PEAR_Error to __construct
		Customize.php function change from __() to esc_html__()

		Customizer modified
			add tagline position. above header image.

		Fixed sanitize_callback function name wrong
			from	raindrops_enalbe_header_image_filter_validate
			to		raindrops_enable_header_image_filter_validate

	File Move
			childs/boots/functions.php to child/functions.php
			childs/boots/inc.php to child/inc.php
Files Modified
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   responsiveness.css
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.313&new_path=raindrops/1.315
-----------------------------------------------
Changelog -----------------------------------
version:1.313
Overview of Changes
	Fixed
		raindrops_sitewide_css_validate() incorrect validate
Files Modified
	modified:   lib/validate.php
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.311&new_path=raindrops/1.313
-----------------------------------------------
Changelog -----------------------------------
version:1.312
Overview of Changes
	Default value change
		post author text to avatar.
		( changeable to old setting from customizer )
	Fixed main navigation menu
		Just below the navigation, the menu can not be properly displayed if the slider and movie are arranged
	Fixed for child theme boots
		site title position ( when no header image ) display improperly
	Fixed child theme $raindrops_current_column not works

	Modified
		Add customizer control
			raindrops_posted_in_label ( Hide or use emoji Posted in Labels )
			raindrops_comments_are_closed ( Hide comments are closed label )
			raindrops_archive_title_label( Hide Cstegory Archive label )
			raindrops_archive_nav_above( Hide Archives top navigation )
			add function raindrops_emoji_collection()
			$raindrops_category_emoji = '&#x1f4c2;';
			$raindrops_tag_emoji = '&#x1f4ce;';
			$raindrops_posted_on_date_emoji = '&#x1f4c5;';
		Code cleaning
			$_SERVER[ "HTTP_ACCEPT_LANGUAGE" ] to raindrops_get_accept_language();
Files Modified
	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   responsiveness.css
	modified:   style.css
Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.311&new_path=raindrops/1.312
-----------------------------------------------
Changelog -----------------------------------
version:1.311
Overview of Changes
	Additional customizer setting
		Site-wide CSS at Section Advanced
	Fixed Category separator sepalate sibling and child
		In some environments, there is a report of a cacheable fatal error has been recorded.
		If there is a similar phenomenon, please post to the following address
		https://wordpress.org/support/theme/raindrops
	Fixed Bundle Plugin The Event Calendar display improperly.

Files Modified
	modified:   functions.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.308&new_path=raindrops/1.309
-----------------------------------------------
Changelog -----------------------------------
version:1.308
Overview of Changes
	Remove Attribute
		rel="vcard:url"
	Fixed	Customizer
				Display control at Raindrops Status Bar
	Fixed	Comment HTML display improperly at Page Width Full Width Responsive
	Fixed   Addmin Panel comment widget avatar shows twice.
	Fixed	Raindrops style not apply for Bundle Plug in Event Calendar
	Fixed   Comment form show twice, navigation link show twice
				part-gallery.php
				part-blog.php
	Fixed   Post format image display improperly.
				When no title and set post format.
	Modify
		priority change 10 to 999 at raindrops_non_breaking_title filter function

	Add Automatically apply google fonts at entry title CSS Class
		Add raindrops_apply_google_font_import_rule_for_article_title()
		Add raindrops_apply_google_font_styles_for_article_title()

Files Modified
	modified:   functions.php
	modified:   header.php
	modified:   languages/css/ja.css
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   part-blog.php
	modified:   part-gallery.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops.js
	modified:   style.css
Description of Code Changes

	please see https://themes.trac.wordpress.org/changeset?old_path=raindrops/1.307&new_path=raindrops/1.308
-----------------------------------------------
Changelog -----------------------------------
version:1.307
Overview of Changes

	Modify
		Remove role contentinfo from footer elemant
		Add featured image class at body_class()
		Add var $raindrops_automatic_color at vars.php
			relate function , raindrops_embed_css()
		Add var $raindrops_recent_comments_avatar at vars.php
			relate function , raindrops_recent_comments_avatar()
		Add function raindrops_press_this_add_class()
			add CSS class for press this contents
		Add function raindrops_recent_comments_avatar()
			add avatar for recent comments widget.
		header image responsive control
			Change from javascript to CSS

	Fixed
		Raindrops_Customize_Changelog_Control extends WP_Customize_Control
			Fatal error occur when changelog.txt not exists

	Fixed
		Fatal error sanitize_hex_color( $input ) in raindrops_header_image_filter_color_validate()
		When using old theme option panel

	Fixed
		raindrops_article_title_css_class_validate()
		When you write two or more classes, it does not work properly


Files Modified
	modified:   date.php
	modified:   fonts.css
	modified:   footer.php
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/csscolor.css.php
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   loop.php
	modified:   part.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   reset-fonts-grids.css
	modified:   responsiveness.css
	modified:   sidebar-default.php
	modified:   single.php
	modified:   style.css

Description of Code Changes

	please see https://github.com/tenman/raindrops/compare/1.303...1.307
-----------------------------------------------
Changelog -----------------------------------
version:1.306
Overview of Changes

	Bug Fixed
		Nav Menu CSS Bug Fixed

Files Modified
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   style.css

Description of Code Changes

	please see https://github.com/tenman/raindrops/compare/1.305...1.306
-----------------------------------------------
Changelog -----------------------------------
version:1.305
Overview of Changes

	Bug Fixed
		Not Work at Customizer font color setting
	Primary Nav Menu
		Renewal All CSS was rewitten
		Change centerd menu
	Modify
		Sticky Post default show allways
			lib/validate.php
			lib/customize.php
			single.php

	child theme relation modify
		childs/boots/functions.php
		childs/boots/inc.php

	Add Raindrops CSS Class top,middle,bottom for table elemet
		editor-style.css
		style.css

	CSS property letter-spacing remove.
		fonts.css

	CSS Modify raindrops widget style for japanese language
		languages/css/ja.css

	CSS dl element add responsive rules
		responsiveness.css

	CSS for nav-links
		lib/csscolor.css.php

	CSS for customizer
		lib/customize.php

	CSS etc changes a little.

	Add function_exists check all function
		lib/alias_functions.php

	Remove do_shortcode from widget_text
		Plug-in territory
		lib/hooks.php

Files Modified
	modified:   childs/boots/inc.php
	modified:   css3.css
	modified:   editor-style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   header.php
	modified:   languages/css/ja.css
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   page.php
	modified:   part.php
	modified:   responsiveness.css
	modified:   single.php
	modified:   style.css
Description of Code Changes

	please seee https://github.com/tenman/raindrops/compare/1.303...1.305
-----------------------------------------------
Changelog -----------------------------------
version:1.303
Overview of Changes
	child/boots/base.css
		code cleaning
	author.php
		microformat change from url fn n to url fn nickname.
		author nickname escaped
	childs/boots/functions.php
		remove inline style.
	childs/boots/inc.php
		code config for child theme relation
		bug fix add fallback color for site title
		remove !important
		remove function raindrops_customize_controls_print_styles
		theme option value change for new boots theme
	fonts.css
		add style rule
	functions.php
		Change from $_SERVER to filter_input()
		raindrops_body_class
			class name use sanitize_html_class()
		commentout old customizer codes
		add function raindrops_has_indivisual_notation()
	header-front.php
	header-xhtml.php
	header.php
		Change from global $raindrops_link_unique_text;
				to $raindrops_link_unique_text = raindrops_link_unique_text();
	lib/alias_functions.php
		Filter Add raindrops_content_width
		add wp_strip_all_tags() at gradient output
		Filter Add raindrops_default_colors_clone()
		Move from functions.php
			raindrops_link_unique_text()
			raindrops_enable_keyboard()
			raindrops_responsive_width_ajust()
			raindrops_responsive_height_ajust()
	lib/csscolor.css.php
		Filter add raindrops_forcus_style
	lib/customize.js
		Add default value set
	lib/customize.php
		small config
		localize script
			Add
			'fallback_footer_color_default'
			'fallback_hyperlink_color_default'
			'fallback_fonts_color_default'
			'fallback_footer_link_color'
			'fallback_header_textcolor'
	lib/option-panel.php
	lib/featured-image.php
		Change from $_SERVER to filter_input()
	lib/validate.php
		Add function  raindrops_options_owner_validate()
	lib/vars.php
		Add Default Setting vars
			raindrops_options_owner
	raindrops-config-example.php
		Fixed
			value correct. from true to enable
	raindrops-helper.js
		Fixed
			fullwidth setting not work
	responsiveness.css
		modify small
	style.css
		Style rules for sticky widget area
			Calendar style.
			widget_recent-post-groupby-cat
Files Modified
	modified:   author.php
	modified:   changelog.txt
	modified:   childs/boots/base.css
	modified:   childs/boots/functions.php
	modified:   childs/boots/inc.php
	modified:   fonts.css
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops-config-example.php
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes

	please seee https://github.com/tenman/raindrops/compare/1.302...1.303
-----------------------------------------------
Changelog -----------------------------------
version:1.302
Overview of Changes
	Please read 1.300 and 1.301 changes
	Focus Customizer Script safety
		additional verification of the variable of wp_localize_script, reduction of change possible

Files Modified
	customize.js
	customize.php

Description of Code Changes
	customize.php line:2006
	wp_localize_script(
	...
	'home_url' => esc_url( home_url() ), remove
	)
	customize.js line:42

	sanitaize = {
        hex : function ( str ) {

            var hex_color  = /^#[0-9A-F]{6}$/i.test(str);
            if(hex_color) {
                return str;
            }
        }
    };
	sanitaize.hex( wrapping all hex value )
-----------------------------------------------
Changelog -----------------------------------
version:1.301
Overview of Changes
	Focus Customizer Changes

		Color Picker Default value Set

			Color Type dark light w3standard minimal each color type has default colors

				raindrops_footer_color,	raindrops_hyperlink_color, raindrops_default_fonts_color, raindrops_footer_link_color

			Default values are automatically set according to the combination of color schemes and color type.

		Style rules Add transient.

Files Modified
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   raindrops-helper.js
	modified:   style.css
Description of Code Changes
	functions.php 819 additions, 766 deletions not shown diff lost
							this change for almost change settings API to Customizer API
	lib/alias_functions.php line:1033-1037,1039,1044.1068,[Customizer]
	lib/csscolor.css.php	line:1638,1676-1699[Customizer]
	lib/customize.js line:40,49-84[Customizer]
	lib/customize.php line:261,489,989-990,[Misc]
	lib/customize.php line:2002-2023[Customizer]
	style.css line:62-66
-----------------------------------------------
Changelog -----------------------------------
version:1.300
Overview of Changes
	Customizer
		Tag archive column control
		Excerpt length control
		Stylesheet embed control[stylesheet]
			external link css or html embed css
		Parent Theme Current theme_mods import control for child theme{parent theme mods]
		Header-image filter control[header-image]
		Customizer default value change to static default value;[default]
		[Customizer]
	Fixed
		tinymce editor excerpt image repeat showing issue[tinymce]
	Modified
		Changing the order of the include files[include]
		etc change [Misc]
		General review of the color configuration script[color]

Files Modified
	childs/boots/inc.php
	editor-style.css
	functions.php
	lib/alias_functions.php
	lib/csscolor.css.php
	lib/csscolor/PEAR.php remove
	lib/customize.php
	lib/validate.php
	lib/vars.php
	responsiveness.css
	plugins/plugins-presentation.php
	style.css
Description of Code Changes
	childs/boots/inc.php line:1176-1245[Customizer]
	editor-style.css line:459-464[tinymce]
	functions.php line:44-52,65-66,69-74[include]
	functions.php line:134-143[stylesheet][Customizer]
	functions.php line:243[default][Customizer]
	functions.php line:706-713,1392-1401,1404,4833-4865,7211,7221,7231,7243-7263[Misc]
	functions.php line:1273,1275
	functions.php line:4063-4099,4104[header-image]
	functions.php line:10540-10581[parent theme mods]
	lib/alias_functions.php line:10-123,265-268,286-287,426-513,531-535,545-549,553-557,610-612,616-618,630-748,813-823,854-1090(old function commentout),1114-12061517-1521,1883-1891[color]
	lib/csscolor.css.php modify[Misc]
	lib/csscolor/PEAR.php Remove file
	lib/csscolor/csscolor.php line:1062-1066,1485-1493 when WP_DEBUG, show color setting scripts errors.
	lib/customize.php default value all changes[default][Customizer][stylesheet][header-image]
	lib/hooks.php page line:359 column control[Customizer]
	lib/validate.php line:2-37 new validate functions[Customizer]
	lib/vars.php line:12 add action hook raindrops_var_before
							$raindrops_base_setting_args all option_value change
							line:1102-1165 add args
	plugins/plugins-presentation.php line:214-217 remove filter for japanese date.
	responsiveness.css line:477 change tagline font size
	style.css a little change
-----------------------------------------------
 Changelog -----------------------------------
version:1.297
Overview of Changes

	Fixed remove code
		Warning: Creating default object from empty value in
 		\raindrops\lib\customize.php on line 1545

Files Modified
	modified:   functions.php
	modified:   customize.php

Description of Code Changes
	functions.php line:5534
	lib/customize.php line:1545
-----------------------------------------------
Changelog -----------------------------------
version:1.296
Overview of Changes

	Customizer Update[customize]

		Modifies SkipLink not shows when customizer.
		Add excerpt length control
		Add header-image left margin setting type control
		Add column control for tag archive
		Add column control for image archive

	Modify Translatable
		featured image change to empty alt[a11y]
			for accessibility.
	Fixed
		conditional change from page_on_front to show_on_front
	Modify
		header image left margin control[header-image]
	Change Theme description[description]
		Add support languages
	Cleaning files[cleaning]

Files Modified
	modified:   childs/boots/inc.php
	modified:   css3.css
	modified:   functions.php
	modified:   image.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	author.php line:54,60,93
	author.php line:86[I18n]
	child/boots/inc.php line:1156-1175{Misc]
	functions.php line:1963,1988,3829,4755,4857-4911,8946-8950,9172,10407-10408,10450[Misc]
	functions.php line:6636,6645,6816,6830,6999,7011,[a11y]
	functions.php line:8738-8743[customize]
	functions.php line:10347-10372[header-image]
	image.php line:57[Misc]
	languages/css/ja.css[Misc]
	languages/ja.po, languages/ja.mo update
	lib/alias_functions.php line:1309-1313[Misc],1366-1370[customize]
	lib/csscolor.css.php line:227,424,1446-1448[Misc]
	lib/customize.php line:190-199,644,663,722-740,771-772-788-789,915,1178,1195,1212,1263,1273-1290,1354,1420,1421,1427-1429,1435,1441-1443,1447,1449-1469,1478,1481-1482,1829,1859-1866[customize]
	lib/hooks.php line:365
	lib/validate.php line:2-33,567-576,591-597,654-666,681-688,690-691,836[cuctomize]
	lib/vars.php line:55,1077-1116[cuctomize]
	responsiveness.css line:354,368[Misc]
	style.css line:4[description],.etc[cleaning]
----------------------------------------------
Changelog -----------------------------------
version:1.295
Overview of Changes

	Please read ver 1.289 changes
	Please read ver 1.291 changes
	Please read ver 1.292 changes
	Please read ver 1.294 changes

	Customizer Fix Update
		Fix hard coded string to translatable,
		Fix sanitize-callback function typo,
		Modifies...

Files Modified
	modified:   changelog.txt
	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   index.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   style.css

Description of Code Changes
	blank_front.php line:6-11
	childs/boots/inc.php line:1116-1156
	functions.php line:783-786,1204-1212,4756-4757,4795-4797,4799-4800,4808-4810,4840-4911,8592,8594,8596-8599,10346-10422,
	header-front.php line:15,
	header-xhtml.php line:41
	header.php line:6
	languages/ja.po , languages/ja.mo translate update
	lib/alias_functions.php line:1268,1277-1306,13,18,1326,1332,1337,1343,1348,1353,1358,1361-1379
	lib/customize.js line:41,49-56,
	lib/customize.php line:69,74-89,91,91,97,100-106,283-291,454-455,667,672,727,794,822,835-836,850-851,864-865,1056-1117,12334,1236,1253,1255,1272,1274,1314,1733-1769
	lig/featured-image.php line:231
	lib/hooks.php line:344-346,358-364
	lib/validate.php line:2-28
	lib/vars.php line:1038-1079
	style.css line:1373-1375

----------------------------------------------
Changelog -----------------------------------
version:1.294
Overview of Changes

	Please read ver 1.289 changes
	Please read ver 1.291 changes
	Please read ver 1.292 changes
	Customizer Fix Update
		Fix hard coded string to translatable,
		Fix sanitize-callback function typo,
		Modifies...
	Languages pt_BR update
		@see Section Description of Code Changes 'Lang'

Files Modified
	newfile:	languages/pt_BR.mo
	newfile:	languages/pt_BR.po
	modified:   functions.php
	modified:   header.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	childs/boots/inc.php	line:1086-1115[Customize]
	functions.php line:4808, 5612-5614, 5634, 5679-5707,8505-8526,9204-9212,[Customize]
	lib/customize.js line:41-48 [Customize]
	lib/customize.php line:257-263,749-799,902,903,1167-1168,1186-1187,1202-1204,1220-1221,1504-1631,1652-1659,1668,1674,1677,1679-1682,[Customize]
	lib/validate.php line:2-23[Customize]
	lib/vars.php line:31-37,121,1008-1037[Customize]
	plugins/plugins-presentation.php line:452-476[Customize]
	style.css[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.292
Overview of Changes

	Please read ver 1.289 changes
	Please read ver 1.291 changes

	Customizer Settings Update
		Misc
		@see Section Description of Code Changes 'Customize'
		list pages ( author, category )
		columns is changeable from customizer at sidebar settings.
		@see Section Description of Code Changes 'Columns'
		Add Page Width full width
		@see Section Description of Code Changes 'Full Width'
	Languages ja update
		@see Section Description of Code Changes 'Lang'

Files Modified
	new file: category.php
	modified:   functions.php
	modified:   grids.css
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/customize.js
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   lib/widgets.php
	remove:   media.css
	modified:   raindrops-helper.js
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes
	childs/boots/inc.php line:1046-1065[Full Width]
	childs/boots/inc.php line:1066-1085[Columns]
	functions.php line:1677,2268-2269,4746,4752,4778-4833,7137,7138[Full Width]
	grid.css line:34,43,66-69[Full Width]
	modified:   languages/ja.mo ...
	modified:   languages/ja.po ...
	lib/alias_functions.php	line:125-150[Full Width]
	lib/alias_functions.php	line:1315-1322[Columns]
	lib/customize.js	line:5-6 39-41 Customizer I18n
 	lib/customize.php   Fix IDsraindrops_complementary_color_for_title_link not shows
	lib/customize.php line:85-86,104,226-256,341,415,417,638-675,767,769-799,813-816,
			875-883,895-903,1065,1215,1501-1505,1511,1515-1529,1541-1545[Customize]
	lib/hooks.php line:351-352[Columns]
	lib/option-panel.php line:41-42[Columns]
	lib/validate.php line:2-31[Columns][Full Width]
	lib/validate.php line:312,542,563,793[Customize] fix default value
	lib/vars.php line:503,512,551,638,642[Customize] fix default value
	lib/vars.php line:984-1024[Columns][Full Width]
	lib/widgets.php line:664[Customize]
	responsiveness.css line:4,88-97,111,115,127,132-172,214-217,225,230-231,236-238,245-248,257-260,268-270,277-279,284-295,
		319,324-325,331-334,342-355,380,384-395,412-415,425-429,460,464,468,477,490,491,505,509,513,517-518,523,539,569-570,
		582-583,588-589,625,
	style.css line:31,137,1169,3387-3392,3413-3415,3423-3425,3431-3433,3439-3441,3447-3449
----------------------------------------------
Changelog -----------------------------------
version:1.291
Overview of Changes

	Please read ver 1.289 changes
	Customizer Settings Update

	list pages ( index.php date.php page.php single.php search.php 404.php list-of-post.php )
	columns is changeable from customizer at sidebar settings.


Files Modified
	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/customize.php
	modified:   lib/hooks.php
	modified:   lib/validate.php
	modified:   lib/vars.php
	modified:   404.php

Description of Code Changes
	404.php 				line:71
	childs/boots/inc.php 	line:966-1045
	functions.php 			line:782,793-796,819-821,
	lib/alias_functions.php line:1241-1287
	lib/customize.php		line:52-98,191-217,249,317,378-379,381-594,675,686,688-689,734,750-751,
	lib/hooks.php 			line:343-351
	lib/validate.php		line:2-58
	lib/vars.php			line:904-983
----------------------------------------------
Changelog -----------------------------------
version:1.289
Overview of Changes

	This version Change Theme Admin User Interface

		This is a transition version to the new user interface
		Page of the customizer is completely rewritten, traditional theme options page has hidden
		Since this is a transition version to the new user interface, you can also use previous theme options, the theme customizer.
		If you use on the problem occurs, make the following changes. Please to speak in support forum

		forums URL
		English https://wordpress.org/support/theme/raindrops
		Japanese http://ja.forums.wordpress.org/

		Please write to the forum if it and is a desire to become something care

		How to revert UI

		Open functions.php add first line below code ( <?php before )

		<?php
		$raindrops_new_customizer = false;
		?>

		If you using Child Theme

		This versions change is not apply

		For example, the child theme boots of Raindrops, will problems with the operation.

		Example Color Scheme boots not selectable.

		If you have not done such as changing the color scheme, it works maybe normally.

		To reflect this change in the child theme, please as follows

		I, you come to make this change, we expect that it will speak on whether the forum issue comes out.

		How to reflect of change for child themes

		Add Child Theme / functions.php (if not exists,please add functions.php )

		<?php
		$raindrops_new_customizer_support_child = true;
		?>

		Please try above.

		@see Section Description of Code Changes 'Customizer'



Files Modified
	new file:	lib/customize.js
	new file:   lib/customize.php
	new file:   lib/vars.php
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/featured-image.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   raindrops-config-example.php
	modified:   style.css

Description of Code Changes
	child/boots/inc.php	line:396,406,416,426,436[Customizer]
	functions.php line:12[Misc]
	functions.php	line:32,34,38-40,42-43,45-47,49-52,53-56,75-76,78-82,86-89,96-99,107-109,116-117,119-120,134,136,138-139,280-281,789-791,4607,4614,7273,7343,[Misc]
	functions.php 	line:51-72,4643-4648,,4876,4878,6975-6986,6996,7006,7016,7026,7248,7251-7254[Customizer]
	lib/alias_functions.php line:130-144,381,387,393,399,405,411,417,423,429,435,441,1034-1174[Misc]
	lib/alias_functions.php line:159,182,184-236,1181-1241[Customizer]
	lib/csscolor.css.php	line:1616,1659-1662,1665-1667,1680-1701[Customizer]
	lib/csscolor.css.php	line:1726,1731,1736,1741,1746,1751,1756,1761,1766,1771,[Misc]
	lib/featured-image.php line:29,37,[Misc]
	lib/hooks.php	line:338-341{misc]
	lib/option-panel.php $raindrops_base_setting_args,RAINDROPS_COLOR_SCHEME move to vars.php[Misc]
	raindrops-config-example.php line:156[Misc]
	style.css line:31,1423-1425[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.288
Overview of Changes

	Update README.txt

		Add French translation file
			Thanks to oppofansfr that create of the translation files
	Fixed

		title in the specific conditions of use can not be displayed
		When using featured image settings.
		@see Section Description of Code Changes 'Title'
	Modify

		apply filter 'raindrops_page_auto_include_template'
		@see Section Description of Code Changes 'Filter'

		WordPress4.2
			oembed kickstarter support
			oembed tumblr support
				http://xxxx.tumblr.com/post/xxxxxx/xxxxx
		@see Section Description of Code Changes 'Oembed'

	Note: WordPress4.2 adminbar theme link change from Theme Option Page to Customizer Page.

			If the uninstall setting was to delete, in the theme change of Customizer,
			you can see that the option value is not deleted.

			This problem is going to solve future
			In the following way as a transitional measure, it can be deleted

			Open your-site/wp-admin/themes.php

			when you switch to other themes, you can remove the option that has been used in theme

Files Modified

	modified:   changelog.txt
	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/validate.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	functions.php                    line:78-85,5502[Misc]
	functions.php                    line:4455-4457[Title]
	functions.php                    line:9354-9356[Misc]
	functions.php                    line:9492[Oembed]
	lib/csscolor.css.php             line:2214-2227[Misc]
	lib/validate.php                 line:608-609[Misc]
	plugins/plugins-presentation.php line:233[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.286
Overview of Changes

	Fixed for Security issue.

		https://make.wordpress.org/plugins/2015/04/20/fixing-add_query_arg-and-remove_query_arg-usage/

		Add esc_url() for add_query_arg() and remove_query_arg()
			@see Section Description of Code Changes 'Query Args'

	About[Misc]
		Allmost child theme relation changes.

Files Modified
	modified:   date.php
	modified:   functions.php
	modified:   header.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/widgets.php
	modified:   page-templates/list-of-post.php
	modified:   plugins/class-tgm-plugin-activation.php
	modified:   search.php
	modified:   single.php
	modified:   style.css

Description of Code Changes

	date.php line: 74,84-85,[Query Args]
	functions.php line:4448[Misc]
	functions.php line:8857,8861,8867,8872,8890,8897,9820,9823,10469,10472[Query Args]
	functions.php line:9378,9438-9454[Misc]
	lib/alias_functions.php line:958-976[Misc]
	lib/csscolor.css.php line:85,124,614,901,1455,1599,1633,2199-2204[Misc]
	lib/hooks.php line:40,42,[Query Args]
	lib/widget.php line:390,395-397[Misc]
	page-templates/list-of-post.php[Misc]
	plugins/class-tgm-plugin-activation.php	line:441,458,486,488,513,525,562,703,712,
			732-733,741,1149,1158,1297,1306,1318,1328,1528,1537,1579,2150[Query Args]
	search.php line:33,39-49,87,[Misc]
	single.php line:142[Misc]
	style.css line:2942,2945,2964-2968[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.285
Overview of Changes
	Fixed Google Fonts not apply when logged out

		@see Section Description of Code Changes 'Font'

	Custom CSS for this Entry ( post metabox css editor )

		Support @media rules
		Support @font-face
		Support @keyframes
		Not support @import
		Add @raindrops private keyword for force handmade style rule( raindrops not adding post ID )
		 for example

			@raindrops body.postid-xxxx #site-title span{
				color:red;
			}
			This feature, so as to act is limited to a particular post,
			carefully, please use only when absolutely necessary.
			This is not a recommended feature
		@see Section Description of Code Changes 'CSS Editor'

	Modify class RaindropsPostHelp

		@see Section Description of Code Changes 'Help'

Files Modified
		modified:   style.css
		modified:   functions.php
Description of Code Changes
		functions.php line: 349-354,394-396,
		functions.php line: 2950, 3172-3194,3198-3205,[CSS Editor]
		functions.php line:5488-5492 [Misc]//when $raindrops_show_theme_option false , Not showing customizer option
		style.css line:1078-1081 [misc]// list style modify
		functions.php line:10386 [Font]
----------------------------------------------
Changelog -----------------------------------
version:1.284
Overview of Changes
	Fixed
		Recommend Plugin meta slider not work when using child theme boots.
			plugins/plugins-presentation.php line:440
Changelog -----------------------------------
version:1.283

Overview of Changes

	Child Theme boots relate changes
		@see Section Description of Code Changes 'boots'
	Misc
		Rename file change childs/boots/style.css to childs/boots/base.css

			theme check plugin, tags erros.
			Subject check plug, when checking the tag, just because the base name is checked only style.css,
			the style.css exists other than the regular location, to become the examined error doubly

		Change Screenshot Size
			880x660 to 1200x900
		Category what's new widget title
			remove text-overflow: ellipsis;
		etc,
		@see Section Description of Code Changes 'Misc'

	Fixed
		wp_get_nav_menu_items() return false conditional check
		@see Section Description of Code Changes 'Bug'

Files Modified

	modified:   childs/boots/functions.php
	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   header-front.php
	modified:   lib/option-panel.php
	modified:   lib/widgets.php
	modified:   page-templates/full-width.php
	modified:   responsiveness.css
	modified:   screenshot.png
	modified:   style.css

Description of Code Changes

	childs/boots/functions.php
		line: 11,13,86,97	[boots]
		line: 51,872-961	[Misc]
	childs/boots/inc.php
		line: 87-93,333-357,370-372,381	[boots]
	functions.php
		line: 10426,10430	[boots]
		line: 10505-10514	[Bug]
	header-front.php
		line: 91			[Misc]
	lib/option-panel.php
		line:16-509			[Misc]
	lib/widgets.php
		line:284,287,320-327,335 [Misc]
	page-templates/full-width.php
	line: 32,33,35-52,54-5662-66,69,108-110	[Misc]
	responsiveness.css
		line: 437-458	[Misc]
	style.css
		line:3573-3582,3584-3592	[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.280

Overview of Changes
	Bugfix update
		Fixed excerpt content count wrong
			lib/featured-image.php
				line:108,121,170,205
		Theme wrong option page title
			lib/option-panel.php
				line:505
		Style issue at Excerpt more button
			style.css
				line:354,1565,3880-3882

	Screenshot update
		licence.txt add image licence
			images/screenshot-example-header.jpg

Files Modified
	modified:   changelog.txt
	modified:   lib/featured-image.php
	modified:   lib/option-panel.php
	modified:   screenshot.png
	modified:   style.css
----------------------------------------------
Changelog -----------------------------------
version:1.278

Overview of Changes

	Excerpt focus update.
		Add Raindrops html in excerpt
			 The summary display with html elements are implemented by the filter.
			Add Raindrops excerpt more setting
			Add Raindrops Show or hide control at loops page for Oembed Media
		@see Section Description of Code Changes 'html in excerpt'
	Custom menu CSS class
		Google fonts auto implementation
		@see Section Description of Code Changes 'Menu'
	Site Title focus update
		header image position selectable. above header image or header image in site title.
		header image in site title position changeable top margin, left margin
		header image in site title font size changeable 1-10 vw
		header image in tagline show or hide control
		site title can add CSS Class ( Google fonts auto implementation )

		Fixed Custom Header Image size Calculation
		@see Section Description of Code Changes 'Site Title'

	Remove Menu

	Fixed Microformats auther link class change from url fn n to url fn nickname
		@see Section Description of Code Changes 'Microformats'
	Theme filter
		@see Section Description of Code Changes 'Filter'
	MIsc
		Fixed mp4 upload media display size improperly
		Fixed  raindrops_update_theme_option()
		Bundle plugin name change Quick Cache to ZenCache
		@see Section Description of Code Changes 'Misc'
Files Modified

	new file:	languages/plugins/zencache/zencache-ja.mo
	new file:	languages/plugins/zencache/zencache-ja.po
	modified:   functions.php
	modified:   header-front.php
	modified:   header.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   plugins/plugins-presentation.php
	modified:   plugins/tgm-config.php
	modified:   search.php
	modified:   style.css

Description of Code Changes
	functions.php line:574,579-583
	functions.php line:1678,3444,7064,7247,7430	[Microformats]
	functions.php line:2549,2860[Filter]
	functions.php line:4388,4629,4634,4706-4714,10126-10148,[Misc]
	functions.php line:5709-5735,5781-5802,	6416-6912,6618,6619,6621[html in excerpt]
	functions.php line:5934-6048,10564-10685,10510-10521,10584-10685[Site Title]
	functions.php line:10253-10324[html in excerpt]
	functions.php line10366-10479[html in excerpt][Menu]
	functions.php line:10480-10502,10530-10542,10564-10583[Menu]
	header-front.php line:76-79[Site Title]
	header.php line:21-25,33-36[Site Title]
	languages/ja.po edit[Misc]
	lib/alias_functions.php	line:873[Misc]
	lib/csscolor.css.php	line:499,1354,1371-1373,1380-1381,1385[Misc]
	lib/hooks.php line:314-334[Misc]
	lib/option-panel.php	line:419-509,869, 1132,[html in excerpt][Site Title]
	lib/validate.php line:2-43[Site Title]
	lib/validate.php line:44-64[html in excerpt]
	lib/validate.php line:743[Misc]
	plugins/plugins-presentation.php line:415[Filter]
	plugins/plugins-presentation.php line:440-446[Filter]
	plugins/plugins-presentation.php line:451-459[Site Title]
	plugins/plugins-presentation.php line:503-528[Site Title]
	plugins/plugins-presentation.php line:712-713[Misc]
	plugins/tgm-config.php	line:36-37[Misc]
	search.php	line:88,95[Filter]
	style.css	line:2982-2987[html in excerpt]
	style.css	line:3015[Misc]
	style.css	line:3861-3876[html in excerpt]
----------------------------------------------
Changelog -----------------------------------
version:1.277

Overview of Changes

	New Prezentation for language ja
		Display Japanese date (Works Only language setting ja )
			@see Section Description of Code Changes 'Japanese date'

		japanese lang class and another language CSS Class(Works Only language setting ja )
			Add CSS class lang-ja , lang-not-ja
			@see Section Description of Code Changes 'lang-css'

	Support rtl Languages
			@see Section Description of Code Changes 'RTL'
	Layout
		var $raindrops_keep_content_width ( filter hook raindrops_keep_content_width )

			This value default true
			article content width keep and automate centered when display 1column
			This value false
			article content width full width and no margin when display 1column
				@see Section Description of Code Changes 'keep_content_width'
	StyleSheet
		color_type stylesheet link change from external link to header embed


		var $raindrops_stylesheet_type
			This value default embed

			This value can set 'external', stylesheet external link width

			<link rel='stylesheet' id='raindrops_color_type-css'  href='' type='text/css' media='all' />
			@see Section Description of Code Changes 'stylesheet_type'
	Header Image
		Fixed Bug
			Wherever possible, header image dimensions to accurately get, aimed at small display of flickering
			However, in the responsive display not perfect, I will a combination of javascript
			@see Section Description of Code Changes 'header-image'
	Keyboard Accessibility
		When Keyboard Accessibility is set false then remove Skip Link
		Default true.
			@see Section Description of Code Changes 'Keyboard Accessibility'
	Misc BUG
			@see Section Description of Code Changes 'BUG'
	Misc Add filter
			@see Section Description of Code Changes 'Filter'

Files Modified

	new file:   rtl.css
	new file:   languages/scripts/ja.php
	modified:   childs/boots/style.css
	modified:   editor-style.css
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   loop.php
	modified:   page.php
	modified:   raindrops-helper.js
	modified:   search.php
	modified:   single.php

Description of Code Changes

	childs/boots/inc.php line:826-835	[Japanese date]
	lib/option-panel.php line:410-419	[Japanese date]
	lib/validate.php line:2-9			[Japanese date]
	functions.php line:3263,3290-3293,5566-5570,5841-5852,7108,7200-7213,	[Japanese date]
	editor-style.css line:440-458	[RTL]
	functions.php line:2241-2254	[RTL]
	functions.php line:28-30	[keep_content_width]
	functions.php line:36-39,649,2825,2856,4869,9095-9131,9145,9149,	[stylesheet_type]
	functions.php line:273-286	[Japanese date]
	functions.php line:539-607,2540-2550,4460-4461,4575,4598-4603,5098-5100,	[header-image]
	functions.php line:633,1953-1955,1970-1971,8789,8830		[BUG]
	functions.php line:808,820,837,914,	9216-9218,9227[Filter]
	functions.php line:9630-9861		[lang-css]
	header-front.php line:58,62			[Keyboard Accessibility]
	header-xhtml.php line:57,59			[Keyboard Accessibility]
	header.php line:15,17				[Keyboard Accessibility]
	languages/ja.po,ja.mo configure
	lib/alias_functions.php line:872-957	[header-image]
	lib/csscolor.css.php add -ms-linear-gradient();
 	lib/widgets.php	line:800			[Filter]
	loop.php line:37					[lang-css]
	page.php line:61					[lang-css]
	raindrops-helper.js line:94-98, 279-283,try and catch conditional
	raindrops-helper.js line:158-181	[lang-css]
	style.css line:31-34,500-501,1798-1804	[RTL]
	style.css line:2259-2282		[header-image]
	style.css line:3815-3855		[lang-css]
----------------------------------------------
Changelog -----------------------------------
version:1.276

Overview of Changes

	Fixed Serious Bug

		Entry Title Not Display at Monthly Archives


	Fixed All-in-One Event Calendar by Time.ly

		Shows escaped title.

		relate changes
				Add	filter function raindrops_strip_escaped_title()
				Add function raindrops_strip_escaped_title()

	Misc Mdified

		raindrops_posted_in()

	Added

		Article More Customizable CSS Class
			add post_class() class rd-tpl-{template}

		Category Archive Focus Update.
			category archive add navigation
			raindrops_category_navigation()
			raindrops_post_category_relation()
			add filter raindrops_loop_title_page_title

Files Modified
	modified:   functions.php
	modified:   lib/hooks.php
	modified:   loop.php
	modified:   style.css

Description of Code Changes
	functions.php line:1469-1555[raindrops_posted_in]
	functions.php line:3520[filter raindrops_loop_title_page_title]
	functions.php line:3534-3437[category archive add navigation]
	functions.php line:4285,4287-4295,4316-4326[Serious Bug]
	functions.php line:9656-9723[Category Archive Focus Update]
	lib/hooks.php line:311-314[Serious Bug relate]
----------------------------------------------
Changelog -----------------------------------
version:1.275

Overview of Changes
    Focus Post Featured Image update
		@see Section Description of Code Changes 'Featured Image'

	Change HTML Structure
		Change
		from <article id="post-xxx" class="...>
		to	<div id="post-xxx"><article class="...>
		This Change
			This change, in the post screen, of METABOX Custom CSS for this entry,
			is meant to be more flexible style specified.

			Example
				display the border, and highlights posts
					new posts, only until the 3 day passes,

			<code>
			.raindrops-pub-new{
 				border-left:6px solid red;
				 padding-left:1em;
			}
			</code>
			@see Section Description of Code Changes 'IDs'
			Misc[Misc]

Files Modified
	new file:	lib/featured-image.php
	modified:   changelog.txt
	modified:   functions.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   loop.php
	modified:   page-templates/front-page.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   page.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   single.php
	modified:   style.css
	modified:   childs/boots/inc.php
	modified:   childs/boots/style.css

Description of Code Changes
	bbpress.php line:104,107,
	functions.php line:408-422,2688-2709,4214-4220, 4226 4233-4239,4243,5288-5408,6034-6058,6993,7033,7050,7245,7247,7264,[Featured Image]
	functions.php 7918,7922-7923,7974,8230,8248,8307,8319,[IDs]
	functions.php line:9372-9379[Misc]
	lib/option-panel.php line:360-409[Featured Image]
	validate.php line:2-45[Featured Image]
	lib/widgets.php line:19-42,374,381,387-390,393,446,503,534-536[Misc]
	loop.php line:37,102[IDs]
	page-templates/front-page.php line:77,80[IDs]
	page-templates/front-portfolio.php line:39-40,49[IDs]
	page-templates/full-width.php line:104,107[IDs]
	page-templates/list-of-post.php line:40-41,58[IDs]
	page.php	line:61-62,102
	raindrops-helper.js line:18[Misc]
	raindrops.js line:8[Misc]
	single.php line:84[IDs]
	style.css line:3761-3780[Featured Image]
	childs/boots/inc.php line:776-825[Featured Image]
	functions.php line:5382-5384[Featured Image]
	childs/boots/style.css line:38[Featured Image]
----------------------------------------------
Changelog -----------------------------------
version:1.273

Overview of Changes
    Fixed
        Not Showing Help,
            edit.php, post-new.php, themes.php
        function rename follow
            add deplicated function for child theme and theme customize user
            escape from fatal error,
            raindrops_show_one_column()
            raindrops_show_one_column()

Files Modified
	modified:   functions.php

Description of Code Changes
        functions.php line:284,388[help issue]
        functions.php line:9334-9349[rename follow]
----------------------------------------------
Changelog -----------------------------------
version:1.272

Overview of Changes

	Focus Archives update

		Customizable Layout on Archives page
			Loop page can use Argument
			or
			Filter work
			@see http://www.tenman.info/wp3/manualraindrops/archives/1428
			@see http://www.tenman.info/wp3/manualraindrops/archives/1439

		Change Function Name
			from raindrops_show_one_column() raindrops_column_controller()
			from raindrops_show_one_column() to raindrops_dinamic_class()
		Template update
			404.php,author.php,date.php,header-front.php,image.php,index.php
			page-templates/front-portfolio.php,page-templates/full-width.php,
			 page-templates/list-of-post.php,page-templates/page-featured.php,
			page.php,search.php,single.php


	main menu( wp_nav_menu ) raindrops gradient class support

	function raindrops_display_recent_post_group_by_category
			add filter raindrops_extend_archive_widget_end_year

Misc
	Tiny MCE editor-style.css
		Add gallery-caption display:none;
			Raindrops gallery use html5 but tiny mce use html4

Files Modified

	modified:   author.php
	modified:   bbpress.php
	modified:   blank_front.php
	modified:   changelog.txt
	modified:   date.php
	modified:   editor-style.css
	modified:   footer.php
	modified:   functions.php
	modified:   header-front.php
	modified:   image.php
	modified:   index.php
	modified:   languages/css/ja.css
	modified:   lib/alias_functions.php
	modified:   lib/hooks.php
	modified:   lib/widgets.php
	modified:   page-templates/front-page.php
	modified:   page-templates/front-portfolio.php
	modified:   page-templates/full-width.php
	modified:   page-templates/list-of-post.php
	modified:   page-templates/page-featured.php
	modified:   page.php
	modified:   raindrops-helper.js
	modified:   raindrops.js
	modified:   responsiveness.css
	modified:   search.php
	modified:   single.php
	modified:   style.css

Description of Code Changes

        Sorry I lost a detailed changes
            fogot commit and overwrite

----------------------------------------------
Changelog -----------------------------------
version:1.271

Overview of Changes

	Fixed

		Error of Menu Primary Min Width default value at Customizer
				@see Section Description of Code Changes 'Min Width default value'
		Override header Image at post-new.php(post.php?action=edit) MetaBox
			The current value does not reflect the radio button of the form
				@see Section Description of Code Changes 'Meta Box'
		Fixed function raindrops_get_pinup_widget_ids()
				warning error in a particular environment
				@see Section Description of Code Changes 'raindrops_get_pinup_widget_ids'
	Modyfied

		Improvement of post title fallback link

		before: if( no title ) then ( Show fallback image link )
		after:  if( no title ) has post thumbnail then ( Show Post Thumbnail link )
							   has not postthumbnail then ( Show fallback image link )
				@see Section Description of Code Changes 'Title link fallback'

		Widget Category New Post
			Add postthumbnail image
				@see Section Description of Code Changes 'post thumbnail'



		Theme All Widgets
			Add number for grouping theme widget.

		Gallery support keyboard accessibility.
			focus figure then show fixcaption.
			@see Section Description of Code Changes 'A11y'
	Added
		Widget Archives Extended
				Display Archive Group by month , or year.
				Add settings Archive start year.
						@see Section Description of Code Changes 'Archive Extended'
	Misc
		change child theme relative
						@see Section Description of Code Changes 'Misc'
Files Modified

	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   languages/css/ja.css
	modified:   lib/alias_functions.php
	modified:   lib/hooks.php
	modified:   lib/widgets.php
	modified:   raindrops.js
	modified:   style.css

Description of Code Changes

	childs/boots/inc.php line:155-168[Misc]
	functions.php line:2460-2467,3161,3221-3226,3373,3381[Misc]
	functions.php line:4110-4123[post thumbnail]
	functions.php line:5238[Min Width default value]
	functions.php line:5734-5745[Title link fallback]
	functions.php line:5752-5756,5762-5766,6605,[Misc]
	functions.php line:6609,6633-6634,6636,6639-6643,6652-6660,8069-8073[Archive Extended]
	functions.php line:8385,8408,8414-8415,8425,8432-8438[Meta Box]
	functions.php line:9042[raindrops_get_pinup_widget_ids]
	functions.php line:9178-9192[Archive Extended]
	languages/css/ja.css	line:126-130[Misc]
	lib/alias_functions.php	line:770,774,792-799[A11y]
	lib/hooks.php line:297[[Archive Extended]
	lib/widgets.php line:14,284-297,338[post thumbnail]
	lib/widgets.php line:634-938[Archive Extended]
	raindrops.js line:103-108[A11y]
	style.css	line:1130,1141,1931,
	style.css	line:2823-2866,3710-3731[Archive Extended]
----------------------------------------------
Changelog -----------------------------------
version:1.269

Overview of Changes

	Galley Focused Update

		Overall goal is, and grant of practicality, beauty

		Support HTML5 gallery
			type html5 or xhtml is apply automatic switch when theme documenttype change.

		Gallery Short Code columns 1 - 3
			default Thumbnail Image Size too small for Raindrops Theme.
			Change column 1-3 Change Thumbnail Image to medium

		HTML5 figcaption popup when hover.
		XHTML .wp-caption-text allways showing.
		@see Section Description of Code Changes 'Gallery'

	Add Option Menu Primary Min Width ( theme option and customizer )

		Raindrops 1.268 Menu has many Revert Request.
		Apply functionality Easy Revert and Easy Customize.
		@see Section Description of Code Changes 'Menu'

	Modyfied
		Code Simpler raindrops_add_stylesheet()
				@see Section Description of Code Changes 'Misc'

Files Modified

	modified:   functions.php
	modified:   image.php
	modified:   lib/alias_functions.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   raindrops-config-example.php
	modified:   style.css
	modified:   childs/boots/inc.php

Description of Code Changes

	functions.php line:36-38,640-642,645-673,693,5033,5047-5051,[Gallery]
	functions.php line:1953-1978,1953-1955,1957-1990, 1993-2066,2460,8821-8824[Misc]
	functions.php line:2464-2480,5210-5217,5359-5369[Menu]
	image.php	  line:26,140[Misc]
	lib/alias_functions.php line716-800[Gallery]
	lib/hooks.php line:14-22[Gallery]
	lib/option-panel.php line:350-259[Menu]
	lib/validate.php line:2-10[Menu]
	raindrops-config-example.php line:243-251[Gallery]
	style.css line:326,500-546,[Gallery]
	style.css line:1919-1921,3128[Misc]
	childs/boots/inc.php line:759-769[Menu]

----------------------------------------------
Changelog -----------------------------------
version:1.268

Overview of Changes

		Google Fonts ( contain two spaces ) Support
		Google Fonts Early Access Support
			http://www.google.com/fonts/earlyaccess
			@see Section Description of Code Changes 'Google Fonts'
		Add Primary Menu Fonts Size Option at theme options and customizer
			@see Section Description of Code Changes 'Primary Menu Fonts Size'
		Fixed Primary Menu for mobile device display improperly.
			@see Section Description of Code Changes 'Primary Menu Mobile'

Files Modified

	modified:   childs/boots/inc.php
	modified:   fonts.css
	modified:   functions.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   plugins/plugins-presentation.php
	modified:   responsiveness.css
	modified:   style.css

Description of Code Changes

	childs/boots/inc.php line:154-162,732-741	[Primary Menu Fonts Size]
	fonts.css line:179							[Primary Menu Fonts Size]
	functions.php 2407-2415,5136-5141,5275-5283,[Primary Menu Fonts Size]
	functions.php 8534							[Misc]
	functions.php line8628-8630,8636-8637, 8648-8654,8671-8681,
	8704,8731-8740,8751-8753					[Google Fonts]
	lib/option-panel.php line:340-349			[Primary Menu Fonts Size]
	lib/validate.php line:2-9					[Primary Menu Fonts Size]
	plugins/plugins-presentation.php line:282,285,
	289-295										[Misc]
	responsiveness.css line:127-129,158-233		[Primary Menu Mobile]
	style.css line:1408, 1484					[Primary Menu Fonts Size]
	style.css line:1652-1661,1663-1664			[Misc]

----------------------------------------------
Changelog -----------------------------------
version:1.267

Overview of Changes

		Footer accessibility link removed

			Do not need a query, have implemented the basic functions related to accessibility

			Extend query keyword ( friendly ) removed
			@see Section Description of Code Changes 'Query'

		Add Edit Help
			Add help at helptab where post-new.php and post.php

			Example	Font Size CSS Class
					<p class="f16">Font Size 16px</p>
			Example	Google Fonts Family CSS Class

			@see Section Description of Code Changes 'Help'

		Modify Primary navigation

        	Important Note

				IE8 Custom Menu shows level 0 only.
					Not Support keyboard accessibility.
				IE9 Custom Menu shows level 0 and 1 only.( when hover action )
					When the non-printable child menu exists, it will be displayed in X is red color to the menu
				IE9 Custom Menu shows multiple.( keyboard action )
					it will be displayed in X is red color to the menu, but works

				Another Modern Browser shows multi level.
					Primary menu support keyboard accessibility.
Files Modified

	modified:   lib/csscolor.css.php
	modified:   raindrops-helper.js
	modified:   style.css

Description of Code Changes

    functions.php line:536,569-574,8510-8518[Query]
	functions.php line:1709-1723,[Help]
	functions.php line:567-580 [Misc]
	lib/csscolor.css.php line:55-81,522-532,557-565,632,640-653,660-665,920,924,928-949,1373,1472,1476,1480-1501
	raindrops-helper.js	line:160-172,
	style.css line:1399,1405-1411,1423-1456,1438,1444,1572-1578,1637-1638,1659-1704,2186,2193
----------------------------------------------
Changelog -----------------------------------
version:1.266

Overview of Changes
        Fixed default header image height issue
            $raindrops_custom_header_args height value change from 266 to 573

Files Modified
	modified:   functions.php

Description of Code Changes
        functions.php line:481
----------------------------------------------
Changelog -----------------------------------
version:1.265

Overview of Changes
	raindrops pinup widget can use google web font.
		add pinup widget entry title.
			@see Section Description of Code Changes 'Pinup Widget'
	Add delete or keep theme option value when theme switch.
		delete theme widget setting, theme options, theme mods, custom field value( theme automate setting values ) When delete select
		child theme delete_option( "raindrops_theme_settings" ); when switch theme was deleted.
			@see Section Description of Code Changes 'theme options delete'
	Modify $raindrops_child_base_setting_args description
			@see Section Description of Code Changes 'description'
	Backward compatibility
			@see Section Description of Code Changes 'Backward compatibility'

	Fixed header image bug
			@see Section Description of Code Changes 'Bug'
	Add hooks
		raindrops_site_title_class,
			@see Section Description of Code Changes 'hook'
	Remove wp_title() and add add_theme_support( 'title-tag' );
			@see Section Description of Code Changes 'title'
	Change default header-image
	Change screenshot.png

	Modify Language file ja.po

	Add Text Domain: Raindrops at style.css

Files Modified

	modified:   childs/boots/inc.php
	modified:   childs/boots/style.css
	modified:   fonts.css
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   images/headers/wp3-thumbnail.jpg
	modified:   images/headers/wp3.jpg
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   screenshot.png
	modified:   style.css

Description of Code Changes
	childs/boots/inc.php line:165-210,251-281,
	lib/option-panel.php line:248,259,270,281,292,303,314,325,
	functions.php 		line:2544-2581,2591,2595-2596,2461-2672
	childs/boots/inc.php line:407,421,612-613,631,642,653,662,664,675-676,686-687,697,708[description]
	childs/boots/inc.php line:711-723[theme options delete]
	lib/option-panel.php line:329-339[theme options delete]
	functions.php line:2218-2222,2227-2275,[theme options delete]
	functions.php line:3712,3903,[Backward compatibility]
	functions.php line:4131-4135,97-101[Bug]
	functions.php line:43-51[hook]
	functions.php line number lost ( github ) sorry.
	header-front.php line:30 [title]
	header-xhtml.php line:53 [title]
	header.php       line:12 [title]
	ja.po
	lib/csscolor.css.php line line:621,928-929,1369-1371{Misc]
	lib/hooks.php line:143-147[Backward compatibility]
	lib/validate.php line:2-8[theme options delete]
	lib/widgets.php line:343,346-347,350,357,544-580[Pinup Widget]
	style.css line:11,89-96,3396-3399,3449-3457,3462-3468
----------------------------------------------
Changelog -----------------------------------
version:1.264

Raindrops Theme Yeaｒs last update !

All users of everyone who adopted the Raindrops theme,
and thank you everyone of reviewers who have contributed to maintaining the quality of the theme

Overview of Changes

	TinyMCE visual editor focus update.

		In visual mode, I have to improve the display performance of content

		Dinamic Content Width
			Customizer page width set in (theme options), change the display width of the side bar, I will reflect on the visual editor.
		Dinamic Color Type
			Dark, light, color type, such as minimal, I will reflect automatically in the visual editor.
		Google Fonts at Entry Content
			Google font that you specified in the CSS class, to reflect the visual editor

		Style setting of many other Rain Drops is now reflected in the visual editor.


Files Modified


	modified:   childs/boots/inc.php
	modified:   editor-style.css
	modified:   functions.php
	modified:   lib/alias_functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   style.css

Description of Code Changes

	childs/boots/inc.php line:621-635,
	editor-style.css line:9-10,25,83-84,89-90,92-432
	functions.php line:5001-5009,5123-5131,8261-8255,8340-8344,8547,8569,8579-8580,8597-8672
	lib/alias_functions.php line:23,86,135,
	lib/csscolor.css.php line:342-345,623-624,940-941,1401-1402
	lib/hooks.php line:30-35,272-275
	lib/option-panel.php line:318-328
	lib/validate.php line:2-9
	style.css line:272-278
----------------------------------------------
Changelog -----------------------------------
version:1.263

Overview of Changes

	Bug Fixed
		area-hidden="true" attribute shows display

Files Modified

	functions.php

Description of Code Changes

functions.php line:7083,7709
----------------------------------------------
Changelog -----------------------------------
version:1.262

Overview of Changes

	Support Google Fonts at Entry Content.
		@see Section Description of Code Changes 'Google Fonts'

		Note:

			Raindrops meybe support approximately 92% of the current Google fonts

			How to use google font

				Write the name of the class to the element, that there is no need to do anything else

				Entry Content ( Text Mode )

					<h2 class="google-font-open-sans">Font Family Open Sand Text</h2>

					Font Name: Open Sans
					Class Name:google-font-(prefix) + open-sans( chenge space from ' ' to '-', Font Name change to lower case )

				Support font weight and italic

					For example Lato
					<h2 class="google-font-lato700i">Font Family Lato Font Weight 700</h2>

				Supoort font effect

					<h2 class="google-font-oswald font-effect-brick-sign">Font Family Oswald and Effect</h2>

					@see:https://developers.google.com/fonts/docs/getting_started

		One Important Notice

			And since when use too will affect the performance, please note

			The unsupported fonts

				Not Support Fonts( 49items ) [Not Support:font name has 2 space and more]
				Source Sans Pro,PT Sans Narrow,The Girl Next Door,Cherry Cream Soda,Black Ops One,Just Me Again Down Here,Covered By Your Grace
				Shadows Into Light Two,Waiting for the Sunrise,Goudy Bookletter 1911,Gentium Book Basic,Nothing You Could Do,Sorts Mill Goudy
				PT Serif Caption,Love Ya Like A Sister,Mountains of Christmas,Loved by the King,Fredericka the Great,Give You Glory,
				Annie Use Your Telescope,Sue Ellen Francisco,Petit Formal Script,Racing Sans One,La Belle Aurore,IM Fell English SC,
				IM Fell DW Pica SC,Dawning of a New Day,Delius Swash Caps,Swanky and Moo Moo,Over the Rainbow,IM Fell French Canon SC,
				Press Start 2P,IM Fell Double Pica,Oleo Script Swash Caps,Patrick Hand SC,IM Fell Double Pica SC,Averia Sans Libre
				Text Me One,Elsie Swash Caps,Averia Serif Libre,Jacques Francois Shadow,Monsieur La Doulaise,Share Tech Mono,Mrs Saint Delafield,
				Stint Ultra Expanded,Macondo Swash Caps,Odor Mean Chey,Averia Gruesa Libre,Herr Von Muellerhoff

	Support XHTML1.0 media type 'application/xhtml+xml'
		default 'text/html'
		if you need 'application/xhtml+xml' then need config at functions.php line:16 $raindrops_xhtml_media_type
		@see Section Description of Code Changes 'Media Type'

	Misc
		Customizer label name change from Accessibility Setting to Force Unique Link Text
		Modify function raindrops_the_pagenation ( add get_the_posts_pagenation() for WordPress 4.1 )
		Add id at body_element
			@see Section Description of Code Changes 'Misc'

Files Modified

	modified:   functions.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   plugins/plugins-presentation.php
	modified:   raindrops-config-example.php
	modified:   style.css

Description of Code Changes

functions.php line:2491-2509,2565-2588,2598-2603,8457-8557[Google Fonts]
functions.php line:5002,5550-5572,6847-6849,7080-7082,7705-7707,7771,7964,8366-8369,8379,8382,8392,8397[Misc]
functions.php line:8403-8452[Media Type]
header-xhtml.php line:40,43-47,52-54[Media Type]
header.php line:line:5,15[Misc]
languages/ja.po line:6 emty translation modify
lib/hooks.php line:272-276[Media Type]
plugins/plugins-presentation.php line:75,260[Misc]
raindrops-config-example.php line:235-242[Media Type]
style.css line:3533-3539[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.260

Overview of Changes

	Updates for the preparation of WordPress 4.1
		Add register_default_headers()
		@see Section Description of Code Changes 'Next Version'
	Change Custom Header Image Size from 950x198 to 1280x266
		@see Section Description of Code Changes 'Header Image'
	Modify
		Remove old functions and relate modify
		@see Section Description of Code Changes 'Removed'
	Misc
		@see Section Description of Code Changes 'Misc'

Files Modified

	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php

Description of Code Changes

	functions.php line:14-25,4486-4656,4829-5068,8626[Removed]
	functions.php line:469,471[Header Image]
	functions.php line:476-484 493-497[Next Version]
	functions.php line:3608,3611,3745,5258,5308-5309,5359-5360,5824-5842,6467,5483-6486,8418,8460,8472,[Misc]
	fallback.css line:1-4,[Misc]
	lib/csscolor.css.php line:1438[Misc]
    lib/hooks.php line:271[Removed]
----------------------------------------------
Changelog -----------------------------------
version:1.259
Overview of Changes

	Fixed No prefixed function
		Change from add_raindrops_stylesheet to raindrops_add_stylesheet
		Change from fallback_user_interface_view to raindrops_fallback_user_interface_view
	Modify CSS

Files Modified

	modified:   functions.php
	modified:   lib/csscolor.css.php
	modified:   style.css

Description of Code Changes

	functions.php line:460, 1885, 1887, 4428, 4430, 4467 [Fix function name]
	lib/csscolor.css.php line:593,860,1385,[Modify CSS]
	style.css line:53[Modify CSS]
----------------------------------------------
Changelog -----------------------------------
version:1.257
Overview of Changes

	Fixed dinamic CSS
		> changed &lt;
		Style Broken
		add $css = str_replace( array("&gt;",'raindrops_color_ja'),array('>',''),$css);
			functions.php line:8675
	Change for Child Theme relation
		@see Section Description of Code Changes 'Child Theme'
	Customizeable for Footer Text
		@see Section Description of Code Changes 'Footer Text'
			new function raindrops_footer_text() functions.php line:8712-8755
	Tabindex for xhml 1.0
		When using xhtml1.0 remove tabindex=-1
		@see Section Description of Code Changes 'Tabindex'
	Modified fot HTML source
		@see Section Description of Code Changes 'HTML Source'
	Unique Entry Title
		@see Section Description of Code Changes 'Accessibility'
			new function raindrops_unique_entry_title() functions.php line:8692-8711
	Modification of the translation
		@see Section Description of Code Changes 'I18n'
	Other fixes
		@see Section Description of Code Changes 'Misc'
Files Modified
	modified:   childs/boots/inc.php
	modified:   childs/boots/style.css
	modified:   fonts.css
	modified:   footer.php
	modified:   functions.php
	modified:   header-front.php
	modified:   header-xhtml.php
	modified:   header.php
	modified:   index.php
	modified:   languages/ja.mo
	modified:   languages/ja.po
	modified:   lib/alias_functions.php
	modified:   lib/widgets.php
	modified:   loop.php
	modified:   style.css

Description of Code Changes
	childs/boots/functions.php line:37,53,64,73,78-115,117-140[Child Theme]
	childs/boots/inc.php line:7-24,34-36,155[Child Theme]
	footer.php [Footer Text]
	functions.php line:1031,1042,1052,1062,1072[Tabindex]
	functions.php line3109,3112,5807,5809,5817,5831,58375917,8249[HTML Source]
	functions.php line:3858-3860,5122-5123,5817-5831[Misc]
	header-front.php line:26-34,42,44-55,58-68,70-114,[HTML Source]
	header-xhtml.php line-56-75[HTML Source]
	header.php line:15-47[HTML Source]
	index.php line:28-55[HTML Source]
	languages/ja.po line:2700[I18n]
	lib/widgets.php line:268-269[Misc]
	loop.php line:32,36-38,73-89,95-96,100-107[HTML Source]
	style.css line:3529-3531[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.256
Overview of Changes

	javascript and CSS move from embed inline style, inline script to external link
		add new function raindrops_load_small_device_helper() functions.php line:4627
		add new file raindrops-helper.js
		@see Section Description of Code Changes 'Change External'

	$raindrops_fallback_human_interface_show relate changes
		In internal changes towards the future, it does not affect the theme of behavior
		@see Section Description of Code Changes 'fallback_human_interface'

	Fixed
		paragraph element apply improperly
				editor text mode source
				<div class="line">
				<div class="unit size1of2 gradient3">1/2</div>
				<div class="unit size1of2 gradient2">1/2</div>
				</div>
			bad result
				<div class="line">
				<div class="unit size1of2 gradient3">
				<p>1/2</p>
				<br />
				</p>
				</div>
				<div class="unit size1of2 gradient2">
				<p>1/2</p>
				<br />
				</p>
				</div>
				</div>
			fixed
				<div class="line">
				<div class="unit size1of2 gradient3">
				<p>1/2</p>
				</div>
				<div class="unit size1of2 gradient2">
				<p>1/2</p>
				</div>
				</div>
			@see Section Description of Code Changes 'p element issue'

		class oembed-container  add class clearfix
			I allows adjustment of subsequent text margin,
			CSS modify
			@see Section Description of Code Changes 'Misc'

		Layout display improperly when default sidebar right 300px + extra sidebar 33%
			@see Section Description of Code Changes 'Layout issue'

		get_post($post->ID) has non object error
			@see Section Description of Code Changes 'Misc'

		Theme option page has error
			A non-existent image file I was using in-line style
				wp-content/themes/raindrops/images/none
			remove inline style.
			@see Section Description of Code Changes 'no exits image'

		Add the processing in the case that the value of the access key does not exist
			When prepared access key does not exist, it does not display the access key attribute
			@see Section Description of Code Changes 'Accesskey'

Files Modified
	modified:   fallback.css
	modified:   functions.php
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	new file:	raindrops-helper.js

Description of Code Changes
	fallback.css all changes[fallback_human_interface]
	functions.php line:14-24[Change External]
	functions.php line:523[Change External]
	functions.php line:2447[Change External]
	functions.php line:2449-2459[Change External]
	functions.php line:2523,2542,2544[Change External]
	functions.php line:4327-4328[fallback_human_interface]
	functions.php line:4460-4461,4463,4465-4475,4481[Change External]
	functions.php line:4627-4787[Change External]
	functions.php line:5165-5175[Change External]
	functions.php line:5181-5187[Change External]
	functions.php line:6765-6768[Change External]
	functions.php line:8283[p element issue]
	functions.php line:8572[MIsc]
	functions.php line:8580-8637[Change External]
	plugins/plugins-presentation.php line:142,146,150,160-165[Misc]
	plugins/plugins-presentation.php line:184-191[Misc]
	plugins/plugins-presentation.php line:323-328,484-490,507,643-648[Misc]
	style.css line:292-294[Misc]
	style.css line:1154,2952-2953[Layout issue]
	functions.php line:4712-4716[Misc]
	lib/option-panel.php line:795-800[no exits image]
	lib/option-panel.php line:894-899[Accesskey]
	functions.php line:4267-4282[Change External]
	functions.php line:8606[Change External]
	functions.php line:8637-8647[Change External]
	functions.php line:8658-8659,8662-8663,8666[Change External]
----------------------------------------------
Changelog -----------------------------------
version:1.253
Overview of Changes

	Quick Cache Plugin add translation file for ja
		@see Section Description of Code Changes 'Quick Cache'

	keyboard accessibility desable why menu structure issue when wp_nav_menu using fallback_cb
		@see Section Description of Code Changes 'wp_nav_menu'

	Loop pages post-thumbnail style change vartical align value from text-bottom to middle
		@see Section Description of Code Changes 'post-thumbnail'

	style modify when language Japanese
		@see Section Description of Code Changes 'lang ja'

	style modify for slider plugin wrapper elements add class cleafix
		@see Section Description of Code Changes 'Meta Slider'

Files Modified
	modified:   languages/css/ja.css
	modified:   plugins/plugins-presentation.php
	modified:   style.css
	modified:   functions.php
	new file:   languages/plugins/quick-cache/quick-cache-ja.po
	new file:   languages/plugins/quick-cache/quick-cache-ja.mo
Description of Code Changes
	functions.php line:432-438[wp_nav_menu]
	functions.php line:5576[post-thumbnail]
	languages/css/ja.css line:14-28[lang ja]
	languages/css/ja.css line:38-40[lang ja]
	languages/css/ja.css line:122-124[lang ja]
	plugins/pluins-presentation.php line:390[Meta Slider]
	plugins/pluins-presentation.php line:573-576[Meta Slider]
	plugins/pluins-presentation.php line:613-614[Meta Slider]
	plugins/pluins-presentation.php line:613-614[Meta Slider]
	plugins/pluins-presentation.php line:623-642[Quick Cache]
	style.css line:61,65,1468,1524,1529,1535-1536,1541-1543,1551-1553[wp_nav_menu]
	style.css line:2068[Misc]
----------------------------------------------
Changelog -----------------------------------
version:1.252
Overview of Changes
	enable japanese translation

Files Modified
	modified:   languages/plugins/the-events-calendar/tribe-events-calendar-ja.mo
	modified:   languages/plugins/the-events-calendar/tribe-events-calendar-ja.po
	modified:   plugins/plugins-presentation.php
	modified:   style.css

Description of Code Changes
	lib/pluins-presentation.php
	line:523 enable filter load_textdomain_mofile

	languages/plugins/the-events-calendar/tribe-events-calendar-ja.po
	line:1332,1336,1352,49
----------------------------------------------
Changelog -----------------------------------
version:1.251
Overview of Changes
	Created
		Theme adapted for implementation of design and configuration, the automatic display function in place of the Template Editing

		Note:Important
			Theme, for the active plug-ins before that will be installed, and does nothing.
			If the functionality is required, activating at once, please reactivate

		Meta Slider Plugin
			https://wordpress.org/plugins/ml-slider/
			@see Section Description of Code Changes 'Meta Slider'
		The Events Calendar
			https://wordpress.org/plugins/the-events-calendar/
			@see Section Description of Code Changes 'The Events Calendar'
		bbPress
			https://wordpress.org/plugins/bbpress/
			@see Section Description of Code Changes 'bbPress'
		Theme Customizer option
			raindrops_disable_keyboard_focus
			@see Section Description of Code Changes 'keyboard_focus'
	Modified
			@see Section Description of Code Changes 'Misc'

	Fixed
		wp_nav_menu() displayed improperly.
			and fallback option add keyboard_focus
		404.php error
			add global $rsidebar_show, $raindrops_document_type;

Files Modified
	modified:   childs/boots/inc.php
	modified:   childs/boots/style.css
	modified:   functions.php
	modified:   header-front.php
	modified:   lib/csscolor.css.php
	modified:   lib/hooks.php
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   plugins/tgm-config.php
	modified:   style.css
Files Added
	new file:   languages/plugins/the-events-calendar/tribe-events-calendar-ja.mo
	new file:   languages/plugins/the-events-calendar/tribe-events-calendar-ja.po
	new file:   plugins/plugins-presentation.php
Description of Code Changes
	childs/boots/style.css line:33-36 add style[The Events Calendar]
	functions.php move code from line:158-191 to line:366-408 [Misc]
	functions.php line:416-432 [keyboard_focus]
	functions.php line:1460-1470 [Misc]
	functions.php line:2565-2569 [Misc]
	functions.php line:5049-5058 [Meta Slider][The Events Calendar]
	functions.php line:5107-5112 [keyboard_focus]
	functions.php line:5133-5142 [keyboard_focus]
	functions.php line:5211-5228 [Meta Slider][The Events Calendar]
	functions.php line:5645-5649 [Misc]
	functions.php line:6204-6207 [Misc]
	functions.php line:6389-6392 [Misc]
	functions.php line:7061-7064 [Misc]
	functions.php line:8286-8543 move to plugins/plugins-presentation.php
	header-front.php cleaning [Misc]
	lib/csscolor.css.php Add margin-bottom:-1px!important;[Misc]
	lib/option-panel line:285-317 [Meta Slider][The Events Calendar][keyboard_focus]
	lib/validate.php line:2-31 [Meta Slider][The Events Calendar][keyboard_focus]
	lib/widgets.php cleaning [Misc]
	plugins/tgm-config.php line:40-49 [Meta Slider][The Events Calendar]
	style.css line:3712-3725,3727-3733,3735-3787 [bbPress]
----------------------------------------------

Changelog -----------------------------------
version:1.250
Overview of Changes
	Created
		Add New Plugin installer
			TGM-Plugin-Activation
				@see Section Description of Code Changes 'TGM_Plugin_Activation'
			relate changes
				create function raindrops_bcn_setup()
				create function raindrops_bcn_nav_menu()
				create function raindrops_bcn_css()
				create function raindrops_template_tags_change_date()
			translation
				language/ja.po
			 new ver $raindrops_recommend_plugins

			Note:This functionality for only single site.

	Modified
		front-page.php template

		Change style strong, em, b, i
				@see Section Description of Code Changes 'element styling'
		Customizable Post Thumbnail
			Add raindrops_title_thumbnail
				@see Section Description of Code Changes 'post thumbnail'

		Misc
			Change pluggable function  raindrops_oembed_filter
			Oembed Twitter Card style

				@see Section Description of Code Changes 'misc'


	Fixed
		Theme option image upload validate function issue
			validate.php
			raindrops_heading_image_validate()
			raindrops_footer_image_validate()
			raindrops_header_image_validate()

		nav menu primary display improperly.
			@see Section Description of Code Changes 'nav menu bug'

Files Modified
	changelog.txt
	css3.css
	editor-style.css
	functions.php
	languages/css/ja.css
	languages/ja.mo
	languages/ja.po
	lib/jetpack.php
	lib/validate.php
	raindrops-config-example.php
	readme.txt
Files Added
	plugins/tgm-config.php
	plugins/class-tgm-plugin-activation.php
	style.css
Description of Code Changes
	css3.css line:10	[element styling]
	editor-style.css line:82-91 [element styling]
	functions.php line:147-180 [TGM_Plugin_Activation]
		file_include and register
	functions.php line:5458-5461, line:5490, line:5492	[post thumbnail]
	functions.php line:8220-8340	[misc]
	languages/css/ja.css line:101-107  [element styling]
	languages/ja.po
		line:3,5-6,18,56,100-101,107,193,198,203,228,237,242,247,252,258,264,270,275,280,286,291,295,300,307,312,318,324,329,334,339,345-6,350,355,362,367,372-374,379,383,388,393,398,402,405,411,416,421,426,431,435,439,443,,447,451,455,459,464,468,478,483,492,502,506,510,514,518,522,526,531,636,540,544,550-553,556,564,575,580,586,592,597,603,616,621,626,631,636,642,644-647,654,660,664,668,673,677,681,685,689,693,697,701,705,709,713,717,722,727,733,738,743,747,751,755,760,764,768-769,774,779,783,787,791-792,796-797,802,807,812,817,822-828,832-836,840-842,846,856,861--862,866-867,871,876,881,887,892,897,898,927,932,939-943,949,953,958-960,965,969,973,980,984-995,997-1003,1008,1013,1018,1022-1037,1039,1146,1151,1156,1163,1173,1178,11871192,1201,1206,1213,1218,1228,1232,1236,1240,1245,1250,1260,1265,1270,1275,1280,1286,1290,1294,1298,1303,1308,1315,1320,1328,1335,1339,1343,1347,1351,1355,1359,1361,1363,1364-1366,1371-1377,1382-1399,1403,1408,1413,1422,1428,1434,1439,1445,1450,1455-1460,1465-1470,1475,1480,1485,1490,1495,1500,1506,1511,1516,1521,1526,1531,1537,1542,1548,1553,1558,1564,1569,1574,1580-1581,1586,1592,1598,1603,1607,1611,1615,1619,1623,1628,1633,1638,1643,1649,1652,1659,1665,1670,1675,1680,1685,1690,1695,1700,1705,1710,1715,1720,1725,1730,1735,1740,1745,1750,1755,1760,1765,1770,1775,1780,1785,1790,1795,1800,1805,1810.1815,1820,1825,1830,1835,1840,1845,1850,1855,1860,1865,1870,1875,1880,1885,1890,1895,1900,1905,1910,1915,1920,1925,1930,1935,1940,1945,1950,1955,1960,1965,1970,1975,1980,1985,1990,1995,2000,2005,2010,2015,2020,2025,2030,2035,2040,2045,2050,2055,2060,2065,2070,2075,2080,2085,2090,2095,2100,2105,2110,2115,2120,2125,2130,2135,2140,2145,2150,2155,2160,2165,2170,2175,2180,2185,2190,2195,2200,2205,2210,2215,2220,2225,2230,2235,2240,2245,2250,2255,2260,2265,2270,2275,2280,2286,2290,2295,2300,2305,2310,2315,2320,2325,2330,2335,2340,2345,2350,2355,2360,2365,2370,2375,2380,2411,2415,2419,2423,2429,2434,2438,2442,2447,2452,2456-2868	 [TGM_Plugin_Activation] mainly
	lib/jetpack.php line:11,14-31	[misc]
	raindrops-config-example.php line:224-234	[TGM_Plugin_Activation]
	style.css line:178-187 [element styling]
	style.css line:1504-1538	[nav menu bug]
	childs/boots/inc.php line:565-586 [TGM_Plugin_Activation]
	functions.php line:157-166 [TGM_Plugin_Activation]
	functions.php line:4988,5015-5026,5136-5156,8285-8316, 8420 [TGM_Plugin_Activation]
	language/ja.po line:1411-1425,2863-2875,and etc
	lib/option-panel.php line:263-284 	[TGM_Plugin_Activation]
	lib/validate.php line:2-17		[TGM_Plugin_Activation]
----------------------------------------------
Changelog -----------------------------------
version:1.247
Overview of Changes
	Added
		front-page.php, full-width.php add new prezentation.
		If you set the front page template the template above, you can from the post meta box, to be added to the page top posts
			@see Section Description of Code Changes 'Template'
	Fixed
		If you use the widget of jet pack plug-in, solve problems that do not fit in the block on which the image is placed

			@see Section Description of Code Changes 'jetpack'
	Modified
		Change position post thumbnail image
				@see Section Description of Code Changes 'post thumbnail'
Files Modified
	childs/boots/style.css
	functions.php
	header-front.php
	header-xhtml.php
	lib/csscolor.css.php
	media.css
	page-templates/front-page.php
	page-templates/full-width.php
	page.php
	responsiveness.css
	style.css
	widget-sticky.php
Files Added
	lib/jetpack.php
	part-additional.php
Description of Code Changes
	childs/boots/style.css line:23-32 [Template]
		Child theme support
	functions.php line:224-237[jetpack]
		lib/jetpacck.php include script
	functions.php line:5443[Template]
	+	if ( !is_singular() || is_page_template( 'page-templates/list-of-post.php' ) || ( is_page_template( 'page-templates/full-width.php' ) && is_front_page()  ) || ( is_page_template( 'page-templates/front-page.php' ) && is_front_page()  ) ) {
	functions.php line:6715
		Change Image size wp_get_attachment_image_src() from none to medium
	functions.php line:7541 change element for title from span to h2
		For correct html structure
	functions.php line:7586-7599 modify funtion raindrops_tile() [Template]
	header-xhtml.php line:57,
	header-front.php line:60 bugfix
		add class before space
	header-front.php line:103 bugfix
	media.css line:291 line:294 line:298
		typo classname
	header-front.php line:126 modify[Template]
		add inline style width:100%
	lib/csscolor.css.php line:395, line:465, line:680, line:1228, line:1260, add .raindrops-toc-front li[Template]

	line:1262,1276 add IE gradient for color_type light background bugfix
	page-templates/front-page.php line:20-87 [Template]
	page-templates/full-width.php line:21-115[Template]
	page.php line:66 Change post thumbnail position[post thumbnail]
	responsiveness.css line:304, line:307,line:310,line:320-326,line:342-353 [Template]
	style.css line:1658 [post thumbnail]
	style.css line:2910-2913,line:2920-2969 [Template]
	style.css line:2993-2998 add class
	style.css line:3108 change class to id
	style.css line:3114 change em to %
	style.css line:3396-3401 modify display blank-front.php
	style.css line:3771-3725 modify smaily
	widget-sticky.php line:1 modify is_home() to is_front_page()[Template]
----------------------------------------------
Changelog -----------------------------------
version:1.246
Overview of Changes
	Added
		Responsiveness Support where Oembed media
		tested Animote-YouTube,mixcloud,isuu,YouTube,TED,collegehumor,Slideshare,Twitter card
		Change Oembed Media width from content width to full width
			@see Section Description of Code Changes 'Oembed'
	Fixed
		blank-front.php template shows oembed url
			replace oembed urls to string cloud
			html code:<span class="oembed-content-icon youtu-be">Cloud</span>
			You can use CSS classes for customize.
			@see Section Description of Code Changes 'brnank-front'
		Entry content, the adjustment of the margin in the case of inserting the full-sized image
			@see Section Description of Code Changes 'Attachment'
		Add callback function for Customizer (typo)
			@see Section Description of Code Changes 'Customizer'
	Modify
		blank-front.php add Transient API
			@see Section Description of Code Changes 'Transient'
		Child Theme boots setting for Customize
			@see Section Description of Code Changes 'Child Theme'
		Shows Raindrops same header style when remove a boots/header.php

Files Modified
	childs/boots/functions.php
	childs/boots/inc.php
	functions.php
	lib/hooks.php
	style.css

Description of Code Changes

	childs/boots/functions.php line:35 [Child Theme]
		if ( file_exists( get_stylesheet_directory().'/header.php' ) ) {
+		// if not exists child themes header.php then display raindrops same. (boxed header)
+			add_filter( 'raindrops_header_image_contents', 'boots_custom_header_image_content' );
+		}
	childs/boots/inc.php line:319-356 $raindrops_child_base_setting_args
		relate parent theme updete

	functions.php line:4958 [Customizer]
+		$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_entry_content_is_category]',
			'sanitize_callback' => 'raindrops_entry_content_is_category_validate' ) );
+		$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_entry_content_is_search]',
			'sanitize_callback' => 'raindrops_entry_content_is_search_validate' ) );

	functions.php line:5555 Add function raindrops_link_get() [brnank-front]
	functions.php line:5572 Add function raindrops_replace_oembed_link_to_icon() [brnank-front]
	functions.php line:5615 Add function raindrops_transient_update() [brnank-front][Transient]
	functions.php line:5630 Add function raindrops_recent_posts() [brnank-front][Transient]
		old raindrops_recent_posts was renamed raindrops_get_recent_posts line:5723
	functions.php line:5660 Add function raindrops_category_posts() [brnank-front][Transient]
		old raindrops_category_posts was renamed raindrops_get_category_posts line:5892[brnank-front][Transient]
	functions.php line:5692 Add function raindrops_tag_posts() [brnank-front][Transient]
		old raindrops_tag_posts was renamed raindrops_get_tag_posts line:6083[brnank-front][Transient]
	functions.php line:8143 Add function raindrops_oembed_filter() [Oembed]
	lib/hooks.php line:268 Add filter add_filter( 'embed_oembed_html', 'raindrops_oembed_filter', 99, 4 ); [Oembed]
	lib/hooks.php line:269 Add action add_action( 'save_post', 'raindrops__transient_update' );[Transient]
	lib/hooks.php line:270 Add action add_action( 'edit_term', 'raindrops__transient_update' );[Transient]
	style.css 	  line:245-285 Add style rules [Oembed]
	style.css 	  line:993 Add style rules [Attachment]
	style.css     line:1302 Add style rules[Oembed]
	style.css     line:2342 Add style rules format-link style For PressThis
	style.css     line:2712 Add style rules for margin-top ajast
    style.css	  line:3651-3659 Add style rules [Oembed]
----------------------------------------------
Changelog -----------------------------------
version:1.245
Overview of Changes

	the license for the images used in the screenshot
		@see Section Description of Code Changes 'screenshot'
	Theme Check Plugin ( Stable tag: 20140929.1 ) required issues.
		@see Section Description of Code Changes 'Fixed'
	Firefox mobile menu works improperly.
		@see Section Description of Code Changes 'Another Fixed'
	Theme option Footer color not works
		@see Section Description of Code Changes 'Another Fixed'
	Header Image issue
		@see Section Description of Code Changes 'Another Fixed'
	Add bundle images
		@see Section Description of Code Changes 'screenshot'

Files Modified

	changelog.txt
	fonts.css
	functions.php
	header-front.php
	lib/option-panel.php
	lib/validate.php
	responsiveness.css
	screenshot.png
	style.css

New files

	images/dummy.jpg
	images/screenshot-image1.jpg
	images/screenshot-image2.jpg

Description of Code Changes

	Screenshot.png [screenshot]
		Require the license for the images used in the screenshot
		Renewal screenshot
			readme.txt line:18 added
				ver1.245 add image
				images/screenshot-image1.png , images/screenshot-image2.png , images/dummy.jpg
			readme.txt line:99 added
				ver 1.245
			    Note:Information on how to set the layout of the screen shot...
			images/ add new bundle images
	Theme Check [Fixed]
		lib/option-panel.php line:400 removed duplicated function screen_icon()
		functions.php Customizer Add sanitize_callback
			$wp_customize->add_setting( 'raindrops_theme_settings[...]',
			array(    'sanitize_callback' => 'raindrops_fluid_max_width_validate',... ) );
		functions.php remove $wp_customize->add_control( new Raindrops_Customize_Navigation_Control(...
		functions.php remove add_section
			$wp_customize->add_section( 'raindrops_navigation_setting',
			array( 'title' => esc_html__( 'Another Settings link', 'raindrops' ), 'priority' => 120, ) );
		functions.php remove function
			function raindrops_options_default_value(...

		header-front.php remove ie conditional tag
			Raindrops IE8 or older browser is shows Document Type XHTML
			<!--[if IE]>
               <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
            <![endif]-->
		ver 1.244 Testing Code add is removed.

		lib/option-panel.php $raindrops_base_setting_args value change
				'option_name'  => "raindrops_default_fonts_color",
					-        'option_value' => "",
					+        'option_value' => "none",
				'option_name'  => "raindrops_footer_color",
					-        'option_value' => "",
					+        'option_value' => "none",
				'option_name'  => "raindrops_hyperlink_color",
					-        'option_value' => "",
					+        'option_value' => "none",
		 lib/validate.php	change validate simple
			line:518 remove functions raindrops_options_default_value( __FUNCTION__ )
			all validate functions change from raindrops_options_default_value( __FUNCTION__ )  to string value

	[Another Fixed ] Firefox mobile menu works improperly.
		style.css line:60 Fixed Firefox mobile menu works improperly.

			.enable-keyboard .hfeed .raindrops-mobile-menu a:focus{
	   			position:absolute;
			}
			.enable-keyboard #access:target li:hover > ul > li > a{
	   			border:none;
			}
		functions.php code change function raindrops_small_device_helper() line:4673

			} else if ( userAgent.indexOf( 'firefox' ) != -1 ) {

     			jQuery( 'body' ).addClass( 'firefox' );
			}...
	[Another Fixed ] Theme option Footer color not works
		functions.php line:2136 add dynamic style
			$css .= "\n#ft{color:". raindrops_warehouse( 'raindrops_footer_color' ). ';}';
	[Another Fixed ] Header Image issue
		functions.php line:3830  function raindrops_header_image() add conditional
			if ( $display_header_image_file == 'hide' && is_singular() ) {...

	style.css line:3534 add style for pinup entry widget
			+.raindrops-pinup-entries p img{
			+    width:auto;
			+    max-width:100%;
			+    height:auto;
			+    margin-top:-.75em;
			+}
----------------------------------------------
Changelog -----------------------------------
version:1.244
Overview of Changes
	Playlist Presentation Override
		@see Section Description of Code Changes 'Playlist'
	Complementary Color
		If specify a link to the chromatic color,
		entry title link to add features that use the complementary color
			@see Section Description of Code Changes 'Complementary Color'
	Fixed
		header header image height issue
			@see Section Description of Code Changes 'header image height'
		customizer priveiw
			does not reflect changes in the preview
			@see Section Description of Code Changes 'customizer priveiw'
	Testing Code add
		Add sanitize_callback at $wp_customize->add_setting
			@see Section Description of Code Changes 'Testing Code'
	language file update
			@see Section Description of Code Changes 'language'
	Changes file, code cleaning

Files Modified
	changelog.txt
	style.css
	functions.php
	lib/alias_functions.php
	lib/validate.php
	childs/boots/inc.php
	lib/option-panel.php

Description of Code Changes

style.css	[Playlist]
	default: wp-mediaelement.css border-bottom: 1px solid #ccc;
	override:
	line:3543
		.wp-playlist-tracks .wp-playlist-item {
    		border-bottom: 1px solid rgba(255,255,255,.5);
	}

	.raindrops-pinup-entries img is override ( raindrops stylerule )

	.raindrops-pinup-entries .wp-playlist img{
		margin-top:0;
	}

lib/alias_functions.php line:741	[Complementary Color]
	Add function raindrops_hex2rgb_array_clone
		input hex color #369, #336699
		return array(51,102,153)

functions.php line:7885	[Complementary Color]
	Add function raindrops_complementary_color( $hex_color = '#444' )
		input hex color
		return hex complementary_color;
functions.php line:7973	[Complementary Color]
	Add action add_action( 'wp_enqueue_scripts', 'raindrops_add_complementary_color' );

functions.php line:7977	[Complementary Color]
	Add function raindrops_add_complementary_color()

lib/validate.php line:8	[Complementary Color]
	Add function raindrops_complementary_color_for_title_link_validate()

childs/boots/inc.php line553 lib/option-panel line252
	array( 'option_id'    => 21,
       'blog_id'      => 0,
       'option_name'  => "raindrops_entry_content_is_category",
       'option_value' => "content",
       'autoload'     => 'yes',
       'title'        => esc_html__( "Category Archive Content Type", 'raindrops' ),
       'excerpt1'     => '',
       'excerpt2'     => esc_html__( "value content, excerpt, none", 'raindrops' ),
       'validate'     => 'raindrops_entry_content_is_category_validate',
        'list'         => 20
   ),

	 array( 'option_id'    => 23,....list=>10 typo
		change from list=>10 to change list=>22

lib/option-panel.php option_id 23 option value change from '' to 'none'

childs/boots/inc.php line:553	[Complementary Color],
lib/option-panel.php Add option_id 24 	[Complementary Color]
	array( 'option_id'    => 24,
        'blog_id'      => 0,
        'option_name'  => "raindrops_complementary_color_for_title_link",
        'option_value' => "none",
        'autoload'     => 'yes',
        'title'        => esc_html__( 'Complementary Color For Entry Title Link ', 'raindrops' ),
        'excerpt1'     => '',
        'excerpt2'     => esc_html__( 'If you need to set footer Special link color.', 'raindrops' ),
        'validate'     => 'raindrops_complementary_color_for_title_link_validate',
        'list'         => 23

functions.php line4952
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_complementary_color_for_title_link]'...);
functions.php line5034
	$wp_customize->add_control( 'raindrops_complementary_color_for_title_link2'...);
functions line5045
	$wp_customize->add_control( 'raindrops_complementary_linkcolor_for_title_link'...);
functions.php line:751	[customizer priveiw]
	if ( !isset( $raindrops_where_excerpts ) ) {...}
		move to function raindrops_detect_excerpt_condition()
		line809 - 828
functions.php line:780-799	[customizer priveiw]
	if ( !isset( $raindrops_where_display_none ) ) {...}
		move to line 761 raindrops_detect_display_none_condition() line 765-784

functions.php [Testing Code]
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_style_type]', 'sanitize_callback' => 'raindrops_style_type_validate' ) );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_page_width]', 'sanitize_callback' => 'raindrops_page_width_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_base_color]', 'sanitize_callback' => 'raindrops_base_color_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_show_right_sidebar]', 'sanitize_callback' => 'raindrops_show_right_sidebar_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_col_width]', 'sanitize_callback' => 'raindrops_col_width_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_show_menu_primary]', 'sanitize_callback' => 'raindrops_show_menu_primary') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_default_fonts_color]', 'sanitize_callback' => 'raindrops_default_fonts_color_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_hyperlink_color]', 'sanitize_callback' => 'raindrops_hyperlink_color_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_complementary_color_for_title_link]', 'sanitize_callback' => 'raindrops_complementary_color_for_title_link_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_doc_type_settings]', 'sanitize_callback' => 'raindrops_doc_type_settings_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_footer_color]', 'sanitize_callback' => 'raindrops_footer_color_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_accessibility_settings]', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'raindrops_accessibility_settings_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_entry_content_is_home]', 'sanitize_callback' => 'raindrops_entry_content_is_home_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_entry_content_is_category]', 'sanitize_callback' => 'raindrops_entry_content_is_category_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_entry_content_is_search]', 'sanitize_callback' => 'raindrops_entry_content_is_search_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_footer_link_color]', 'sanitize_callback' => 'raindrops_footer_link_color_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_basefont_settings]', 'sanitize_callback' => 'raindrops_basefont_settings_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_right_sidebar_width_percent]', 'sanitize_callback' => 'raindrops_right_sidebar_width_percent_validate') );
	$wp_customize->add_setting( 'raindrops_theme_settings[raindrops_fluid_max_width]', 'sanitize_callback' => 'raindrops_fluid_max_width_validate') );
functions.php line:4531 Add is_singular() conditional tag	[header image height]
	if ( !empty( $display_header_image_file ) && $display_header_image_file !== 'default' && is_singular() ) {...

languages/pl_PL.po and compiled pl_PL.mo	[language]

line:6		"PO-Revision-Date: 2014-09-10 17:00+0100\n"
line:13		"Plural-Forms: nplurals=3; plural=(n==1 ? 0 : n%10 >= 2 && n%10<=4 &&(n""%100<10||n%100 >= 20)? 1 : 2);\n"
line:221	'Sticky Widget' translate from "Sticky Widget" to "Stały Widget"
line:640	msgid "% Comments" translate from "% Komentarzy" to "% komentarzy"
line:1660	Add translate msgid "permalink" msgstr "Link permanentny"
line:1664	Add translate msgid "More Galleries" msgstr "Więcej galerii"
line:1668	Add translate
			msgid "<span>Newer posts <span class=\"meta-nav\">&rarr;</span></span>"
			msgstr "<span>Nowsze posty <span class=\"meta-nav\">&rarr;</span></span>"
line:1673	Add translate
			"Please choose width on the page.\n"
			"    Please choose from four kinds of inside of 750px centerd 950px centerd "
			"fluid 974px."
			msgstr ""
			"Proszę wybierz szerokość strony.\n"
			"    Proszę wybierz jedną z czterech opcji 750px wycentrowany  950px "
			"wycentrowany  płynny 974px."
line:1683	Add translate
			"When display extra sidebar is set to show, it is necessary to specify it. It "
			"can decide to divide the width of which place of extra sidebar and to give "
			"it. Please select it from among 25% 33% 50% 66% 75%. "
			msgstr ""
			"Kiedy wybrane jest pokazywanie dodatkowego panelu bocznego, konieczne jest "
			"określenie jego parametrów . Należy podjąć decyzję o przydzieleniu "
			"odpowiedniej szerokośćdodatkowego panelu bocznego. Proszę wybrać jedną z "
			"dostępnych alternatyw 25% 33% 50% 66% 75%. "
line:1693	Add translate
			msgid "Continue&nbsp;reading&nbsp;<span class=\"meta-nav\">&rarr;</span>"
			msgstr "Kontynuuj&nbsp;czytanie&nbsp;<span class=\"meta-nav\">&rarr;</span>"
line:1701	Add translate
			msgid "Newer Comments <span class=\"meta-nav\">&rarr;</span>"
			msgstr "Nowsze komentarze <span class=\"meta-nav\">&rarr;</span>"
line:1705	Add translate
			msgid "Entries <span>(RSS)</span>"
			msgstr "Wpisy <span>(RSS)</span>"
line:1693	Add translate
			msgid "%s <span class=\"says\">says:</span>"
			msgstr "%s <span class=\"says\">says:</span>"
line:1709	Add translate
			msgid ""
			"This entry was posted in %1$s and tagged %2$s. Bookmark the <a href=\"%3$s\" "
			"title=\"Permalink to %4$s\" rel=\"bookmark\">permalink</a>."
			msgstr ""
			"Ten wpis był wstawiony w %1$s i oznaczony %2$s. Dodaj do zakładek <a href="
			"\"%3$s\" title=\"Permalink to %4$s\" rel=\"bookmark\">permalink</a>."
line:1714	Add translate
			msgid ""
			"This entry was posted in %1$s. Bookmark the <a href=\"%3$s\" title="
			"\"Permalink to %4$s\" rel=\"bookmark\">permalink</a>."
			msgstr ""
			"Ten wpis był wstawiony w %1$s. Dodaj do zakładek <a href=\"%3$s\" title="
			"\"Permalink to %4$s\" rel=\"bookmark\">permalink</a>."
line:1730	Add translate
			msgid ""
			"Bookmark the <a href=\"%3$s\" title=\"Permalink to %4$s\" rel=\"bookmark"
			"\">permalink</a>."
			msgstr ""
			"Dodaj do zakładek <a href=\"%3$s\" title=\"Permalink to %4$s\" rel=\"bookmark"
			"\">permalink</a>."
line:1693	Add translate
			msgid ""
			"<span class=\"%1$s\">Posted on</span> %2$s <span class=\"meta-sep\">by</"
			"span> %3$s %4$s"
			msgstr ""
			"<span class=\"%1$s\">Opublikowany na </span> %2$s <span class=\"meta-sep"
			"\">by</span> %3$s %4$s"
line:1738	Add translate
			msgid "Settings with Live preview "
			msgstr "Ustawienia z podglądem na żywo"
line:1749	Add translate
			#~ msgid "Description"
			#~ msgstr "pozycja:"
line:1753	Add translate
			#~ msgid "raindrops infomation"
			#~ msgstr "Ustawienia Raindrops"
line:1753	Add translate
			#~ msgid "Page %s"
			#~ msgstr "Strona %s"
line:1761	Add translate
			#~ msgid "Category Blog Widget"
			#~ msgstr "Widget w stopce"
line:1765	Add translate
			#~ msgid "This entry has no title"
			#~ msgstr "Ten wpis był dodany w kategorii"
line:1769	Add translate
			#~ msgid "Bookmark the "
			#~ msgstr "Zakładki"
line:1773	Add translate
			#~ msgid "This entry was posted in "
			#~ msgstr "Ten wpis był dodany w kategorii"
line:1777	Add translate
			#~ msgid "Text Color "
			#~ msgstr "Kolor czcionki "
line:1781	Add translate
			#~ msgid "Comments <span>(RSS)</span>"
			#~ msgstr "Komentarze RSS"
line:1785	Add translate
			#~ msgid "(Edit)"
			#~ msgstr "Edycja "
----------------------------------------------
Changelog -----------------------------------
version:1.242
Overview of Changes
	Added
		responsive style for page template blank-front.php
		Polish language file update
	Fixed
		Child Theme boots display improperly

Files Modified
	modified:   languages/pl_PL.mo
	modified:   languages/pl_PL.po
	modified:   style.css
	modified:	childs/boots/style.css

Description of Code Changes
	childs/boots/style.css
		line 16 	add style selector rd-type-boots #ft
			Fixed Raindrops theme, so no longer use the footer.png by default,
			eliminating the problem of font color and background color of the child theme is the same

	style.css
		line 7		Change version from 1.241 to 1.242
		line 3296-3332
			modify style add for template blank-front.php

	languages/pl_PL.po
		line 6		Change PO-Revision-Date from 2014-09-02 15:33+0900 to 2014-09-03 08:22+0100
		line 7		Change Last-Translator from Akio Tenman to Kornel
		line 9		Change Language from Polish to pl
		line 24 	Change X-Generator from Poedit 1.5.7 to 1.6.9
		line 127	Change msgstr[1]  from %1$s odpowiedzi na to %2$s to %1$s odpowiedzi na %2$s
		line 128	Change msgstr[2]  from %1$s odpowiedzi na to %2$s to %1$s odpowiedzi na %2$s
		line 334	Change msgstr[2]  from Komentarze to Komentarzy
		line 428	Change msgstr  from @ Raindropsprzykład kodu: Proszę przejdź do modułu edytora HTML to przykład kodu:proszę przejdź do trybu edytora HTML

modify version:1.241 changelog below

version:1.241

Overview of Changes
	Note
		Polish Language file not works, Now waiting langage contributers update.
		Please use English version
		WordPress 4.0 language settiongs is
		Dashboard / Settings / Genelral /
			select Site Language at page bottom
                        @see Section Description of Code Changes 'language'
	Modified
		deprecated 4.0.0 function change from get_all_category_ids() to get_terms( 'category', 'fields=ids' )
                info    @see http://codex.wordpress.org/Function_Reference/get_all_category_ids
                    @see Section Description of Code Changes 'deprecated'
	Fixed
		Header Image display improperly.
			when using child theme with loop pages.
                        @see Section Description of Code Changes 'Header Image display improperly'
		Theme customizer and theme option.
			post excerpt setting works improperly.
			when show excerpt shows the content.
                        @see Section Description of Code Changes 'Theme customizer and theme option'
		Playlist dark works improperly.
			It is core CSS bug. add theme patch style.
                        @see Section Description of Code Changes 'Playlist dark works improperly'

                Another BUG Fixed @see Section Description of Code Changes 'Fixed'
	Modified
		When theme option color type dark apply[playlist style="dark"]
		Another color type [playlist style="light"]
		attribute change automaticaly.( using shortcode_atts_playlist filter )
                        @see Section Description of Code Changes 'Playlist dark works improperly'
Files Modified

        childs/boots/functions.php
	modified:   childs/boots/inc.php
	modified:   functions.php
	modified:   languages/pl_PL.mo
	modified:   languages/pl_PL.po
	modified:   lib/option-panel.php
	modified:   lib/validate.php
	modified:   lib/widgets.php
	modified:   style.css

Description of Code Changes

        childs/boots/functions.php
            Remove of meaningless space line2, line124, line125

        childs/boots/inc.php
            Change array values [Fixed]
                $raindrops_child_base_setting_args

                    line 353 change from  'option_value' => "header.png"
                                    to 'option_value' => "none",
                    line 365 change from 'option_value' => "footer.png"
                                    to 'option_value' => "none",
                    line 514 change from 'title'  => esc_html__( "Category Archive Content Type", 'raindrops' )
                                    to 'title'        => esc_html__( "Home Entry Content Type", 'raindrops' )

                    This Change Raindrops 1.239 NEXT VERSION INFO
                    Raindrops header image ( site title background image ) and footer background image is removed
                    This change was to work properly with child theme ( boots )
                    line 514 is Modify the title wrong
        functions.php
            line 753 Change value $raindrops_excerpt_pages

                    This variable is used to define for any page, you can either display a summary
                    Change from is_front_page() to is_home() for The detection of the top page

            line 785 Change value $raindrops_display_none_pages

                    This variable is used to define for any page, you can either entry_content display none
                    Change from is_front_page() to is_home() for The detection of the top page

            line 3834 raindrops_header_image() conditional if add && is_sigular()
            [Header Image display improperly]

                    issue a possible header image display improperly when child theme

            line 4956 raindrops_customize_register() add conditional if ( RAINDROPS_USE_LIST_EXCERPT !== false ) and
            line 5018 raindrops_customize_register() add conditional if ( RAINDROPS_USE_LIST_EXCERPT !== false )
            [Theme customizer and theme option]

                    RAINDROPS_USE_LIST_EXCERPT is false then Not showing Post Content Types.

            line 7846 add filter add_filter( 'shortcode_atts_playlist', 'raindrops_play_list_add_atts', 10, 3 );
            line 7847 add new function raindrops_play_list_add_atts( $out, $pairs, $atts )

        languages/pl_PL.po  [language]
            This file is language contributer donated (GPL)
            Now waiting update
            this file has error, error has been fixed tentatively
            Changes
                ///////////////////////////////////////////////////////////////
                [error]
                #. Raindrops
                #: raindrops/comments.php:35
                #, php-format
                msgid "One Response to %2$s"
                msgid_plural "%1$s Responses to %2$s"
                msgstr[0] "Jedna odpowiedź na %2$s"
                msgstr[1] "%1$s odpowiedzi na to %2$s"

                [works]
                #. Raindrops
                #: raindrops/comments.php:35
                #, php-format
                msgid "One Response to %2$s"
                msgid_plural "%1$s Responses to %2$s"
                msgstr[0] "Jedna odpowiedź na %2$s"
                msgstr[1] "%1$s odpowiedzi na to %2$s"
                msgstr[2] "%1$s odpowiedzi na to %2$s"
                //////////////////////////////////////////////////////////////
                [error]
                #. @ Raindrops
                #: raindrops/footer.php:39
                msgid "and"
                msgstr "&\n"
                [works]
                #. @ Raindrops
                #: raindrops/footer.php:39
                msgid "and"
                msgstr "&"
                //////////////////////////////////////////////////////////////
                [error]
                #. @ Raindrops
                #: raindrops/functions.php:1089
                #: raindrops/functions.php:5907
                msgid "Comment"
                msgid_plural "Comments"
                msgstr[0] "Komentarz"
                msgstr[1] "Komentarze"
                [works]
                #. @ Raindrops
                #: raindrops/functions.php:1089 raindrops/functions.php:5907
                msgid "Comment"
                msgid_plural "Comments"
                msgstr[0] "Komentarz"
                msgstr[1] "Komentarze"
                msgstr[2] "Komentarze"
                //////////////////////////////////////////////////////////////
                [error]
                #. @ Raindrops
                #: raindrops/functions.php:1254
                #: raindrops/functions.php:1273
                msgid "code example:please HTML editor mode"
                msgstr ""
                "@ Raindrops\n"
                "\n"
                "przykład kodu: Proszę przejdź do modułu edytora HTML\n"
                "\n"

                [works]
                #. @ Raindrops
                #: raindrops/functions.php:1254 raindrops/functions.php:1273
                msgid "code example:please HTML editor mode"
                msgstr "@ Raindropsprzykład kodu: Proszę przejdź do modułu edytora HTML"
                ///////////////////////////////////////////////////////////////

                po file changes and create mo with Poedit

        lib/option-panel.php
            line212 Change value $raindrops_base_setting_args
                Change from sc_html__( "Category Archive Content Type", 'raindrops' ) to esc_html__( "Home Entry Content Type", 'raindrops' )

                    wrong text
            line 704-715 conditional code commentout

                    fixed child theme menu not shown
                    For the old code, side effects has not occurred in other parts, commented for examination is continuously

        lib/option-panel.php
            line 34 raindrops_entry_content_is_search_validate() return value change from no to none
            line 50 raindrops_entry_content_is_tag_validate() return value change from no to none
            line 66 raindrops_entry_content_is_category_validate() return value change from no to none
            line 82 raindrops_entry_content_is_home_validate()  return value change from no to none

                    bug fixed
        lib/widget.php [deprecated]
            line 191 change function from get_all_category_ids() to get_terms( 'category', 'fields=ids' )
        lib/style.css  Playlist dark works improperly
            line 2908 selector .rsidebar .mejs-container, .lsidebar .mejs-container
            [Playlist dark works improperly]

                    playlist apply style

            line 3496 selector .raindrops-pinup-entries iframe

                    for pinup widget style

            line 3502 selector .widget .wp-playlist-dark,.entry-content .wp-playlist-dark
            [Playlist dark works improperly]

                    playlist apply style
            line 3507 selector .wp-playlist-dark .wp-playlist-item .wp-playlist-caption
            [Playlist dark works improperly]

                    patch style
                    @see https://core.trac.wordpress.org/ticket/29530
----------------------------------------------
Changelog -----------------------------------
version:1.241
	Note
		Polish Language file not works, Now waiting langage contributers update.
		Please use English version
		WordPress 4.0 language settiongs is
		Dashboard / Settings / Genelral /
			select Site Language at page bottom
	Modify
		duplicated function change from get_all_category_ids() to get_terms( 'category', 'fields=ids' )
	Fixed
		Header Image display improperly.
			when using child theme with loop pages.
		Theme customizer and theme option.
			post excerpt setting works improperly.
			when show excerpt shows the content.
		Playlist dark works improperly.
			It is core CSS bug. add theme patch style.
	Modified
		When theme option color type dark apply[playlist style="dark"]
		Another color type [playlist style="light"]
		attribute change automaticaly.( using shortcode_atts_playlist filter )
----------------------------------------------
Changelog -----------------------------------
version:1.240
----------------------------------------------
Changelog -----------------------------------
version:1.239

NEXT VERSION INFO

    Raindrops Theme option page default hide.

    If you need Raindrops Theme Option Page.

        Add functions.php below variable

        $raindrops_show_theme_option = true;

        Raindrops header image ( site title background image ) and footer background image is removed

        if you need header , footer images

        Add functions.php
            $raindrops_show_theme_option = true;
            header image value change from no to header.png
            footer image value change from no to footer.png

CURRENT VERSION CHANGES

        Theme Customizer menu change.
        Raindrops options can change from this page.
		Add Theme Editor Help
		Language Japanese Translation Update.
		Edit post help Update
        Add widget pinup entries

----------------------------------------------
Changelog -----------------------------------
version:1.237
   Fixed keyboard accessibility.
		Fixed when using the skip link at the keyboard, an error in the tabbing order
	Modified New functionality.
		Add Metabox
			custom CSS editor scoped current page or post.
			Custom Header Image selectable for each page or post.
----------------------------------------------
Changelog -----------------------------------
version:1.233
    Fixed fixed Warning Error at raindrops_skip_links()

----------------------------------------------
Changelog -----------------------------------
version:1.232
	Modified
        Added functions raindrops_skip_links
            If widget set then add skip link for all default widget.

		$raindrops_use_wbr_for_title value change from true to false.

	Added
		Added filter function raindrops_remove_wrong_p_before()
		Added filter function raindrops_remove_wrong_p()

Note: About Raindrops Accessible Mode.

	What is changed when Accessibility mode yes

	Add body element CSS class raindrops-accessible-mode more link text
	Raindrops add html below

		<span class="more-link-post-unique">' . esc_html__( '&nbsp;Post ID&nbsp;', 'raindrops' ) . get_the_ID() . '</span>'

	next prev links

		<span class="raindrops_unique_identifier">[Next Page ($paged + 1 |$paged -1) ]</span>

	wp nav menu

		<span class="raindrops_unique_identifier">[Link to %1$s]</span>

	edit post link

		<span class="raindrops_unique_identifier">[Post $post->ID]</span>

	Custom Header Image

		remove link to home element

	entry title

		<span class="raindrops_unique_identifier">[Article $post->ID]</span>

	conditional work at responsive layout
		jQuery('body').addClass('raindrops-accessible-mode');

For the same URL, for different URL link label of the same, to realize without forcing a complicated process for the user, the link label different, the above changes, if it is set to yes Accessibility Setting This is done automatically.

This feature, so you may want to display the results may differ from those entered by the user, is this setting in order to function on the basis of the consent of the user.

If, in the case where you have to enable this feature, and it is to be able from accessibility links in the footer, visitors, to enable for each page at any time.

Even if you do not have to enable the Accessibility Settig, keyboard accessibility by the tab key, you have been taken into account in order to be able to operate.

	TAB KEY
	If you add the sidebar widget, the Raindrops, you, since automatically generates Skip Link for the default widget is added, by using the tab, without having to scroll to move the Widget instantly .

	Widget you want to support is as follows.
		WP_Widget_Categories , WP_Widget_Archives , WP_Widget_Calendar , WP_Widget_Pages ,
		WP_Widget_Recent_Comments , WP_Widget_RSS , WP_Widget_Text , WP_Widget_Tag_Cloud ,
		WP_Nav_Menu_Widget , WP_Widget_Search


----------------------------------------------
Changelog -----------------------------------
version:1.230
	Modified
            WP_Widget_Tag_Cloud inline style rule change
                from font-size pt to font-size %
                add filter function raindrops_widget_tag_cloud_args()

            Keyboard Access
                add ver $raindrops_enable_keyboard
                    default true
                    enable keyboard access at default setting
            Add entry content linked image show outline when focus
        Fixed
            Skip link not showing when focus
        Added Language file
            Special Thanks for Translation files provided
            @ kml1960 http://kml1960.pl pl_PL.po pl_PL.mo
----------------------------------------------
Changelog -----------------------------------
version:1.228
	Modified
		$raindrops_accessibility_link is not support Statick Front Page
			Custom template file, because it is not yet supported accessibility

		Replace Screenshot.png

		It was possible to select whether to use the WBR element to the post title
			For Example: IF No Need wbr elements
			Set Child Themes functions.php

			$raindrops_use_wbr_for_title = false;

			default: true;

 		Add $raindrops_base_font_size
            default $raindrops_base_font_size is 13 (pixel value)
            You can set above ver functions.php first line (<?php before) or Child Themes functions.php

	Fixed
		Primary Menu display improperly when Accessibility Mode
			sub-menu What (level2) overlap, so there was trouble in the display,


----------------------------------------------
Changelog -----------------------------------
version:1.226
	Fixed
		Mobile Retina Browser ( chrome ) display improperly.
			Modification of the right margin does not need
----------------------------------------------
Changelog -----------------------------------
version:1.225
	Modified
		Add child directory for child theme boots
----------------------------------------------
Changelog -----------------------------------
version:1.224
	Fixed
		Display improperly full-width.php
----------------------------------------------
Changelog -----------------------------------
version:1.223
	Modified
		Responsive CSS settings move from style.css to responsiveness.css.
	Add directory childs for For child themes to be released.
----------------------------------------------
Changelog -----------------------------------
version:1.222
	Modified
		@media responsive style move to external media.css
		This change was made because there is a setting that is responsive, interfere with the freedom of customization in child theme
----------------------------------------------
Changelog -----------------------------------
version:1.221
----------------------------------------------
Changelog -----------------------------------
version:1.220
	Fixed
		raindrops_status_bar() $post->ID non object error
			is_page() conditional tag
		blank_front.php
			category list, tag list cannot customize
		Customizer add validate callback
			Raindrops 1.219 zend_mm_heap corrupted at child theme
				remove validate callback
	Modified footer.php
		printf change from %s to %[num]$s
	Add variable
		NOW TEST  recommend 10 -16 (px)
		$raindrops_base_font_size
		You can now be made to change the font size by changing the value of $raindrops_base_font_size
			add function raindrops_base_font_size()
				functions.php
			add add_filter( 'raindrops_base_font_size', 'raindrops_base_font_size' );
				lib/hooks.php
----------------------------------------------
Changelog -----------------------------------
version:1.219
	Modified
		Customizer add validate callback
			Change default value from hard coded to $raindrops_base_setting_args related
    Fixed
		function raindrops_upload_image_parser()
			Add preg_match $regs not set check
		function raindrops_poster()
			Add value check so that they will not that the sequence is applied to the parameters of esc_attr ()
----------------------------------------------
Changelog -----------------------------------
version:1.217
	Modified Raindrops Statusbar User Interface
		Change from Statusbar shows Scroll Y to Statusbar shows mouse position browser bottom.
	Modified Raindrops Page shows with Accessibility
		Even if the accessibility setting is disabled in the Rain Drops theme,
		in the theme options page and added a link to be displayed by enabling accessibility temporarily
		This change will be unset by a $ raindrops_accessibility_link = false
		In this change, the default value of the accessibility setting has been changed to no.
 -----------------------------------
Changelog -----------------------------------
version:1.216
	Fixed
		Fixed post_class() wrong setting at raindrops_tile()
Changelog -----------------------------------
version:1.215
	Modified Featured image size change from 600 x 200 to fullsize
		if you no need change , Please change functions.php line703 $raindrops_featured_image_full_size = false;
	Added
		The Events Calendar plugin style modify.
----------------------------------------------
Changelog -----------------------------------
version:1.214
removed
	Removed remove_theme_mods();
		lib/option-panel.php
----------------------------------------------
Changelog -----------------------------------
version:1.213
Modified
	modify theme peformance
----------------------------------------------
Changelog -----------------------------------
version:1.212

Fixed
	Raindrops Status bar works improperly at 750px 950px 974px static page width.
Modified
	Add Print style

	Optimising Images
		Luigi Rosa
			Thank you for contribute
				modified:   images/bg.png
				modified:   images/dummy.png
				modified:   images/footer.png
				modified:   images/footerbck.png
				modified:   images/h2.png
				modified:   images/h2b.png
				modified:   images/h2c.png
				modified:   images/header.png
				modified:   images/info.png
				modified:   images/ja-em.png
				modified:   images/link.png
				modified:   images/next.png
				modified:   images/number.png
				modified:   images/options/arrows-vs.png
				modified:   images/options/icons32-vs.png
				modified:   images/please_upload.png
				modified:   images/post-format-aside.png
				modified:   images/post-format-audio.png
				modified:   images/post-format-chat.png
				modified:   images/post-format-gallery.png
				modified:   images/post-format-image.png
				modified:   images/post-format-link.png
				modified:   images/post-format-quote.png
				modified:   images/post-format-status.png
				modified:   images/post-format-video.png
				modified:   images/previous.png
				modified:   images/raindrops-chat-author-0.png
				modified:   images/raindrops-chat-author-1.png
				modified:   images/raindrops-chat-author-2.png
				modified:   images/raindrops-chat-author-3.png
				modified:   images/raindrops-chat-author-4.png
				modified:   images/raindrops-chat-author-5.png
				modified:   images/raindrops-nav-menu-expand.png
				modified:   images/raindrops-nav-menu-shrunk.png
				modified:   images/require.png
				modified:   images/retina/info.png
				modified:   images/retina/link.png
				modified:   images/retina/next.png
				modified:   images/retina/post-format-aside.png
				modified:   images/retina/post-format-audio.png
				modified:   images/retina/post-format-chat.png
				modified:   images/retina/post-format-gallery.png
				modified:   images/retina/post-format-image.png
				modified:   images/retina/post-format-link.png
				modified:   images/retina/post-format-quote.png
				modified:   images/retina/post-format-status.png
				modified:   images/retina/post-format-video.png
				modified:   images/retina/previous.png
				modified:   images/retina/raindrops-chat-author-0.png
				modified:   images/retina/raindrops-chat-author-1.png
				modified:   images/retina/raindrops-chat-author-2.png
				modified:   images/retina/raindrops-chat-author-3.png
				modified:   images/retina/raindrops-chat-author-4.png
				modified:   images/retina/raindrops-chat-author-5.png
				modified:   images/retina/require.png
				modified:   images/retina/rss.png
				modified:   images/retina/stop.png
				modified:   images/rss.png
				modified:   images/screen-shot-dark.png
				modified:   images/screen-shot-light.png
				modified:   images/screen-shot-minimal.png
				modified:   images/screen-shot-w3standard.png
				modified:   images/sidebar.png
				modified:   images/sticky.png
				modified:   images/stop.png
				modified:   images/topbck.png

----------------------------------------------
Changelog -----------------------------------
version:1.211

Added
	Raindrops Status bar at browser bottom ( It shows when scroll-y 200px )
		for sub navigation.
Fixed
	Fixed shows scrollbar-x when 600px > Browser width.
Modified
	Code cleaning
----------------------------------------------
Changelog -----------------------------------
version:1.210

Fixed
	Fixed	blank-front.php template
		Notwork Main column shows 2column when page width fluid (responsive) and browser width > 1280px;

Modified
	Customize.php Label change from 'Display Header Text' to 'Move Tagline from header image to top right'
	accessibility  style change raindrops-accessible-mode .hfeed a:focus style
----------------------------------------------
Changelog -----------------------------------
version:1.208

Fixed
	Fixed out-of-the-box
	 Save data without user action.

Modified
	blank-front.php template
		Main column shows 2column when page width fluid (responsive) and browser width > 1280px;

	Change Raindrops Default setting
		Accessibility Setting default value from no to yes.
----------------------------------------------
Changelog -----------------------------------
version:1.206

modified
		 Modified Static Page Template blank-front.php
			It is now be able to view the featured image in the list of each of the specified list of recent post,
			list that specifies the tag, the category. and can also specify the excerpt length

			Live Preview below
			http://www.tenman.info/wp3/previewraindrops/blank-front-template/
----------------------------------------------
Changelog -----------------------------------
version:1.205

modified
		 Support Admin Color Scheme theme option page

----------------------------------------------
Changelog -----------------------------------
version:1.204

moved

	Removed from header.php( html5 header template part file ) blow

		http://html5shiv.googlecode.com/svn/trunk/html5.js

		Raindrops html5 stop support for OLD Browser( IE8,IE7 )

		IE old browser shows allways xhtml document type.

		Note: This change is SERVER_SIDE settings,
		I recommend that the browser is set
		when the cache of less than IE9 as not performed
added

	function raindrops_prepend_loop()

		You can add loop before content with
		action hook raindrops_prepend_loop or template part file(
		hook-prepend-loop.php )

	function raindrops_append_loop()

		You can add loop before content with
		action hook raindrops_append_loop or template part file(
		hook-append-loop.php )

----------------------------------------------
Changelog -----------------------------------
version:1.203
	Modify
		Modify html list element basic style remove for plugin compatibility
	Fixed
		Fixed class raindrops_unique_identifier_walker_nav_menu
				has error ( empty object notice )

		Fixed raindrops bug with prettyPhoto

			@see https://wordpress.org/support/topic/raindrops-bug-with-prettyphoto?replies=8

			Thank you @0soYoung

		Fixed Gist embed script display improperly.

		Fixed Creyon syntax highlighter improperly.
			http://wordpress.org/plugins/crayon-syntax-highlighter/

		Fixed Raindrops CSS table class works improperly.

		table element example ( indivisual styles for each post )

    <table class="auto left">
        <col class="left-column">
        <col class="right-column">
        <tbody>
            <tr>
                <th colspan="2">Example table element</th>
            </tr>
             <tr>
                <td class="center"><img src="http://www.tenman.info/images/pen.jpg" width="100" alt="test image" /></td>
                <td class="left">text align left use CLASS left</td>
            </tr>
            <tr>
                <td class="right">text align right use CLASS right</td>
                <td class="left">text align left use CLASS left</td>
            </tr>
            <tr>
                <td class="center">text align center use CLASS center</td>
                <td class="center">text align center use CLASS center</td>
            </tr>
          <tr>
                <td class="left">text align center use CLASS center</td>
                <td class="right">text align right use CLASS right</td>
            </tr>
        </tbody>
    </table>

	CSS
		create a customfield
			name:css
			value:
			/* columns width.( need table css class auto )*/
			.left-column{
			width:100px;
			}
			.right-column{
			width:auto;
			background:#eee;
			}
			/* cell color and background */
			td:first-child{
			background:#ccc;
			color:#000;
			border:1px dotted #999;
			}
			td:last-child{
			background:#eee;
			color:#000;
			border:1px solid #aaa;
			}
			th{
			background:#aaa;
			color:#fff;
			font-size:138.5%;
			}
			/* width of table */
			table{
			width:100%;
			margin:3em auto;
			}

----------------------------------------------
Changelog -----------------------------------
version:1.202
	Fixed
		Header image not shows when wp-content dir rename.
	Added
		function raindrops_custom_field_meta_helper()
		file preparation.php
			 blank template for NO FTP ( Theme Editor ) users
----------------------------------------------
Changelog -----------------------------------
version:1.201
modified
	Arbitrary Header/Footer Scripts:	Stop default

		Deactivate default functionality, add to header embed script from custom field.
			functions.php
				define( 'RAINDROPS_CUSTOM_FIELD_SCRIPT' , false );
					Anyone can not use custom field name 'javascript'.

	Arbitrary Header CSS:	Same as the conventional

			functions.php
				define( 'RAINDROPS_CUSTOM_FIELD_SCRIPT' , true );
					Need editor role.
	Arbitrary Header Elements:	It is available, but limit has been added

		Use the custom field name meta, there was no limit to the element
		that can be inserted, but it was decided to limit.
		Can be inserted element,
		it was decided to limit base, link, meta element.
				Need editor role. only singular page, post.

			Purpose of Arbitrary.
				Add OGP(Open Graph Protocol) handmade
					<meta property="og:title" content="test">
					<meta property="og:type" content="article">
					<meta property="og:description" content="test">
					<meta property="og:url" content="test">
					<meta property="og:image" content="test">
					<meta property="og:site_name" content="test">
					<meta property="og:email" content="test@test.com">

				When post content has relative links,define base URL and target.
					<base href="http://www.tenman.info/images/" target="_blank">
	Added
		Template widget-sticky.php
----------------------------------------------
Changelog -----------------------------------
version:1.200
	Modify IMPORTANT CHANGES
		out-of-the-box support
			Raindrops not save default settings to the database without explicit user action
			You can check as follows: Raindrops theme is whether you are using a database table

			Raindrops options page title after message.
				Now, Raindrops Not Using Database Table
				or
				Saved Database table name: Saved Table Name

		Note: For child theme developers
			About Child Theme UNINSTALL.

			add_action( 'switch_theme', 'child_theme_uninstall' );

			function child_theme_uninstall(){

				delete_option( "child_theme_settings" );
				// Do not foget remove raindrops theme settings.
				delete_option("raindrops_theme_settings");
			}

If you do not perform this setting, it was uninstalled the child theme, If you then install the Raindrops, will be read as the theme settings to change the child theme. In this case, it may be different from the default display, it is to be displayed, such as w3standard.

	Fixed wp_nav_menu() display impropely when accessibility settions 'no'
			hover action not work

----------------------------------------------
Changelog -----------------------------------
version:1.163
	Add
		raindrops_comments_link()
			separate from raindrops_posted_on()
		filter hook raindrops_portfolio_nav
	Modify
		sidebar-default.php WAI-AREA role value change from complementary to navigation
----------------------------------------------
Changelog -----------------------------------
version:1.162
	Modify
		Link text: The Continue Reading link, when theme option accessibility settings true
		Keyboard navigation support at primary menu
		Comment form add add aria-required="true" when theme option Document type settings html5
		Add ARIA Roles:role="complementary",role="contentinfo", role="main"
		CSS class screen-reader-text change left to crip
----------------------------------------------
Changelog -----------------------------------
version:1.161
	Modify
		raindrops_year_list()
		raindrops_month_list()
		raindrops_fallback_title()
		raindrops_nav_menu_primary()
	Add Class raindrops_unique_identifier_walker_nav_menu extends Walker_Nav_Menu
----------------------------------------------
Changelog -----------------------------------
version:1.159
	Fixed Can not detect browser page width 750px 950px 974px.
	Modify Update file languages / raindrops.pot
	Modify Hide Featured image when password post.
----------------------------------------------
Changelog -----------------------------------
version:1.158
	Fixed
		Fixed raindrops.js not work at Firefox26.0

			functions.php line:1500
				Change from:
				wp_register_script( 'raindrops', $raindrops_js, array( 'jquery' ), $raindrops_current_data_version, true );
				to:
				wp_register_script( 'raindrops', $raindrops_js, array( 'jquery', 'jquery-migrate' ), $raindrops_current_data_version, false );

       Fixed Untranslated string $raindrops_comment_string
				contribute: lrosa
					Thank you.
----------------------------------------------
Changelog -----------------------------------
version:1.156
modified
	Add CSS class detect IE11 and modified CSS
	modified raindrops_nav_menu_primary()
	modified ja.po , ja.mo
	Fixed
		Fixed Not display theme infomation help

----------------------------------------------
Changelog -----------------------------------
version:1.155
	Modify
		CSS class color-5,color-4,color-3,color-2,color-1,color1,color2,color3,color4,color5.
		Child a elements color set automaticaly.
	Modify
		Remove entry title permalink from singular post and page
	Fixed
		Not display Raindrops help.
		filter change from contextual_help to load-post.php,load-post-new.php.
----------------------------------------------
Changelog -----------------------------------
version:1.154
	Fixed functions.php line: 3172
        Typo Change from return 'test' . $header_image->height;
        			to   return $header_image->height;
----------------------------------------------
Changelog -----------------------------------
version:1.153
	Modyfy
		Remove tag fixed-width ,flexible-width
		Change screenshot.png size from 600x450 to 880x660
	Fix
		Fixed raindrops_tile() navigation link improperly.
----------------------------------------------
Changelog -----------------------------------
version:1.152
	Modyfy
		Add filter hooks
			raindrops_load_text_domain
		Add function
			raindrops_add_more()
		Modyfy function
			raindrops_color_base_clone()

		Add raindrops-config-example.php
			When If you need more customize
			Rename from raindrops-config-example.php
					to raindrops-config.php
			and set your value.

		Add Sidebar and contents equal height support.
			( without list-of-post.php )

		Add function add args
			raindrops_recent_posts()
			raindrops_category_posts()

		Add tags
			fixed-layout,
			fluid-layout,
			responsive-layout,
			accessibility-ready

	Note: How to enable accessibility settings

		1. Open Raindrops theme settings page.
			( Dashboard / Appearance / Raindrops theme settings )
		2. Accessibility Settings edit value set yes. and save.

----------------------------------------------
Changelog -----------------------------------
version:1.149
	Modify
		Add Raindrops setting option var
			$raindrops_show_theme_option
				default true
				false then theme option page hide.
		Add filter hook raindrops_base_font_size
			Raindrops base font size is 13px;
			Set base font size when CSS body font size.
				for example change from 13px to 16px

				add_filter( 'raindrops_base_font_size', 'my_test' );

				function my_test( $content ){
					return 16;
				}
		Add action hook raindrops_remove_theme_mods
			For child themes
----------------------------------------------
Changelog -----------------------------------
version:1.148
	Fixed
		Fixed Warning: Missing argument 2 for add_action()
			lib/option-panel.php
			Change from add_action ( 'raindrops_SubMenu_GUI_pre' )
					to do_action ( 'raindrops_SubMenu_GUI_pre' )
			Typo.
		Fixed Not shows placemarks width Basic Google Maps Placemarks
			style rules issue.
			Change from .hfeed div to .hfeed > div
	Modify
		function raindrops_loop_class()
	Add filter
		add_filter( 'esc_html', 'remove_wbr' ,999);
			Remove wbr element when Plugins used esc_html for title
	Add function
		function raindrops_list_of_posts()
			For static page template list-of-post.php
		function raindrops_tile()
			For front-portfolio.php
	Add file
		Static page template list-of-post.php
----------------------------------------------
Changelog -----------------------------------
version:1.147
	Add file
		images/headers/index.php
		images/index.php
		images/options/index.php
		languages/css/index.php
		languages/index.php
		lib/csscolor/index.php
		lib/index.php
		page-templates/index.php
	Add deny direct access code each templates
		if ( ! defined( 'ABSPATH' ) ) { exit; }
	Add action hook
		raindrops_customize_register
		raindrops_customize_register
	Add filter hook
		raindrops_chat_filter
----------------------------------------------
Changelog -----------------------------------
version:1.146
	Fixed
		Fixed broken function
			raindrops_link_unique()
				functions.php
----------------------------------------------
Changelog -----------------------------------
version:1.145
	Coding style change
		Fine correction , needs minimam
	Fixed
		Fixed html comment error from &lt;! -- to &lt;!--
----------------------------------------------
Changelog -----------------------------------
version:1.144
	Coding style change
		indent from space to tab
	Fixed
		Post data sanitize
			lib/option-panel.php
				raindrops_upload_image()
----------------------------------------------
Changelog -----------------------------------
version:1.143
	Coding style change
		syntax change
			from and to &&
			from or to ||
		use Yoda Conditions
		Remove Trailing Spaces
----------------------------------------------
Changelog -----------------------------------
version:1.142
	Fixed function name improperly, not prefixed
		Change
		from custom_remove_aria_required1()
		to raindrops_custom_remove_aria_required1
		Change
		from custom_remove_aria_required1()
		to raindrops_custom_remove_aria_required1
----------------------------------------------
Changelog -----------------------------------
version:1.141
	Remove currently not using functions , vars and PHP5.4 strict errors

		Remove function raindrops_get_month()
		Remove function &raindrops_raiseError()
			lib/csscolor/csscolor.php
		Remove ver $count
			lib/option-panel.php

	Replace function

		from move_uploaded_file()
		to wp_handle_upload()

	Add filter function raindrops_theme_upload_filename()
----------------------------------------------
Changelog -----------------------------------
version:1.140
	Fixed Header image not shown
----------------------------------------------
Changelog -----------------------------------
version:1.139
	Add action hooks all templates
		do_action( 'raindrops_pre_'.basename( __FILE__) );
		do_action( 'raindrops_after_'.basename( __FILE__) );

	Add action hooks all template part files
		do_action( 'raindrops_pre_part_'. basename( __FILE__, '.php' ). '_'. basename( $template ) );
		do_action( 'raindrops_after_part_'. basename( __FILE__, '.php' ). '_'. basename( $template ) );
	Add filter hooks functions.php
		raindrops_theme_url
		raindrops_author_url

	Add function raindrops_detect_header_image_size( $xy = 'width' )
		functions.php
	Add new dynamic CSS class raindrops-pub-new,raindrops-mod-new
		raindrops_post_class() functions.php
		description: raindrops-pub-new and raindrops-mod-new
			From the present, it is contributed
			within three days or
			the above-mentioned class is
			automatically added to the updated contribution.

		3day change 7day

			add_filter( 'raindrops_new_period', 'my_new_period' );
			function my_new_period( $day ) {

				return 7;
			}
----------------------------------------------
Changelog -----------------------------------
version:1.138
Added
	Add Action hooks functions.php
		do_action( 'raindrops_include_after' );
		do_action( 'raindrops_last' );

Fixed
	Previus review issue
		Deprecated: Function split() is deprecated
		Change from  split()
		to preg_split( '[x,*]', $size );
	Fixed When RAINDROPS_USE_AUTO_COLOR == false
		raindrops_edit_help() has error.
----------------------------------------------
Changelog -----------------------------------
version:1.137
Fixed
	Fixed custom-doc display improperly.
		when functions.php $raindrops_page_width value set
		then page width display improperly and header image hide.----------------------------------------------
Changelog -----------------------------------
version:1.136
Add
	Add new function raindrops_comment_class()
	Add new filter function raindrops_filter_header_text_color
----------------------------------------------
Changelog -----------------------------------
version:1.135
Fixed
	Fixed layout broken when add style rule font-size to body element
Removed
	backward-compatibility.php
----------------------------------------------
Changelog -----------------------------------
version:1.134
Modified
    add filter

----------------------------------------------
Changelog -----------------------------------
version:1.133
Modified
    add filter
        raindrops_light_dark_bg
        raindrops_light_light_bg
        raindrops_light_color
        raindrops_default_dark_bg
        raindrops_default_light_bg
        raindrops_default_color
        raindrops_dark_dark_bg
        raindrops_dark_light_bg
        raindrops_dark_color

        for wp_nav_menu(),body background, change brightness or darkness
----------------------------------------------
Changelog -----------------------------------
version:1.132
Modified
    font style rule move from style.css to fonts.css
        ( without media query font settings )

    Note:h1,h2,h3 font-weight change from bold to normal
        ( setting rule contain fonts.css )
    Image file uploader add wp_verify_nonce check
        lib/option-panel.php
----------------------------------------------
Changelog -----------------------------------
version:1.131
Added
    Add new action hooks
        do_action( 'raindrops_'. basename(__FILE__) );
        date.php , page.php , image.php , search.php ,
        front-page.php , front-portfolio.php ,
        full-width.php and page-featured.php

    for example

        Raindrops monthly archives is table listed
        If you need normal loop list on Child Theme.

        <code>

        Add to Child Themes functions.php

        add_action( 'raindrops_date.php', 'raindrops_fallback_template' );
        function raindrops_fallback_template(){

            get_template_part( 'index' );
            exit;
        }
        </code>
        Completely, operation in which the date.php template of the parent theme
        did not exist is easily realizable.
----------------------------------------------
Changelog -----------------------------------
version:1.130
Fixed
    Fixed visual issue entry title before featured image size.
----------------------------------------------
Changelog -----------------------------------
version:1.129
Added
    Add page template page-featured.php
----------------------------------------------
Changelog -----------------------------------
version:1.128
Fixed
    Fixed Wrong function name from month_list to raindrops_month_list
        filter name change from month_list_post_count to raindrops_month_list_post_count
    Fixed loop.php class attribute value improperly ( not spaced )Modified
    seach result search form submit button position.

----------------------------------------------
Changelog -----------------------------------
version:1.127

Fixed
    Fixed CSS Parse Error ( W3C CSS validator )
Modified
    Post format Status shows avatar when small screen.
Removed
    Function the_excerpt() removed from all templates without brank-front.php
Added
    The addition of the alternate function of the_excerpt()

        functions.php line 454-503

    /**
     * the_content( ) or the_excerpt
     *
     * the_excerpt use where index,archive,other not single pages.
     * If RAINDROPS_USE_LIST_EXCERPT value false and use the_content .
     *
     * add ver 1.127
     * When use excerpt please set $raindrops_where_excerpts
     */
        if ( ! defined( 'RAINDROPS_USE_LIST_EXCERPT' ) ) {

            define( "RAINDROPS_USE_LIST_EXCERPT", false );
        }

        // values 'is_search', 'is_archive', 'is_category' ,'is_tax', 'is_tag' any conditional function name

        if( ! isset( $raindrops_where_excerpts ) ) {

            $raindrops_where_excerpts = array( 'is_search' );
        }
    /**
     *
     *
     *
     * @since 1.127
     */
        if ( ! function_exists( 'raindrops_detect_excerpt_condition' ) ) {

            function raindrops_detect_excerpt_condition( ){

                global $raindrops_where_excerpts;

                if( RAINDROPS_USE_LIST_EXCERPT !== true ) {

                    return false;
                }

                if( ! empty( $raindrops_where_excerpts ) ) {

                    foreach( $raindrops_where_excerpts as $excerpt ) {

                        if( $excerpt() == true ){
                            return true;
                        }
                    }
                }

                return false;
            }
        }

        By this setup, I think that change became possible simply more freely.
----------------------------------------------
Changelog -----------------------------------
version:1.126

fixed
    Fixed default sidebar search form shows list before WordPress 3.5.2
        if smaller than WordPress 3.6 then not showing search form.
    Fixed searchform.php html5 html structure not correct.
        WAI ARIA role="search" move from input attribute to form attribute.
modified
    Modified Post format status
        Change show posted on link at front page.
            Care for microformats
        get_avatar image modified for microformats at front page.
----------------------------------------------
Changelog -----------------------------------
version:1.124

fixed
    Fixed monthly archive list element id broken.

    Avatar image not contain alt attribute.
        author.php
modified
    Add wpautop when showing 'Biographical Info' at author.php
    function raindrops_entry_title()
        modified title element changeable


----------------------------------------------
Changelog -----------------------------------
version:1.123

    Fixed
        author.php
            Table layout display improperly.
        entry-blog.php
            html add div close tag.
    modified
        author.php
            add microformats
        date.php
            add microformats
        comment form
            remove area required when html5
                Markup validation Service error
                    Attribute aria-required not allowed on element textarea at this point.
        lib/option-panel.php
            raindrops_color_selector() add $scheme check.

    Add filter

        This filter can change Monthly Archive entry list count.

        for example

        add_filter( 'month_list_post_count', 'my_month_list_post_count' );

        function my_month_list_post_count( $count ) {

            return 10;
        }
----------------------------------------------
Changelog -----------------------------------
version:1.121
    Add browser detection select var $raindrops_browser_detection
        use server side browser detection or javascript browser ditection
        default change server side( PHP ) to javascript browser detection for cached Raindrops theme.

    Add style rules for
        .entry-content input[type="email"],
        .entry-content input[type="text"],
        .entry-content input[type=url],
        .entry-content input[type=tel],
        .entry-content input[type=number],
        .entry-content input[type=color],
----------------------------------------------
Changelog -----------------------------------
version:1.120

    Fixed confuse template settings
        Deleted header-html5.php template
        Modified header.php template.
            change xhtml to html5
        Added header-xhtml template for document type xhtml 1.0

    Fixed
        body_class language class display improperly.
    Modified
        Add function raindrops_non_breaking_title
            Entry title none breaking text breakable
----------------------------------------------

Changelog -----------------------------------
version:1.119
    modified
        accessibility issues
    Fixed
        firefox browser image size improperly when table contain images
        below element patturn overflow image

        <table><tr><td><img /></td></tr></table>
----------------------------------------------
Changelog -----------------------------------
version:1.118
    Remove accesskey and tabindex

    delete How to use NVDA reader. ver 1.116 from README.txt

----------------------------------------------

Changelog -----------------------------------
version:1.117
    Remove tag accessibility-ready

The following theme tags are not allowed:
- accessibility-ready
See http://wordpress.org/themes/about/ for a complete list of approved theme tags.
----------------------------------------------
Changelog -----------------------------------
version:1.116
    modified
        html meta element from charset attribute to http-equiv

        page-templates/front-portfolio.php
            Change,Display only has featured image post.
            Add Pagenation.
        searchform
            Add label <label class="screen-reader-text" for="s">Search for:</label>
        style.css
            Try accessibility add accessibility-ready tag

    add
        function raindrops_link_unique( )
        function raindrops_doc_type_settings_validate( )
        function raindrops_accessibility_settings_validate( )
        images/raindrops-nav-menu-expand.png
        images/raindrops-nav-menu-shrunk.png
        Add searchform default sidebar.

        theme option
            Accessibility Settings
            Document Type Settings

Note:
    This version trying theme accessibility.

    How to activate Accessibility mode.
        Open Raindrops option page.
        Accessibility Settings value set to yes.( default no ).

    accessibility checking tool
        Functional Accessibility Evaluator 1.1
        http://fae.cita.uiuc.edu/
[var 1.118 deleted ]
    How to use NVDA reader.
        english version
        http://www.nvaccess.org/
        japanese version
        http://sourceforge.jp/projects/nvdajp/

        1. nvda start
        2. Show WordPress blog with Raindrops.
        3. accesskey alt + s (chrome win) alt + shift + s (firefox) then searchform active.
        4. enter tab key Please press the tab key several times.
        5. focus entry then nvda read a content

                enter then move to single.php ( nvda ) or
                press tab key then move to current entry title ( for not nvda )                 and more press tab key move to next content ( back to shift + tab )
[/ var 1.118 deleted ]
----------------------------------------------
Changelog -----------------------------------
version:1.115
    modified
        function raindrops_install_navigation()
            Theme data automatic change is supported at the time of site change.        header-front.php
            Support Responsive
        front-portfolio.php
            The posts contain featured image shows 9
        searchform.php
            Add esc_url()
        csscolor.css.php
            Add gradient for IE10 at nav_menu
    fixed
        broser detect regex fail IE10
----------------------------------------------
Changelog -----------------------------------
version:1.113
    fixed Post Format posted in Display improperly on single.php
----------------------------------------------
Changelog -----------------------------------
version:1.112
    fixed Post Format Status Display improperly on single.php
----------------------------------------------
Changelog -----------------------------------
version:1.111
Added
    Retina display support
        Add file
        new file:   images/please_upload.png
        new file:   images/post-format-aside.png
        new file:   images/post-format-audio.png
        new file:   images/post-format-chat.png
        new file:   images/post-format-gallery.png
        new file:   images/post-format-image.png
        new file:   images/post-format-link.png
        new file:   images/post-format-quote.png
        new file:   images/post-format-status.png
        new file:   images/post-format-video.png
        new file:   images/raindrops-chat-author-0.png
        new file:   images/raindrops-chat-author-1.png
        new file:   images/raindrops-chat-author-2.png
        new file:   images/raindrops-chat-author-3.png
        new file:   images/raindrops-chat-author-4.png
        new file:   images/raindrops-chat-author-5.png
        new file:   images/retina/info.png
        new file:   images/retina/link.png
        new file:   images/retina/next.png
        new file:   images/retina/post-format-aside.png
        new file:   images/retina/post-format-audio.png
        new file:   images/retina/post-format-chat.png
        new file:   images/retina/post-format-gallery.png
        new file:   images/retina/post-format-image.png
        new file:   images/retina/post-format-link.png
        new file:   images/retina/post-format-quote.png
        new file:   images/retina/post-format-status.png
        new file:   images/retina/post-format-video.png
        new file:   images/retina/previous.png
        new file:   images/retina/raindrops-chat-author-0.png
        new file:   images/retina/raindrops-chat-author-1.png
        new file:   images/retina/raindrops-chat-author-2.png
        new file:   images/retina/raindrops-chat-author-3.png
        new file:   images/retina/raindrops-chat-author-4.png
        new file:   images/retina/raindrops-chat-author-5.png
        new file:   images/retina/require.png
        new file:   images/retina/rss.png
        new file:   images/retina/stop.png
        new file:   images/wp3.jpg

    Add support Post Format
        'aside', 'chat', 'link', 'image', 'quote', 'video'
    Add raindrops_post_class()
    Add raindrops_chat_filter()
    Add raindrops_chat_author_id()

Removed
        removed posted on, posted in, on Stiky Post

Note: The display of the contents at the time of applying Post Format

    When entry title is blank
        Show Post format image link to single.php
    When entry content is blank
        posted on is hide and shows only comment link

----------------------------------------------
Changelog -----------------------------------
version:1.110
modified
    posted on and posted in
        correct word space. lang en_US
----------------------------------------------
Changelog -----------------------------------
version:1.109
modified
    Correction of template coding
    gettext change from __() to esc_html__()
    Translation check using WP_LANG 'ja'
    Remove file backward-compatibility.php
----------------------------------------------
Changelog -----------------------------------
version:1.108
fixed
    Fixed Invalid argument supplied error.
    function raindrops_loop_title()
        add $page_title_c  = "";
modified
    Post Format Status Add  publish day link
    Widget category archive ,monthly archive
        background color change when color type dark.
----------------------------------------------
Changelog -----------------------------------
version:1.107
fixed
    Fixed full size editor width display improperly when page width fluid.
    Fixed Nested grid display improperly front-page.php + sticky widget area + text widget
     example:
        <div class="yui-gb">
            <div class="">
                Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
            </div>
            <div class="yui-u">
                Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex
            </div>
            <div class="yui-u">
                Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
            </div>
        </div>
----------------------------------------------
Changelog -----------------------------------
version:1.106
fixed
    Fixed Post format Status display improperly on index.php
        style.css style rule chanage.
modified
    member functions prefixed.
        option-panel.php class raindrops_menu_create
    functions more readable.
        functions.php
added
    add_theme_support( 'custom-header') add $args below
        'admin-preview-callback' => 'raindrops_admin_header_image'
        'admin-head-callback' => 'raindrops_admin_header_style'
----------------------------------------------
Changelog -----------------------------------
version:1.104

Warning: call_user_func_array() expects parameter 1 to be a valid callback, function 'raindrops_theme_support_setup' not found or invalid function name

fixed
    Fixed delete below code from functions.php line 176
        add_action( 'after_setup_theme', 'raindrops_theme_support_setup' );

It is thankful to xaotikdesigns who pointed out this bug.
----------------------------------------------

Changelog -----------------------------------
version:1.103

added
    function raindrops_postmeta_cap()
        User level 0-3 user cannot use custom field keyname 'css','meta','javascript'.
modified
    footer.php
        Change from get_bloginfo('name') to $raindrops_current_theme_name
        Change from 'http://www.tenman.info/wp3/raindrops' to $raindrops_current_data_theme_uri

    functions.php
        Add
            $raindrops_current_data
            $raindrops_current_data_theme_uri
            $raindrops_current_data_author_uri
            $raindrops_current_data_version
            $raindrops_current_theme_name
        Move files
            hooks.php to functions.php

            register_nav_menus()
            add_theme_support()
        Change hook
            add_raindrops_stylesheet use wp_enqueue_scripts hook
    csscolor.php,PEAR.php

    Class name is changed
        From CSS_Color to raindrops_CSS_Color
            member functions prefixed
        From PEAR to raindrops_PEAR
            member functions prefixed
Removed
    PEAR.php
         Merged lib/csscolor/csscolor.php

----------------------------------------------
version:1.102
modified
    Add IE version check $raindrops_fluid_minimum_width
----------------------------------------------
Changelog -----------------------------------
version:1.101
added
    add_filter('widget_text','raindrops_ie_height_expand_issue');
fixed
    Fixed function raindrops_ie_height_expand_issue()
        regex change
            support <img attr... /> and <img attr... >
    Tags title display twice when post format status.

modified
    style.css
----------------------------------------------
Changelog -----------------------------------
version:1.100
added
    Sidebar widget title add element span
        Handling of a title text is made easy on CSS work.
    Add home link for Custom Header Image
        If you not need link then
        header-html5.php
            change from raindrops_header_image( 'home_url' )
                    to  raindrops_header_image( 'elements' ) //not link
fixed
    Fixed IE8 + color type 'light' display improperly.
        A horizontal scroll bar stops operating.
            lib/csscolor.css.php
                comment out below body rule.
                filter: progid:DXImageTransform.Microsoft.gradient();
modified
    CSS Property 'word-wrap' value break-word
        From several users, the style a new line for is started in the middle of a word had interrogative voice.
        In a tentative way, I remove this rule.
        If there are any opinions, please give http://www.tenman.info/wp3/raindrops/ a comment.
----------------------------------------------
Changelog -----------------------------------
version:1.009
Fixed
    Fixed IE + color type 'light' display improperly.
        Thanks @Gonta
    Fixed Can not remove custom header image.
    Fixed Less than 640px width browser style issue.
        Posted in display improperly where without home.
    Fixed Extra Sidebar space issue when hide extra sidebar on loop pages( ex: index.php )
Modified
    From Comma separated values to only space where Posted in tags list and categoris list
    Static Page support featured image.

Add
    Recent Raindrops support responsive blog for modern browsers.
    Raindrops not support responsive for IE browser.
    Raindrops can display fluid layout for IE.
    Add to conditional $raindrops_fluid_minimum_width value.

        functions.php line:191

        if( $is_IE ){
            $raindrops_fluid_minimum_width = '640';
        }

----------------------------------------------
Changelog -----------------------------------
version:1.008
Fixed
    Fixed NOTICE: wp-content/themes/raindrops/functions.php:3033 - Undefined variable: uri
    Fixed NOTICE: wp-content/themes/raindrops/functions.php:3946 - Undefined variable: calendar_output
----------------------------------------------
Changelog -----------------------------------
version:1.007
Fixed
    Fixed no use getimagesize() another page width 750px,950px,974px        Change get_custom_header()
----------------------------------------------
Changelog -----------------------------------
version:1.006
Fixed
    Fixed WARNING: wp-content/themes/raindrops/functions.php:3065 - Division by zero
    Fixed NOTICE: wp-content/themes/raindrops/functions.php:3064 - getimagesize(): Read error!
        Change function from getimagesize() to get_custom_header().
    Fixed NOTICE: wp-content/themes/raindrops/functions.php:4238 - Undefined variable: is_IE
        add global $is_IE
    Fixed Use of variable in translation function in lib/option-panel.php, lines 755, 760, 793, 880. Translation function calls must NOT contain PHP variables.
        Remove Translation.
    Fixed While using the fluid width setting, the layout aligns itself to the left hand side in viewport widths greater than 1280px. Would be nice if it center aligns itself. [tip: using `margin: 0 auto;` instead of `margin: 0 2%;` for `#doc3` could fix this.]
        Add media query

        @media screen and (min-width : 1280px){
            #doc3{
                margin:0 auto;
            }
        }
Modified
        hooks.php Add if ( ! function_exists( 'raindrops_theme_setup' ) )
            Customize easy For Child Theme
----------------------------------------------
Changelog -----------------------------------
version:1.005
Fixed
    Fixed function raindrops_small_device_helper has bug
        header image display improperly
        when uploading files ‘Organize my uploads into month- and year-based folders’ checked

    Fixed front-portfolio.php sticky post Wrong Coding.

    Fixed reset-fonts-grids.css
            white bar at the bottom of the page.
                Thanks Paintballer


----------------------------------------------
Changelog -----------------------------------
version:1.004
modified
    Theme options panel design change
Fixed
    Fixed Post format gallery has error when set post format gallery and no gallery item.
    Fixed Post format status display improperly when window width less than 640px
----------------------------------------------
Changelog -----------------------------------
version:1.003
modified
    Modified raindrops_loop_class()
    Modified html5 figure elements add
    Modified extra sidebar position css
----------------------------------------------
Changelog -----------------------------------
version:1.001
fixed
    Fixed Custom Header Image works improperly when 'Organize my uploads into month- and year-based folders'.
Add
    Add function raindrops_featured_image().
    Add RAINDROPS_USE_FEATURED_IMAGE_LIGHT_BOX
        The featured image light box  not shown by default.
    New Template file for front page.
        page-templates/front-portfolio.php
+----------------------------------------------
Changelog -----------------------------------
version:1.000
fixed
    Fixed header element end tag vanish when raindrops_show_menu_primary hide.
modified
    style.css
+----------------------------------------------
Changelog -----------------------------------
version:0.999

modified
    Document type change from xhtml1.0 to html5
    if you need xhtml1.0
        functions.php $raindrops_document_type = 'html5' change value from 'html5' to 'xhtml'.
    Remove inline style( when page width 'fluid' ).
    Change default page width from 'doc2' to 'fluid'.
    Support Responsive layout when 'fluid'
    Change $raindrops_fluid_minimum_width( functions.php line:181 ) value from 450 to 320
added
    New template file   header-html5.php
----------------------------------------------
Changelog -----------------------------------
version:0.998

added
    Page template page-templates/header-front.php
----------------------------------------------
Changelog -----------------------------------
version:0.997

added
    Page template page-templates/front-page.php
    Page template page-templates/full-width.php
fixed
    Fixed nav menu children position when doc3 fluid layout.
modified
    modify Raindrops new h1-h6 font size
    language file modify
----------------------------------------------
Changelog -----------------------------------
version:0.995
fixed Child theme languages/css/WPLANG.css not work
----------------------------------------------
Changelog -----------------------------------
fixed
version:0.994
    Fixed Raindrops has Warning Error
     typo functions.php line:4112
     function name change
        from obandes_mobile_meta to raindrops_mobile_meta
----------------------------------------------
Changelog -----------------------------------
version:0.993

added
    The addition of new functionality.
     Recent versins Raindrops
        Custom field name css is addition single post and page style rules.
     New versins Raindrops
        The style described by the custom field css expresses each style
        for each style correctly also a category and an archive page.

        You only specify a class and an element and can create style rule.
        Raindrops adds the CSS specificity.

    Added mobile meta tag when using fluid page width.
----------------------------------------------
Changelog -----------------------------------
version:0.991

fixed
    Fixed miss coding
        from    $page_title_c = get_the_date(get_option($raindrops_date_format));
        to      $page_title_c = get_the_date( $raindrops_date_format );


Added
    Post formats support status and gallery.
modified
    Add post formats style rules.
    Embed iframe elements style rules change where text widget.
    remove height:auto;
----------------------------------------------
Changelog -----------------------------------
version:0.990

fixed
    for example
    [raindrops color_type="minimal" col="1"]
    write with post or page (textarea)

    Fixed Above short code like Raindrops notation works improperly.
    Attribute color_type not work

    Fixed Correction of a translation character string
     ( japanese )
Added
    Add Customizer Menu
    class Raindrops_Customize_Navigation_Control extends WP_Customize_Control

----------------------------------------------

Changelog -----------------------------------
version:0.989
fixed
    Fixed Wrong theme_textdomain where __() , _e().
modified
    function change from load_textdomain() to load_theme_textdomain()
----------------------------------------------
Changelog -----------------------------------
version:0.988
fixed
    Fixed Wrong theme_textdomain where __() , _e().
modified
    function change from load_textdomain() to load_theme_textdomain()
----------------------------------------------
Changelog -----------------------------------
version:0987

fixed
    Fixed duplicate wp_list_pages menu
        This problem was pointed out Faelandaea ,I appreciate.
modified
    Support  post-formats
        you can use has_post_format( )
----------------------------------------------

Changelog -----------------------------------
version:0985

fixed
    Theme Customizer works improperly.

    Fixed Not Work.
            Background Repeat,
            Background Position,
            Background Attachment
----------------------------------------------
Changelog -----------------------------------
version:0.984

added
    raindrops_monthly_archive_prev_next_navigation()
        Add next prev month navigation where  monthly archive( date.php)
    raindrops_customize_controls_print_styles()
        Add  color type screen shot where theme customizer.
    $raindrops_add_class
        Add Sticky post display controll.

        If Blog pages show at most is 10 and sticky post next page then shows the sticky post.
        Change Sticky post display once.


----------------------------------------------
Changelog -----------------------------------
version:0.983
    This version changes for CSS

modified
    color type w3standard CSS modify
        Remove CSS3 , CSS2.1 valid
fixed
    Fixed Custom header image CSS bug
Note:
    When color type w3standard
        Remove CSS light box.
----------------------------------------------
Changelog -----------------------------------
version:0.982
    0.981 contain Fixed is not appropriate
fixed
    Fixed Stupid 0.981 Fixed Not clesed element div.hfeed
        It returned.
----------------------------------------------
Changelog -----------------------------------
version:0.981
    This version changes for HTML bug fix
fixed
    Fixed Not clesed element div.hfeed
        footer.php
    Fixed raindrops_add_body_class output class 'array' when multisite.
        functions.php
    Fixed underfined val $hrml, change from $hrml to $html.
        functions.php
----------------------------------------------
Changelog -----------------------------------
version:0.980
    This version changes for Structure which can do customization simply.
    Note:
    functions.php line:20
     $raindrops_actions_hook_message = false;
        WP_DEBUG need true.
        and When value change true then show action_hook point and message.
        You can customize the Raindrops very Easy.
    blank_front.php
        for front page template.
         You not need  PHP skills , WordPress template functions knowledge.
         Only y or '' settings, Please try.
added
    New functions
        raindrops_prepend_doc()
        function raindrops_after_nav_menu()
        raindrops_prepend_entry_content()
        raindrops_append_entry_content
        raindrops_prepend_extra_sidebar( )
        raindrops_append_extra_sidebar()
        raindrops_prepend_default_sidebar()
        raindrops_append_default_sidebar()
        raindrops_prepend_footer()
        raindrops_append_footer()
        raindrops_append_doc()
        function raindrops_insert_message_action_hook_position()
        function raindrops_action_hook_messages()
        raindrops_entry_title()
        raindrops_entry_content()
        raindrops_next_prev_links()
        raindrops_sidebar_menus()
        raindrops_recent_posts( )
        raindrops_category_posts()
        raindrops_tag_posts()
        raindrops_sidebar_menus()
----------------------------------------------
Changelog -----------------------------------
version:0.979
fixed
    Fixed Waring Error Raindrops option Upload image
        When upload image success and image max size check.
        Add file existance check.
            option-panel.php
Add
    function raindrops_custom_link_color()
    function raindrops_enqueue_comment_reply()
        Add function exists check.
    Support WordPress random-uploaded-image
----------------------------------------------
Changelog -----------------------------------
version:0.977
    This version changes Bug fixed for Child theme
fixed
    raindrops_fallback_title()
        When child theme fallback image uri missing.
    raindrops_small_device_helper()
        When child theme script error.
    raindrops_design_output()
        When child theme image uri missing.
    theme options page textarea remove for CSS edit
        please readme.txt
----------------------------------------------
Changelog -----------------------------------
version:0.975
modified
    typo
    var name change
        from $raindrops_fluid_minimam_width to $raindrops_fluid_minimum_width
        from $raindrops_fluid_maximam_width to $raindrops_fluid_maximum_width

    get_current_theme(),wp_get_theme() changes global var $raindrops_current_theme_name
    get_theme_data() changes global var $raindrops_theme_data

fixed
        When Browser width > $raindrops_fluid_maximum_width
            Change  from display page left side to display center
                using javascript see functions.php line 3010.

----------------------------------------------
Changelog -----------------------------------
version:0.974
fixed
    Fixed Script Error
        Warning: Illegal offset type in /home/alianza1/public_html/wp-content/themes/raindrops/functions.php on line 906
        functions.php

    Fixed Child theme display improperly.
        Custom header image, #hd background image,#ft background image
        csscolor.css.php
        functions.php

----------------------------------------------

Changelog -----------------------------------
version:0.973
    This version changes for Bugfix
        MultiSite header image display improperly.
fixed
    function raindrops_header_image()
    function raindrops_small_device_helper()
        functions.php
----------------------------------------------
Changelog -----------------------------------
version:0.971
    This version changes for WordPress 3.4 support.
added
    function raindrops_custom_link_color()
    function raindrops_hyperlink_color_validate()
    function raindrops_small_device_helper()
        functions.php
            for header-image size controll and primary navigation menu when fluid layout right side childrens children list show left
    function raindrops_customize_register()
        functions.php
            for WordPress 3.4
modified
    add global var $raindrops_wp_version, $raindrops_current_theme_name

    Inline style remove
            footer.php
            header.php
            raindrops_header_image()
            raindrops_site_title()
    modify etc
        lib/alias_functions.php
        lib/csscolor.css.php
        lib/hooks.php
        lib/option-panel.php
        style.css
        css3.css
        fallback.css

        single.php
            Add CSS lightbox for post thumbnail shows not croped view ( Not support IE )

    Theme options page add links
        Add Theme customizer link ,
        Custom Header link,
        Custom Background link,
        Widget link,
        Menus link ,
        Theme Editor link

        Reset All Settings
            Add remove_theme_mods();
New file
    backward-compatibility.php
    Move from functions.php to this for WordPress ver3.3 old functions
----------------------------------------------
Changelog -----------------------------------
version:0.964

modified
    Change theme options page context help.
        lib/option-panel.php
        functions.php
fixed
    Fixed sub sup elements display improperly.
        style.css
----------------------------------------------
Changelog -----------------------------------
version:0.963

fixed
    Fixed WordPress publish time format displays improperly
        raindrops_posted_on()
            functions.php

modified
    Add columns class
            css3.css
    var $raindrops_fluid_minimam_width value change
        from 480 to 481
            functions.php
    define RAINDROPS_HEADER_BACKGROUND_COLOR,RAINDROPS_HEADER_BACKGROUND_IMAGE
            functions.php
    Add if(function_exists(' wp_get_theme')) check
        The transient measure to upgrade
        switch get_current_theme() to wp_get_theme()
            functions.php
            lib/option-panel.php
    Add raindrops_add_body_class()
        user id class move from index.php to functions.php

    Add add_filter( 'raindrops_is_fixed' , '__return_false' );
    and add_filter( 'raindrops_embed_meta_css', '__return_false' );
        modify add_raindrops_stylesheet()
        functions.php
    modify stylesheet.css
            sidebar option elements style
    Add add_action( 'after_setup_theme', 'raindrops_theme_setup' )
    and function raindrops_theme_setup()
            hooks.php
----------------------------------------------
Changelog -----------------------------------
version:0.962
fixed
    Fixed Wrong coding
        from    add_filter('raindrops_is_fixed' ,__return_false());
        to      add_filter( 'raindrops_is_fixed' , '__return_false' );
            functions.php
----------------------------------------------
Changelog -----------------------------------
version:0.961
fixed
    Fixed Undefined index: raindrops_style_type
modified
    loop.php
        from    the_content();
        to      the_content( __( 'Continue&nbsp;reading&nbsp;<span class="meta-nav">&rarr;</span>', 'raindrops' ) );
----------------------------------------------
Changelog -----------------------------------
version:0.960
fixed
    Fixed wrong attribute name.
        from    <div style="entry-content">
        to      <div class="entry-content">
        blank_front.php, page.php
    Fixed heading display improperly
        Example
        <h2>title</h2> , <h2><a href="#">title</a></h2>
        Not same text size
        Style rule change.
            style.css
modified
    Add style rule class 'columns' where css3.css
    Add wp_deregister_style('style')
        where function fallback_user_interface_view()
            functions.php
    Style rule clean up
        style.css
----------------------------------------------
Changelog -----------------------------------
version:0.959
fixed
    Fixed html comment out not closed
made
    blank_front.php
        for custom front page create easy
----------------------------------------------
Changelog -----------------------------------
version:0.958

moved

added
    Added var $raindrops_fluid_maximam_width
        Limit a page width when display fluid layout
    Added functions
        raindrops_fallback_human_interface()
        small_screen_check()
        fallback_user_interface_view()
            Raindrops fluid layout view is 480px - 1280px support
            View supply for more thin width browser
    Note:functions.php
    $raindrops_fallback_human_interface_show = true when if you want display this view
fixed
    Fixed Fluid layout minimam width display inproperly
modified
    CSS style rule modified
made
    fallback.css
----------------------------------------------
Changelog -----------------------------------
version:0.957

moved

added

fixed
    Fixed IE8 menu display inproperly.
        Not show level3 when level2 hover
         #access ul ul :active >a
          Comment out filter: progid:DXImageTransform.Microsoft.gradient
modified

made

----------------------------------------------
Changelog -----------------------------------
version:0.956

moved
    add_image_size( 'single-post-thumbnail'...)
        from hook.php to functions.php
    from    hard coded wp_enqueue_script( 'comment-reply' )
    to      add_action( 'wp_enqueue_scripts', 'raindrops_enqueue_comment_reply' )

added
    enqueue_comment_reply() filter function
    add_filter('wp_title','raindrops_filter_title',10,3)

fixed
    Fixed Use of undefined constant
        RAINDROPS_SINGLE_POST_THUMBNAIL_WIDTH
        RAINDROPS_SINGLE_POST_THUMBNAIL_HEIGHT
    Fixed Auto embed (oembed) media display impropaly
modified
    footer.php
        add class clear
    Change site title function
        from raindrops_wp_title() to wp_title()
        and add raindrops_filter_title()
made

----------------------------------------------
Changelog -----------------------------------
version:0.954
fixed
    Fix Display inproperly where single.php and page.php lost a column.
     raindrops_show_one_column() return value impropely when loops after.
----------------------------------------------
Changelog -----------------------------------
version:0.953
added
    functions.php
        Add var $raindrops_document_type.

fixed
    sidebar-extra.php
        Fix $wp_query->posts is empty when search result none and $wp_query->post->ID is error.
        Fix const RAINDROPS_USE_LIST_EXCERPT not works.

modified
    All template files
        template function from get_header('xhtml1') to get_header( $raindrops_document_type )
        template function from get_footer() to get_footer( $raindrops_document_type )
    loop.php
        use get_template_part('part','gallery')
        use  get_template_part('part','blog')
----------------------------------------------
Changelog -----------------------------------
version:0.952
fixed
    Footer.php HTML code change.
        if is_active_sidebar return false then no echo widget ul elements of HTML.
    csscolor.css.php
            Using improperly function
            from get_template_part() to locate_template()
            get_template_part() must not call sub directory template part file.
    comments.php
            Conflict id attribute value, nav-above and nav-below comments paging navigation and article navigation.
            Change comments #nav-above to #nav-above-comments and #nav-below to #nav-below-comments.
modified
    images: all images must have their license explicitly declared
        Theme images list create and add readme.txt
    arrows-vs.png, icons32-vs.png
        Design change
----------------------------------------------
Changelog -----------------------------------
version:0.950
fixed
    Coding missing
        Delete var $raindrops_document_type.
        Add $raindrops_included_files = get_included_files();
            functions.php
    Fix display improperly when child theme where theme options page    Fix admin-option.css impropely when child theme.
added
    Add function_exists check where function raindrops_delete_post_link why child theme happiness

----------------------------------------------
Changelog -----------------------------------
version:0.948

moved
    Remove file license.txt
        A license is expressed by URL.
added
